commit 18683959a9ec9abb8a6e31bfb178aa8bde507505
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Thu Sep 17 22:04:05 2009 +0530

    Updated Telugu Translation

 po/te.po |  186 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 93 insertions(+), 93 deletions(-)

commit b5e57ee6824843f08177d000f2ce51e70dfea194
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:   Wed Sep 16 11:49:26 2009 +0530

    hindi update by Rajesh Ranjan

 po/hi.po |  767 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 420 insertions(+), 347 deletions(-)

commit c5151c3f0619a2c296b6cc63577dcd2fb959964a
Author: Astur <malditoastur@gmail.com>
Date:   Mon Sep 14 16:46:33 2009 +0200

    Added Asturian translation

 po/LINGUAS |    1 +
 po/ast.po  | 1256 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1257 insertions(+), 0 deletions(-)

commit 77dbf1d376cfad8e9ffd07849ab68386b7d42754
Author: Ani <peter.ani@gmail.com>
Date:   Sat Sep 12 20:52:41 2009 +0530

    Updaeted Malayalam Translations

 po/ml.po |   87 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 35 insertions(+), 52 deletions(-)

commit a66d29b70ddece88913e166adfd63a589cf06a82
Author: André Gondim <andregondim@ubuntu.com>
Date:   Tue Sep 8 21:20:41 2009 -0300

    Corrected a wrong translation and a capitalization inconsistency in
    Brazilian Portuguese translation file

 po/pt_BR.po |   35 ++++++++++++++++++-----------------
 1 files changed, 18 insertions(+), 17 deletions(-)

commit 5a8b9cce266e3cb356ffb68531f95bb2d24059b8
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:   Tue Sep 8 12:55:13 2009 +0000

    Updated Serbian translation

 po/sr.po       |  459 ++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po |  459 ++++++++++++++++++++++++++++----------------------------
 2 files changed, 456 insertions(+), 462 deletions(-)

commit 24c318e03c3115722504a50cc8a9cc5c6a95118e
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Sep 6 14:20:52 2009 +0200

    Skip 2.27.92

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 78355907025d5fb3bec07cf9b9613a9f4727275b
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Fri Aug 28 12:34:18 2009 +0200

    Added Catalan (Valencian) translation

 po/LINGUAS        |    1 +
 po/ca@valencia.po | 1291 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1292 insertions(+), 0 deletions(-)

commit 771f7aa15aeb5aa15fe5cad083f49a673c0e3c5b
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Aug 25 13:19:23 2009 +0200

    s/SVN/git/g

 ChangeLog.README |    2 +-
 autogen.sh       |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 2352c8b23fbc43a23a4df3fdb39ee4d2f9c69853
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Aug 25 13:17:53 2009 +0200

    Remove outdated info

 README |   37 -------------------------------------
 1 files changed, 0 insertions(+), 37 deletions(-)

commit 3a9ab64ac1319f856ee81480ec21644f097e460a
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Aug 24 11:24:28 2009 +0200

    Translation updated by Mate ORY

 po/hu.po |   39 ++++++++++++++++++++-------------------
 1 files changed, 20 insertions(+), 19 deletions(-)

commit 87fc5b3c604ae1a8f3078582d1e4d6f0eab90882
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Aug 23 20:52:24 2009 +0200

    Version bump

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b1e499cbe7b75918116f2acbc3896369afc3f7f2
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Aug 19 21:10:36 2009 +0200

    Update

 NEWS |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 9f50bb08bf13ab5d57fe5fac665fa070ba8eb03a
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Aug 16 20:42:43 2009 +0200

    Support silent build with automake 1.11
    
    Add AM_SILENT_RULES, and sprinkle some $(AM_V_GEN) around.

 Makefile.am                                     |    2 +-
 bindings/python/Makefile.am                     |    4 ++--
 configure.ac                                    |    2 ++
 docs/reference/tmpl/gucharmap-unicode-info.sgml |    1 +
 gucharmap/Makefile.am                           |   16 ++++++++--------
 5 files changed, 14 insertions(+), 11 deletions(-)

commit 9840edc951f367bd7ec30f0d939de34ca2c91dc2
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Sat Aug 8 01:09:55 2009 +0200

    Updated German translation.

 po/de.po |  154 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 80 insertions(+), 74 deletions(-)

commit 6b831ed45d1ddc2abaee6de3d3e396b183b51144
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:   Tue Aug 4 06:10:06 2009 +0200

    Updated breton translation, added br in LINGUAS

 po/LINGUAS |    1 +
 po/br.po   | 1291 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1292 insertions(+), 0 deletions(-)

commit 005e1263f0d9db3b9c777a78e523cb7b3f628d6d
Author: Aron Xu <aronxu@gnome.org>
Date:   Sun Jul 26 13:35:32 2009 +0800

    Updated Simplified Chinese translation.

 po/zh_CN.po |  187 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 98 insertions(+), 89 deletions(-)

commit 633a9734a48080266d29a7fda8020ede32d41cb5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jul 18 01:30:18 2009 -0400

    Respect the button-images setting
    
    Streamline the construction of some buttons, with the positive side-effect
    of making them respect the button-images setting. See bug 588734.

 gucharmap/gucharmap-search-dialog.c |   18 ++++--------------
 1 files changed, 4 insertions(+), 14 deletions(-)

commit 1f6a4053196f9d541c1cd0a9bec76688c44d1fae
Author: Hendrik Richter <hendrikr@gnome.org>
Date:   Thu Jul 16 21:29:30 2009 +0200

    Fix #583746.

 help/de/de.po |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 8b9763867ffaf5893b6ce485a3b388c1def46dc9
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   Thu Jul 9 23:47:14 2009 +0300

    Updated Ukrainian translation

 po/uk.po |   83 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 43 insertions(+), 40 deletions(-)

commit 8762637ae773f512d5dcd04274ab938c89bb7f38
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sun Jun 28 19:06:21 2009 +0200

    Fixed Czech help translation by Marek Cernocky
    
    Reviewed by: Lucas Lommer and Petr Kovar.

 help/cs/cs.po |  609 ++++++++++++++++++++++++++++++++++++++++++++------------
 1 files changed, 478 insertions(+), 131 deletions(-)

commit a5814ad00551d82205c05cec8ecf651a679a5e8f
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Jun 22 15:03:26 2009 +0200

    Don't dist built sources, again

 gucharmap/Makefile.am |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 4f635cfe8783331f6ac3ff9c2807c611b1d63866
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Jun 22 15:01:06 2009 +0200

    Fix make dist

 Makefile.am |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit ed1a0ca20750ef206b26d0402f3bb1c8967fdee6
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Jun 22 15:00:53 2009 +0200

    Don't dist built sources

 gucharmap/Makefile.am |   22 ++++++++++------------
 1 files changed, 10 insertions(+), 12 deletions(-)

commit 48743621910f01ce412749269b36d30c1575536d
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jun 16 18:59:39 2009 +0200

    Add version 5.2 to enum

 gucharmap/gucharmap-unicode-info.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 6e355427c1c04c36de948f8f589749cb1c96e6a4
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sun Jun 21 22:53:36 2009 +0200

    Updated Czech UI & help translation by Marek Cernocky
    
    Reviewed by Petr Kovar.

 help/Makefile.am                     |    2 +-
 help/cs/cs.po                        |  571 ++++++++++++++++++++++++++++++++++
 help/cs/figures/gucharmap_window.png |  Bin 0 -> 45693 bytes
 po/cs.po                             |   16 +-
 4 files changed, 580 insertions(+), 9 deletions(-)

commit 829bfaeb55c1b98ee9cf1c6c0d9833aae973ebb0
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sat May 30 19:40:18 2009 +0200

    Updated Danish translation

 po/da.po |   29 ++++++++++-------------------
 1 files changed, 10 insertions(+), 19 deletions(-)

commit a0e3fba3fbc38f9ebf4bdedec6751a6b6bb85d30
Author: Christian Persch <chpe@gnome.org>
Date:   Mon May 18 20:32:09 2009 +0200

    Add mising file

 bindings/python/gucharmapmodule.c |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)

commit a106c308bcba87324cc70e8cae3ef95951f19e98
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Apr 23 01:55:22 2009 +0200

    Clean schema and desktop file on "make clean"

 Makefile.am |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 7916d6f849bbd36570483b284df4e321296f3ac6
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Apr 23 01:55:02 2009 +0200

    Remove old po/ChangeLog file

 po/ChangeLog.pre-2-23 | 2656 -------------------------------------------------
 1 files changed, 0 insertions(+), 2656 deletions(-)

commit c2ad2e09615f0b89e420a19d52508c78c23f2cf2
Author: Jennie Petoumenou <epetoumenou@gmail.com>
Date:   Sat May 16 09:26:00 2009 +0100

    updated Greek translation for system-guide

 help/el/el.po |  891 +++++++++++++++++++++++++++++++++++++++++----------------
 1 files changed, 642 insertions(+), 249 deletions(-)

commit 2bcad53a87c193e8629edf19dc4f059254ca8f04
Author: Fotis Tsamis <ftasmis@gmail.com>
Date:   Sat May 9 02:25:48 2009 +0100

    Added Greek figures

 help/el/figures/gucharmap_window.png |  Bin 0 -> 44597 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit 811a265f8c988d0d1c19d223ac01b0e3f0d51c71
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon May 4 14:15:31 2009 -0400

    [git.mk] Update

 git.mk |  172 +++++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 88 insertions(+), 84 deletions(-)

commit f44d9c5d9a930a5a9eb1ce3aed9eb02c7f513fde
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sat May 2 12:50:13 2009 +0200

    Updated Spanish translation

 po/es.po |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 33bbf14c2495497ce939715bc1da2cac190cf406
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 25 20:33:03 2009 -0400

    Fix maintainer-clean

 git.mk |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 327ff33298d4c8f88607522c01514bf31041ed74
Author: Olav Vitters <olav@bkor.dhs.org>
Date:   Thu Apr 23 19:34:37 2009 +0200

    doap: Add desktop category

 gucharmap.doap |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d4c3bce4c8ed0dabbadc4630fd3c5fe3ae690045
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Tue Apr 21 15:52:57 2009 +0530

    Updated Kannada Translation

 po/kn.po |  396 ++++++++++++++++++++++++++++---------------------------------
 1 files changed, 182 insertions(+), 214 deletions(-)

commit 1579b41409286aa816c527a66653dfbc230b83a7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Apr 19 15:31:38 2009 -0400

    [DOAP] Update

 gucharmap.doap |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

commit 5004a2004136608aa499e3e405301f0dd81110e5
Author: Behnam Esfahbod <behnam@zwnj.org>
Date:   Sun Apr 19 13:46:50 2009 +0430

    Add DOAP file

 gucharmap.doap |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)

commit 78159b18ba88f72782fe8f7bd9fe8bffca50fe0f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 18 16:19:24 2009 -0400

    Support out-of-tree builds

 git.mk |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

commit ace9f190b27f4c8e4a4f990321159c8d2c17377a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 18 15:04:41 2009 -0400

    Remove copyright claim

 git.mk |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a0b81fb720b5f28ae3697204195345d89844949e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Apr 17 21:54:06 2009 -0400

    Add git.mk

 Makefile.am                 |   26 ++++++-
 bindings/Makefile.am        |    2 +
 bindings/python/Makefile.am |    2 +
 docs/Makefile.am            |    2 +
 docs/reference/Makefile.am  |    2 +
 git.mk                      |  174 +++++++++++++++++++++++++++++++++++++++++++
 gucharmap/Makefile.am       |    2 +
 help/Makefile.am            |    2 +
 help/it/Makefile.am         |    2 +
 help/ja/Makefile.am         |    2 +
 help/zh_CN/Makefile.am      |    2 +
 help/zh_HK/Makefile.am      |    2 +
 help/zh_TW/Makefile.am      |    2 +
 pixmaps/Makefile.am         |    2 +
 14 files changed, 223 insertions(+), 1 deletions(-)

commit 9fe178a660997b35c2fefdeaffc3a7003d5c2bb9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Apr 17 21:42:45 2009 -0400

    Remove static .gitignore

 .gitignore |  118 ------------------------------------------------------------
 1 files changed, 0 insertions(+), 118 deletions(-)

commit e95f864d45e09bdd2d9ff47c2a539848f0d295ac
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 30 18:32:39 2009 +0000

    Minor API doc bug fix. Bug #577254.
    
    svn path=/trunk/; revision=2066

 gucharmap/gucharmap-charmap.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b58fdaabf3f4aaafb68f643456054f6ce7d6100e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 30 17:59:48 2009 +0000

    Minor API doc bug fix. Bug #577254.
    
    svn path=/trunk/; revision=2061

 gucharmap/gucharmap-charmap.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e1b846c6a447415b03b5d82fae734efc0dee3d87
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 30 17:59:44 2009 +0000

    Include config.h
    
    svn path=/trunk/; revision=2060

 gucharmap/gucharmap-type-builtins.c.template |    5 +++++
 gucharmap/gucharmap-type-builtins.h.template |    1 -
 2 files changed, 5 insertions(+), 1 deletions(-)

commit f9c48b9bf056fe9befa0b42269e22f3ffe8330d5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 30 17:59:39 2009 +0000

    Update.
    
    svn path=/trunk/; revision=2059

 TODO |   17 ++++++++---------
 1 files changed, 8 insertions(+), 9 deletions(-)

commit 8353a02f5a0bbdda28c5ee4919409e8308a4fd7b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 30 17:59:32 2009 +0000

    Fix handling of font descriptions with absolute sizes.
    
    svn path=/trunk/; revision=2058

 gucharmap/gucharmap-chartable.c    |  152 +++++++++++++++++++++++-------------
 gucharmap/gucharmap-mini-fontsel.c |    2 +-
 gucharmap/gucharmap-private.h      |    3 -
 3 files changed, 100 insertions(+), 57 deletions(-)

commit 7156502c827dd292f03e6408a0e84f8beff6844e
Author: Claude Paroz <claudep@src.gnome.org>
Date:   Sat Mar 28 18:19:52 2009 +0000

    Updated French translation by Laurent Coudeur.
    
    svn path=/trunk/; revision=2056

 help/fr/fr.po |  356 +++++++++++++++++++++++++++++++++------------------------
 1 files changed, 209 insertions(+), 147 deletions(-)

commit 79c1d1da9b627697819775aad639d939b3b0dde6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Mar 25 12:28:30 2009 +0000

    Set the alternative button order in the search dialogue.
    
    svn path=/trunk/; revision=2053

 gucharmap/gucharmap-search-dialog.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 470442edf40ae742e2cb6b560c364f1530262b7a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Mar 19 14:01:14 2009 +0000

    Fuck you
    
    svn path=/trunk/; revision=2051

 po/ChangeLog.pre-2-23 |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)

commit 09224381ffc06eafacd4b5016461303543191321
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Mar 19 13:59:24 2009 +0000

    Post-branch version update
    
    svn path=/trunk/; revision=2050

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 003fc990ce6d81f01d553029eff40cdd0b749c38
Author: Kostas Papadimas <pkst@src.gnome.org>
Date:   Wed Mar 18 17:31:59 2009 +0000

    /help/Makefile.am, el/el.po: Added Greek translation by Jennie Petoumenou
    
    svn path=/trunk/; revision=2047

 help/Makefile.am |    2 +-
 help/el/el.po    |  596 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 597 insertions(+), 1 deletions(-)

commit a8f54532b68b091036da1ced00a1b11371d1ad3e
Author: Djihed Afifi <djihed@src.gnome.org>
Date:   Wed Mar 18 09:20:58 2009 +0000

    Updated Arabic translation
    
    svn path=/trunk/; revision=2046

 po/ar.po |  394 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 180 insertions(+), 214 deletions(-)

commit 04109b138753466748cf9dcf1cca563b7643cfba
Author: Amanpreet Singh Alam <aman@src.gnome.org>
Date:   Tue Mar 17 02:26:55 2009 +0000

    updating for GNOME Punjabi Translation by A S Alam
    
    svn path=/trunk/; revision=2045

 po/pa.po |  188 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 95 insertions(+), 93 deletions(-)

commit 73c3d720816e0910b5252bb6bb300e09cdd2939f
Author: Ignacio Casal Quinteiro <icq@src.gnome.org>
Date:   Mon Mar 16 22:04:07 2009 +0000

    Updated Galician Translation by Suso Baleato.
    
    svn path=/trunk/; revision=2044

 po/gl.po |  251 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 138 insertions(+), 113 deletions(-)

commit 380787c1d13ad2e8c9915677c070c763f19ebd90
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Mon Mar 16 20:26:41 2009 +0000

    sv.po: Updated Swedish translation
    
    svn path=/trunk/; revision=2043

 help/sv/sv.po |  215 +++++++++++++++++++++++++++++----------------------------
 1 files changed, 110 insertions(+), 105 deletions(-)

commit 78dff415886c89f64ac86d8c09c896582d919eeb
Author: Philip Withnall <pwithnall@src.gnome.org>
Date:   Mon Mar 16 19:41:59 2009 +0000

    Updated British English translation.
    
    svn path=/trunk/; revision=2042

 help/en_GB/en_GB.po |  724 ++++++++++++++++++++++++++++++++++++++-------------
 1 files changed, 545 insertions(+), 179 deletions(-)

commit b6c902a30d56733793e748d81831af32bd541f00
Author: Rajesh Ranjan <rranjan@src.gnome.org>
Date:   Mon Mar 16 08:03:55 2009 +0000

    maithili added
    
    svn path=/trunk/; revision=2041

 po/LINGUAS |    1 +
 po/mai.po  | 1242 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1243 insertions(+), 0 deletions(-)

commit e229e110ed68db7caa1392833fc6334042a7856e
Author: Amitakhya Phukan <amitakhya@src.gnome.org>
Date:   Mon Mar 16 05:52:24 2009 +0000

    Updated assamese translations
    
    svn path=/trunk/; revision=2040

 po/ChangeLog.pre-2-23 |    5 +
 po/LINGUAS            |    1 +
 po/as.po              | 1354 +++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 1360 insertions(+), 0 deletions(-)

commit f20c35de1126e4569cd0fef0c5ec4ed3ed2c2c09
Author: Shankar Prasad <sprasad@src.gnome.org>
Date:   Sun Mar 15 18:41:17 2009 +0000

    added kn.po and updated ChangeLog and LINGUAS
    
    svn path=/trunk/; revision=2039

 po/ChangeLog.pre-2-23 |    5 +
 po/LINGUAS            |    1 +
 po/kn.po              | 1291 +++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 1297 insertions(+), 0 deletions(-)

commit 8c3f3d6c4cbaf75603d080325b4b47bb08513434
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Mar 15 13:21:27 2009 +0000

    Remove unauthorised commits
    
    svn path=/trunk/; revision=2037

 po/ChangeLog.pre-2-23 |   53 -------------------------------------------------
 1 files changed, 0 insertions(+), 53 deletions(-)

commit 43fc24b44f0f2baba2546b66e3887f16d51949f8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Mar 15 13:21:23 2009 +0000

    Remove SVN ChangeLog rule
    
    svn path=/trunk/; revision=2036

 Makefile.am  |    8 --
 configure.ac |   11 +--
 svn2cl.xsl   |  295 ----------------------------------------------------------
 3 files changed, 2 insertions(+), 312 deletions(-)

commit 8a18fcd23944ae8a8f768ea51dac03b8ef82a70b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Mar 15 13:21:18 2009 +0000

    Ignore
    
    svn path=/trunk/; revision=2035

 .gitignore |   85 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 85 insertions(+), 0 deletions(-)

commit fddb02ef92db90e321e737e4aa56af9d8399c2c1
Author: Kenneth Nielsen <kennethn@src.gnome.org>
Date:   Sat Mar 14 04:07:54 2009 +0000

    Updated Danish translation
    
    svn path=/trunk/; revision=2034

 po/ChangeLog.pre-2-23 |    4 ++
 po/da.po              |  133 +++++++++++++++++++++++++------------------------
 2 files changed, 72 insertions(+), 65 deletions(-)

commit 64b6c3eca7b94b4564b0224fca51b8f444c7a07b
Author: Wadim Dziedzic <wadimd@src.gnome.org>
Date:   Fri Mar 13 22:45:53 2009 +0000

    Updated Polish translation
    
    svn path=/trunk/; revision=2033

 po/pl.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a28b2b4424d4a37d26d6d9bccbe199fcc210641f
Author: Sandeep Shedmake <sandeeps@src.gnome.org>
Date:   Fri Mar 13 13:49:24 2009 +0000

    Updated Marathi Translations
    
    svn path=/trunk/; revision=2032

 po/ChangeLog.pre-2-23 |    4 +
 po/mr.po              |  162 +++++++++++++++++++++++++------------------------
 2 files changed, 86 insertions(+), 80 deletions(-)

commit 65a71791b692bb483d593aaf05a0b9e8a266d145
Author: Sweta Kothari <swkothar@src.gnome.org>
Date:   Fri Mar 13 12:28:37 2009 +0000

    Updated Gujarati Translation
    
    svn path=/trunk/; revision=2031

 po/ChangeLog.pre-2-23 |    4 +
 po/gu.po              |  164 +++++++++++++++++++++++++------------------------
 2 files changed, 87 insertions(+), 81 deletions(-)

commit 3227e325b132019c8f5a538afe224c9adbea1c77
Author: Wadim Dziedzic <wadimd@src.gnome.org>
Date:   Thu Mar 12 23:23:35 2009 +0000

    Updated Polish translation
    
    svn path=/trunk/; revision=2030

 po/pl.po |  355 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 194 insertions(+), 161 deletions(-)

commit 1ea93f8f9cb49cc4216e93fbacf5c8ed41ad4a75
Author: Nickolay V. Shmyrev <nshmyrev@yandex.ru>
Date:   Thu Mar 12 20:42:52 2009 +0000

    Updated Russian translation.
    
    2009-03-12  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>
    
    	* ru.po: Updated Russian translation.
    
    
    svn path=/trunk/; revision=2029

 po/ChangeLog.pre-2-23 |    4 +
 po/ru.po              |  151 +++++++++++++++++++++++++------------------------
 2 files changed, 81 insertions(+), 74 deletions(-)

commit 82d101a48f06dd0e27a20aa9c8c50e7fc1b525fd
Author: Felix I <ifelix@src.gnome.org>
Date:   Tue Mar 10 12:04:53 2009 +0000

    tamil translation updated
    
    svn path=/trunk/; revision=2028

 po/ChangeLog.pre-2-23 |    4 +
 po/ta.po              |  175 +++++++++++++++++++++++++------------------------
 2 files changed, 93 insertions(+), 86 deletions(-)

commit a1c7cb49f2328980d28e919c0102401f76ad19cd
Author: Runa Bhattacharjee <runab@src.gnome.org>
Date:   Tue Mar 10 11:42:43 2009 +0000

    Updated Bengali India Translation
    
    svn path=/trunk/; revision=2027

 po/bn_IN.po |  782 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 430 insertions(+), 352 deletions(-)

commit fed6a4f03c55773433f2af64033c072a0479090a
Author: Kostas Papadimas <pkst@src.gnome.org>
Date:   Tue Mar 10 08:07:44 2009 +0000

    Updated Greek translation by Jennie Petoumenou.
    
    svn path=/trunk/; revision=2026

 po/el.po |  945 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 506 insertions(+), 439 deletions(-)

commit 34dfe7139ef5e0c446353011913539d5d9b5a43b
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sun Mar 8 18:09:00 2009 +0000

    Updated Czech translation.
    
    2009-03-08  Petr Kovar  <pknbe@volny.cz>
    
    	* cs.po: Updated Czech translation.
    
    svn path=/trunk/; revision=2025

 po/cs.po |  135 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 68 insertions(+), 67 deletions(-)

commit c548b27a2f6556a72fa300e000dff269bf2bc95d
Author: Gintautas Miliauskas <gintas@akl.lt>
Date:   Sat Mar 7 23:27:54 2009 +0000

    Updated Lithuanian translation.
    
    2009-03-08  Gintautas Miliauskas  <gintas@akl.lt>
    
    	* lt.po: Updated Lithuanian translation.
    
    
    
    svn path=/trunk/; revision=2024

 po/ChangeLog.pre-2-23 |    4 ++
 po/lt.po              |  133 +++++++++++++++++++++++++------------------------
 2 files changed, 72 insertions(+), 65 deletions(-)

commit 3f507d5f3cf20217c5562b03b1efffbf634340c5
Author: Manoj Kumar Giri <mgiri@src.gnome.org>
Date:   Thu Mar 5 14:43:13 2009 +0000

    Added entries for Oriya language Translation updation.
    
    svn path=/trunk/; revision=2023

 po/ChangeLog.pre-2-23 |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 9d00e10c64be163117ea07a08c65b9561bbd245b
Author: Manoj Kumar Giri <mgiri@src.gnome.org>
Date:   Thu Mar 5 14:35:33 2009 +0000

    Updated Oriya Translation.
    
    svn path=/trunk/; revision=2022

 po/or.po |  160 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 81 insertions(+), 79 deletions(-)

commit ae5c843f01233c6af3c18b6e7a7d657b25c9ce35
Author: Praveen Arimbrathodiyil <apravi@src.gnome.org>
Date:   Thu Mar 5 07:44:41 2009 +0000

    updated with latest pot file
    
    svn path=/trunk/; revision=2021

 po/ml.po |  780 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 431 insertions(+), 349 deletions(-)

commit 059399b7c05aa36070637c48c8887309d74baaa8
Author: Praveen Arimbrathodiyil <apravi@src.gnome.org>
Date:   Thu Mar 5 07:34:52 2009 +0000

    Malayalam translation updated
    
    svn path=/trunk/; revision=2020

 po/ml.po |  333 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 175 insertions(+), 158 deletions(-)

commit 28ca9b5092d7ab96d9a5a94eb7f4674b21e23076
Author: Mario Blättermann <mariobl@svn.gnome.org>
Date:   Tue Mar 3 19:45:07 2009 +0000

    Updated German translation
    
    2009-03-03  Mario Blättermann <mariobl@svn.gnome.org>
    
    	* help/de/de.po: Updated German translation
    
    
    svn path=/trunk/; revision=2019

 help/de/de.po |  273 +++++++++++++++++++++++++++++++++------------------------
 1 files changed, 157 insertions(+), 116 deletions(-)

commit 519e27fb89eea21609f1845b40e2b6b3af0faecb
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Sun Mar 1 20:40:43 2009 +0000

    Updated Spanish translation
    
    svn path=/trunk/; revision=2018

 po/es.po | 1976 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1126 insertions(+), 850 deletions(-)

commit 22efb2f34a1fa92be25dc035bc22a0d04bff4276
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Sun Mar 1 20:40:23 2009 +0000

    Updated Spanish translation
    
    svn path=/trunk/; revision=2017

 help/es/es.po |  270 ++++++++++++++++++++++++++++++++------------------------
 1 files changed, 154 insertions(+), 116 deletions(-)

commit de1230374578d9cc2cf7ae19d5f0315714d4e680
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Sun Mar 1 20:30:29 2009 +0000

    Updated Spanish translation
    
    svn path=/trunk/; revision=2016

 po/ChangeLog.pre-2-23 |    4 +
 po/es.po              | 1976 +++++++++++++++++++++----------------------------
 2 files changed, 854 insertions(+), 1126 deletions(-)

commit 6dbc6fb3c228f2ba72a8d3c9762770db3586a9ab
Author: Tommi Vainikainen <tvainika@src.gnome.org>
Date:   Sun Mar 1 07:37:20 2009 +0000

    Updated Finnish translation of manual
    
    svn path=/trunk/; revision=2015

 help/fi/fi.po |  402 +++++++++++++++++++++++++++++++++------------------------
 1 files changed, 233 insertions(+), 169 deletions(-)

commit 795a2ee1db99ab4965b1d69a05c76f6651226539
Author: Tommi Vainikainen <tvainika@src.gnome.org>
Date:   Sun Mar 1 07:31:18 2009 +0000

    Fix parenthesis
    
    svn path=/trunk/; revision=2014

 help/C/gucharmap.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 83bba69a24782337ddd9519bb7b5eb7792a7937d
Author: Tommi Vainikainen <tvainika@src.gnome.org>
Date:   Sun Mar 1 07:21:41 2009 +0000

    Fix shortcuts for Next Script/Previous Script, use keycombo and keycap XML tags for shortcuts, and explain shortcuts using full sentences.
    
    svn path=/trunk/; revision=2013

 help/C/gucharmap.xml |   41 ++++++++++++++++++++++++++++-------------
 1 files changed, 28 insertions(+), 13 deletions(-)

commit d1d6f707a166befea95fc709c421958fee6d4e37
Author: Og B. Maciel <ogmaciel@src.gnome.org>
Date:   Sat Feb 28 15:55:22 2009 +0000

    Updated Italian translation.
    
    svn path=/trunk/; revision=2012

 po/ChangeLog.pre-2-23 |    4 +
 po/it.po              |  178 +++++++++++++++++++++----------------------------
 2 files changed, 79 insertions(+), 103 deletions(-)

commit 1a7d2b40ffab0a9ce7275d4303124acb09de9da8
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Sat Feb 28 10:54:38 2009 +0000

    Updated Spanish translation
    
    svn path=/trunk/; revision=2011

 help/es/es.po |  652 ++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 368 insertions(+), 284 deletions(-)

commit edd94836dd84327e494d481f776493d2e39b991a
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Sat Feb 28 10:53:56 2009 +0000

    Updated Spanish translation
    
    svn path=/trunk/; revision=2010

 po/ChangeLog.pre-2-23 |    4 ++++
 po/es.po              |    9 ++++-----
 2 files changed, 8 insertions(+), 5 deletions(-)

commit 349c4c457703e53f6c1cc8dd1cca194bcba0a65f
Author: Tommi Vainikainen <tvainika@src.gnome.org>
Date:   Fri Feb 27 16:04:50 2009 +0000

    Updated Finnish translation of manual
    
    svn path=/trunk/; revision=2009

 help/fi/fi.po |  984 ++++++++++++++++++++++++++++++++++++++++-----------------
 1 files changed, 697 insertions(+), 287 deletions(-)

commit e098aa43df4add08ebb2a7ac6dab4cb4707ffabb
Author: Philip Withnall <pwithnall@src.gnome.org>
Date:   Mon Feb 23 21:06:09 2009 +0000

    Updated British English translation.
    
    svn path=/trunk/; revision=2008

 po/en_GB.po |  131 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 67 insertions(+), 64 deletions(-)

commit 4eef38b089336953b4a7b33b14406ee393229689
Author: Baris Cicek <bcicek@src.gnome.org>
Date:   Sun Feb 22 17:48:07 2009 +0000

    Updated Turkish translation.
    
    svn path=/trunk/; revision=2007

 po/tr.po |  140 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 72 insertions(+), 68 deletions(-)

commit 2031cd173c70476a4bf92942641b747d5d25a523
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:   Sun Feb 22 12:17:08 2009 +0000

    Updated Japanese translation.
    
    2009-02-22  Takeshi AIHANA <takeshi.aihana@gmail.com>
    
            * ja.po: Updated Japanese translation.
    
    svn path=/trunk/; revision=2006

 po/ChangeLog.pre-2-23 |    4 +
 po/ja.po              |  150 ++++++++++++++++++++++++------------------------
 2 files changed, 79 insertions(+), 75 deletions(-)

commit abfdb32a2da689bbb19208447b63e0024900ee8c
Author: Mario Blättermann <mariobl@svn.gnome.org>
Date:   Sat Feb 21 13:14:31 2009 +0000

    Updated German docs
    
    2009-02-21  Mario Blättermann  <mariobl@svn.gnome.org>
    
    	* help/de/de.po: Updated German docs
    
    
    svn path=/trunk/; revision=2005

 help/de/de.po |  262 +++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 163 insertions(+), 99 deletions(-)

commit 6f0e56cb523a8125db977d62681a5f8eee5f07c3
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Fri Feb 20 13:31:33 2009 +0000

    Updated sv translation (Daniel Nylander)
    
    svn path=/trunk/; revision=2004

 help/sv/figures/gucharmap_start_window.png |  Bin 86776 -> 62186 bytes
 help/sv/figures/gucharmap_window.png       |  Bin 29142 -> 61713 bytes
 help/sv/sv.po                              |  409 ++++++++++++++++------------
 3 files changed, 229 insertions(+), 180 deletions(-)

commit a05e6308e09718871b2a0b86ec3187effb83ce6d
Author: Priit Laes <plaes at svn dot gnome dot org>
Date:   Fri Feb 20 06:37:35 2009 +0000

    Translation updated by Ivar Smolin
    
    2009-02-20  Priit Laes  <plaes at svn dot gnome dot org>
    
    	* et.po: Translation updated by Ivar Smolin
    
    svn path=/trunk/; revision=2003

 po/et.po |   17 +++++++++--------
 1 files changed, 9 insertions(+), 8 deletions(-)

commit 71a78263c6477b8ef5ae7a4beca85aea0d1c7972
Author: Jani Monoses <janimo@src.gnome.org>
Date:   Thu Feb 19 19:23:01 2009 +0000

    Updated Romanian translation from Adi Roiban.
    
    svn path=/trunk/; revision=2002

 po/ro.po | 1059 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 704 insertions(+), 355 deletions(-)

commit 17f135e3304ea47e1c0782c820e904f36662f0e0
Author: Claude Paroz <claudep@src.gnome.org>
Date:   Wed Feb 18 19:04:21 2009 +0000

    Updated French translation.
    
    svn path=/trunk/; revision=2001

 po/fr.po |  137 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 68 insertions(+), 69 deletions(-)

commit 216f086fbc1a9732e0f5bc749868591eb8907518
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 16 19:05:19 2009 +0000

    Update
    
    svn path=/trunk/; revision=1999

 NEWS |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 45816a97a6a8003b9df342f16f37d7f6167d359c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 16 19:05:13 2009 +0000

    Comment out assertion; bug #568794
    
    svn path=/trunk/; revision=1998

 gucharmap/gucharmap-print-operation.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 52ce5cc29b0fd6feb9733ae7f9c6bd53fdff86e8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 16 19:05:07 2009 +0000

    Bug 569072 – Find next/find previous should not have icon in menu
    Patch by Jesús Espino García.
    
    svn path=/trunk/; revision=1997

 gucharmap/gucharmap-window.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8372c6b5d0776d43cda0d2baf13a23264b83b638
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 16 19:01:28 2009 +0000

    Bug 503942 – Various Character Map documentation issues
    Documentation update from carlgao117 at yahoo dot com; patch by Jesús Espino García.
    
    svn path=/trunk/; revision=1996

 help/C/gucharmap.xml |   47 +++++++++++++++++++++++++++++++++++------------
 1 files changed, 35 insertions(+), 12 deletions(-)

commit 9501321ed82b278d84b8348be77a380c534f7531
Author: Duarte Loreto <dnloreto@src.gnome.org>
Date:   Sun Feb 15 13:09:49 2009 +0000

    Duarte Loreto <happyguy_pt@hotmail.com>: Updated Portuguese translation.
    
    svn path=/trunk/; revision=1995

 po/pt.po |  141 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 72 insertions(+), 69 deletions(-)

commit 566715287a577631938a03052769bf9185fd2d33
Author: Gabor Keleman <kelemeng@src.gnome.org>
Date:   Sat Feb 14 02:10:38 2009 +0000

    Hungarian translation updated
    
    svn path=/trunk/; revision=1994

 po/hu.po |  159 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 80 insertions(+), 79 deletions(-)

commit 88c490cfe1a4f92a2a6aa938c413ede61dc67a9e
Author: Wouter Bolsterlee <wbolster@svn.gnome.org>
Date:   Sat Feb 14 01:20:08 2009 +0000

    Updated Dutch translation by Wouter Bolsterlee.
    
    2009-02-14  Wouter Bolsterlee  <wbolster@svn.gnome.org>
    
    	* nl.po: Updated Dutch translation by Wouter Bolsterlee.
    
    
    svn path=/trunk/; revision=1993

 po/nl.po |  416 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 199 insertions(+), 217 deletions(-)

commit 5ee87b33f3f9426aaa2b3238c7be6884a97a86a7
Author: Inaki Larranaga Murgoitio <dooteo@euskalgnu.org>
Date:   Fri Feb 13 13:55:38 2009 +0000

    Updated Basque translation.
    
    2009-02-13  Inaki Larranaga Murgoitio  <dooteo@euskalgnu.org>
    
    	* eu.po: Updated Basque translation.
    
    
    svn path=/trunk/; revision=1992

 po/ChangeLog.pre-2-23 |    4 ++
 po/eu.po              |  134 ++++++++++++++++++++++++------------------------
 2 files changed, 71 insertions(+), 67 deletions(-)

commit 2fe4ef1c4f7b606ca3e2f8e7bf05b4590778cea0
Author: Jonh Wendell <jwendell@gnome.org>
Date:   Wed Feb 11 15:35:55 2009 +0000

    Updated Brazilian Portuguese translation.
    
    2009-02-11  Jonh Wendell  <jwendell@gnome.org>
    
    	* pt_BR.po: Updated Brazilian Portuguese translation.
    
    
    svn path=/trunk/; revision=1991

 po/pt_BR.po |   68 +++++++++++++++++++++++++++++-----------------------------
 1 files changed, 34 insertions(+), 34 deletions(-)

commit 1c77164766b8208a8d29efd0b3faceb7ef041cb0
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Wed Feb 11 14:20:38 2009 +0000

    Updated sv translation (Daniel Nylander)
    
    svn path=/trunk/; revision=1990

 po/sv.po |   66 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 33 insertions(+), 33 deletions(-)

commit 8c43ae872e3fdf68c05e3a2a9e3392840caed1ce
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Wed Feb 11 10:30:49 2009 +0000

    Updated Thai translation.
    
    2009-09-11  Theppitak Karoonboonyanan  <thep@linux.thai.net>
    
    	* th.po: Updated Thai translation.
    
    
    svn path=/trunk/; revision=1989

 po/th.po |  157 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 80 insertions(+), 77 deletions(-)

commit 4469ebfff64e8e8506bfe4bf36659fe8d602d7bc
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 10 14:37:28 2009 +0000

    Set PKG_CONFIG_PATH and add --pkg gucharmap-2 to the introspection scanner run
    
    svn path=/trunk/; revision=1988

 gucharmap/Makefile.am |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit a97e30fe536a9b1fdc568e2819d30c0ee3af7b1a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 10 14:37:20 2009 +0000

    Version 2.25.91
    
    svn path=/trunk/; revision=1987

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 91668244904bba0adce1083a47ca2decff58d9fd
Author: Alexander Shopov <ash@contact.bg>
Date:   Tue Feb 10 04:29:22 2009 +0000

    Updated Bulgarian translation by Alexander Shopov <ash@contact.bg>
    
    2009-02-10  Alexander Shopov  <ash@contact.bg>
    
    	* bg.po: Updated Bulgarian translation by
    	Alexander Shopov <ash@contact.bg>
    
    svn path=/trunk/; revision=1986

 po/bg.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit aac2fad95f2a8277866d939d9b7ae340d0bad5d8
Author: Alexander Shopov <ash@contact.bg>
Date:   Tue Feb 10 04:25:21 2009 +0000

    Updated Bulgarian translation by Alexander Shopov <ash@contact.bg>
    
    2009-02-10  Alexander Shopov  <ash@contact.bg>
    
    	* bg.po: Updated Bulgarian translation by
    	Alexander Shopov <ash@contact.bg>
    
    svn path=/trunk/; revision=1985

 po/bg.po |  130 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 65 insertions(+), 65 deletions(-)

commit 7d75bdc58ff6177712130f43be8203e40e021187
Author: Chao-Hsiung Liao <chliao@src.gnome.org>
Date:   Sun Feb 8 23:51:34 2009 +0000

    2.25.0
    
    svn path=/trunk/; revision=1984

 po/ChangeLog.pre-2-23 |    5 +
 po/zh_HK.po           |  397 ++++++++++++++++++++-------------------------
 po/zh_TW.po           |  424 +++++++++++++++++++++++--------------------------
 3 files changed, 378 insertions(+), 448 deletions(-)

commit c13254714fc048c191965e2803e6524581c37f98
Author: Clytie Siddall <clyties@src.gnome.org>
Date:   Fri Feb 6 13:32:38 2009 +0000

    Updated Vietnamese translation (no ChangeLog?).
    
    svn path=/trunk/; revision=1983

 po/vi.po |  163 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 76 insertions(+), 87 deletions(-)

commit 6ea589bb1da328d30ea7756cf326e9cb8504eab0
Author: Gil Forcada Codinachs <gforcada@src.gnome.org>
Date:   Sun Feb 1 23:33:34 2009 +0000

    Updated Catalan translation by Joan Duran
    
    svn path=/trunk/; revision=1982

 po/ca.po |  141 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 72 insertions(+), 69 deletions(-)

commit 413905c39911b6e43f588a1a194dcae84275a058
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:   Thu Jan 29 18:23:35 2009 +0000

    Updated Norwegian bokmål translation.
    
    svn path=/trunk/; revision=1981

 po/nb.po |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit a5bc8d7fc3880a2544d0a8b40950ff9b57f7e305
Author: Changwoo Ryu <cwryu@src.gnome.org>
Date:   Wed Jan 28 17:22:49 2009 +0000

    Updated Korean translation
    
    svn path=/trunk/; revision=1980

 po/ko.po |  144 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 75 insertions(+), 69 deletions(-)

commit 764b9ec797e0c4d7cebdb7aff6a0c6c0a8894ca6
Author: Ilkka Tuohela <ituohela@src.gnome.org>
Date:   Tue Jan 27 15:02:09 2009 +0000

    Updated Finnish translation
    
    svn path=/trunk/; revision=1979

 po/fi.po |  139 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 71 insertions(+), 68 deletions(-)

commit 4d68153dabe65d9579cee6811fe599a3bb3f6f74
Author: Cai Qian <caiqian@src.gnome.org>
Date:   Mon Jan 26 19:55:44 2009 +0000

    Correct two translation mistakes in zh_CN.po.
    
    svn path=/trunk/; revision=1978

 po/zh_CN.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 03d26dc1d395c8469b0339736c6f883eb368c765
Author: Andre Klapper <a9016009@gmx.de>
Date:   Sun Jan 25 19:11:32 2009 +0000

    Updated German translation.
    
    2009-01-25  Andre Klapper  <a9016009@gmx.de>
    
    	* de.po: Updated German translation.
    
    
    svn path=/trunk/; revision=1977

 po/de.po |  135 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 69 insertions(+), 66 deletions(-)

commit ebfc957dee936782ade4691fb1e775eb32a162bb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Jan 21 12:41:25 2009 +0000

    Rewrite gconf check to make it enabled by default; if you don't want it
    you'll have to explicitly pass --disable-gconf.
    Add gthread to GCONFPKGS, fixing the build on solaris. Bug #568509.
    
    svn path=/trunk/; revision=1976

 configure.ac |   19 ++++++++-----------
 1 files changed, 8 insertions(+), 11 deletions(-)

commit 85cc85843bdd7c2cac76aac171747d5b30369423
Author: Matej Urbančič <mateju@src.gnome.org>
Date:   Thu Jan 15 15:58:25 2009 +0000

    Updated Slovenian translation
    
    svn path=/trunk/; revision=1974

 po/sl.po |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 0591edbbe061d9229a165630c56a8a67a0efc9e7
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Wed Jan 14 19:21:20 2009 +0000

    Updated Spanish translation
    
    svn path=/trunk/; revision=1973

 po/es.po |   68 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 35 insertions(+), 33 deletions(-)

commit aa8510776fd789e3cbe6d728d34daf4e80eaee0c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jan 12 18:59:27 2009 +0000

    Mention unicode version in about dialogue
    
    svn path=/trunk/; revision=1969

 gucharmap/gucharmap-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9761c135bea8ae8e3d8cf51751b4f31c1bbaf01f
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:   Mon Jan 5 14:51:42 2009 +0000

    Updated Norwegian bokmål translation.
    
    svn path=/trunk/; revision=1968

 po/nb.po |  150 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 75 insertions(+), 75 deletions(-)

commit 46c6eaeccf88182721770d241f685702a55dea1f
Author: Priit Laes <plaes at svn dot gnome dot org>
Date:   Sat Jan 3 12:49:49 2009 +0000

    Translation updated by Ivar Smolin
    
    2009-01-03  Priit Laes  <plaes at svn dot gnome dot org>
    
    	* et.po: Translation updated by Ivar Smolin
    
    svn path=/trunk/; revision=1967

 po/et.po |  313 +------------------------------------------------------------
 1 files changed, 6 insertions(+), 307 deletions(-)

commit 3513075af6ce97ca5c9c46eb269dd50ec3153ada
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 24 22:40:52 2008 +0000

    Update set-scroll-adjustments signal docs
    
    svn path=/trunk/; revision=1965

 gucharmap/gucharmap-chartable.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit b6138731be2388220d489ffa147ca275abaab341
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 24 22:40:48 2008 +0000

    Fix #ifdefs
    
    svn path=/trunk/; revision=1964

 gucharmap/gucharmap-settings.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4f78733e0bdfa1eb23f6c1c8ff06c80f9af460f4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 24 22:40:41 2008 +0000

    Call g_thread_init() if using GConf.
    
    svn path=/trunk/; revision=1963

 gucharmap/main.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 1effd7b25b5b77be8564ba23135625f8e45437c8
Author: Gabor Keleman <kelemeng@src.gnome.org>
Date:   Tue Dec 23 21:02:13 2008 +0000

    Translation updated
    
    svn path=/trunk/; revision=1962

 po/hu.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 35d66e20f97ab84bfb3325021553526e9be7c049
Author: Gabor Keleman <kelemeng@src.gnome.org>
Date:   Tue Dec 23 21:00:45 2008 +0000

    Translation updated
    
    svn path=/trunk/; revision=1961

 po/hu.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 4edaaa23216b670c116a913752b53019186de8c2
Author: Matej Urbančič <mateju@src.gnome.org>
Date:   Tue Dec 23 12:07:12 2008 +0000

    Updated Slovenian translation
    
    svn path=/trunk/; revision=1960

 po/sl.po |  190 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 97 insertions(+), 93 deletions(-)

commit def4c9879472548fbd30a66929dae5f0d81ab21d
Author: Gilles Dartiguelongue <gdartigu@src.gnome.org>
Date:   Tue Dec 2 22:59:07 2008 +0000

    Allow gucharmap to build with --disable-gconf, bug #562931.
    
     * Allow gucharmap to build with --disable-gconf, bug #562931.
    
    svn path=/trunk/; revision=1958

 gucharmap/gucharmap-settings.c |    8 +-------
 1 files changed, 1 insertions(+), 7 deletions(-)

commit ed37316cd7eaafbc415b1c074d11a8bbf5279304
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Nov 19 14:33:57 2008 +0000

    Add GObject introspection for libgucharmap. Use --enable-introspection
    to build.
    
    svn path=/trunk/; revision=1955

 configure.ac          |   34 +++++++++++++++++++++++++++++++---
 gucharmap/Makefile.am |   31 ++++++++++++++++++++++++++++++-
 2 files changed, 61 insertions(+), 4 deletions(-)

commit f1bcf2fd27b6f333c7a207b45d0483b82c34879c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 13 10:14:35 2008 +0000

    Bug 560589 – Fails to build, 'HELPDIR' undeclared
    Patch by Theppitak Karoonboonyanan.
    
    svn path=/trunk/; revision=1954

 gucharmap/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 794a21485b6305a3ea31e8e1e18cafd9f46c829a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Nov 12 13:28:37 2008 +0000

    Make --with-help-dir work correctly.
    
    svn path=/trunk/; revision=1953

 gucharmap/Makefile.am        |    1 +
 gucharmap/gucharmap-window.c |    4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 0e2fe19c101d403db85d907b728e9e361aa57965
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 8 14:31:47 2008 +0000

    Remove new ChangeLog entry.
    
    svn path=/trunk/; revision=1952

 po/ChangeLog.pre-2-23 |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit b6069c8abc2f8065b1f2c1b4cba1c08eff7d5109
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Sat Nov 8 12:50:37 2008 +0000

    Updated Spanish translation
    
    svn path=/trunk/; revision=1951

 po/ChangeLog.pre-2-23 |    4 +
 po/es.po              |  152 +++++++++++++++++++++++++------------------------
 2 files changed, 81 insertions(+), 75 deletions(-)

commit 22e4848bbc39a29c4c8401d970de8a3b67b41452
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Nov 7 23:05:00 2008 +0000

    Fix comment; the property isn't deprecated, it just doesn't exist anymore
    
    svn path=/trunk/; revision=1950

 gucharmap/gucharmap-charmap.c |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit d0241b654958fac259085b44bb2c7272e6a4b042
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Nov 7 22:58:09 2008 +0000

    Don't install the 'orientable' property in gtk >= 2.15.0, since GtkPaned
    is orientable already.
    
    svn path=/trunk/; revision=1949

 docs/reference/tmpl/gucharmap-charmap.sgml |    5 ---
 docs/reference/tmpl/gucharmap-unused.sgml  |    6 +++
 gucharmap/gucharmap-charmap.c              |   54 +++++++++++++++++++++++++++-
 gucharmap/gucharmap-charmap.h              |    2 +
 4 files changed, 61 insertions(+), 6 deletions(-)

commit a16a40fc4dc6d9efd2e0dcdc94210f760a20d6b7
Author: Maxim Dziumanenko <dziumanenko@gmail.com>
Date:   Thu Oct 30 11:45:45 2008 +0000

    Update Ukrainian translation.
    
    2008-10-30 Maxim Dziumanenko <dziumanenko@gmail.com>
    
            * Update Ukrainian translation.
    
    
    svn path=/trunk/; revision=1947

 po/uk.po |  681 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 365 insertions(+), 316 deletions(-)

commit cba53e7b1e33ee799848ffa0df24fa82d2b113f4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Oct 29 21:39:24 2008 +0000

    Fix crash when pasting and there's no text on the clipboard.
    
    svn path=/trunk/; revision=1946

 gucharmap/gucharmap-chartable.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 7b9b4f281f2af15775c3285fa7e023ce1e64ef86
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 27 14:57:43 2008 +0000

    Remove check testing if we can link to libpython. It doesn't seem to be
    used, and breaks configure with libtool 2.2.
    
    svn path=/trunk/; revision=1940

 configure.ac |   22 ----------------------
 1 files changed, 0 insertions(+), 22 deletions(-)

commit bdc36e7287c4a7b60abb11c410a4ba3292004313
Author: Leonardo Ferreira Fontenelle <leonardof@src.gnome.org>
Date:   Sun Oct 26 00:47:29 2008 +0000

    2008-10-25  Leonardo Ferreira Fontenelle  leonardof@gnome.org
    
    	* pt_BR.po: Merged from branch gnome-2-24.
    
    svn path=/trunk/; revision=1939

 help/pt_BR/pt_BR.po |  346 +++++++++++++++++++++++++-------------------------
 1 files changed, 173 insertions(+), 173 deletions(-)

commit 848bad8084e057324f778d982bdefa344ad90321
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Wed Oct 22 14:37:48 2008 +0000

    sv.po: Updated Swedish translation
    
    svn path=/trunk/; revision=1936

 po/sv.po |   87 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 45 insertions(+), 42 deletions(-)

commit 6210483b2f29861ff0b9b3390f5adb6d8826dab1
Author: Wadim Dziedzic <wdziedzic@aviary.pl>
Date:   Tue Oct 21 20:36:57 2008 +0000

    Updated Polish translation by Marek Kiszkis
    
    2008-10-21  Wadim Dziedzic  <wdziedzic@aviary.pl>
    
    	* pl.po: Updated Polish translation by Marek Kiszkis
    
    svn path=/trunk/; revision=1935

 po/pl.po |  981 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 522 insertions(+), 459 deletions(-)

commit e43ffbb1d2bddbd0a0b890d91d989357038a5b59
Author: Og B. Maciel <ogmaciel@src.gnome.org>
Date:   Wed Oct 1 03:33:21 2008 +0000

    Brazilian Portuguese translation updated by Vladimir Melo and Og Maciel.
    
    svn path=/trunk/; revision=1929

 po/pt_BR.po |  165 ++++++++++++++++++++++++++++++----------------------------
 1 files changed, 85 insertions(+), 80 deletions(-)

commit b2b4a7d0fb5240e6a56773f9b27fec7b5f659ee1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 29 13:14:23 2008 +0000

    Add about dialogue email hook.
    
    svn path=/trunk/; revision=1927

 gucharmap/gucharmap-window.c |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit e6368c9b067c919b4af596bf9668b58780c87d47
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Sep 26 19:30:56 2008 +0000

    Print version to stdout, not stderr
    
    svn path=/trunk/; revision=1925

 gucharmap/main.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5a0e7f805a5fad92cacef31a7463e5f3f4a65322
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Sep 26 17:45:47 2008 +0000

    Use correct name, and reorder properties.
    
    svn path=/trunk/; revision=1924

 gucharmap/gucharmap-window.c |   11 +++++------
 1 files changed, 5 insertions(+), 6 deletions(-)

commit cd9551f314e0f011414d0c215460d899b68373de
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Sep 26 17:45:41 2008 +0000

    Add back --version which was lost when removing libgnome usage.
    
    svn path=/trunk/; revision=1923

 gucharmap/main.c |   20 +++++++++++++++++---
 1 files changed, 17 insertions(+), 3 deletions(-)

commit ac9bb61a121599586ad911c9fdef6dbbd80c5b51
Author: Yang Zhang <zyang@src.gnome.org>
Date:   Wed Sep 24 13:23:54 2008 +0000

    Merge updated zh_CN translation from branch gnome-2-24
    
    svn path=/trunk/; revision=1922

 po/zh_CN.po |  153 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 75 insertions(+), 78 deletions(-)

commit 6d6f2a90b83f5fa22d096f7180960104b19cdd59
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Sep 24 12:52:25 2008 +0000

    Default to enable maintainer mode
    
    svn path=/trunk/; revision=1920

 configure.ac |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 89e5dff3324233658730f26e7941a6e5006b3acc
Author: Andre Klapper <a9016009@gmx.de>
Date:   Mon Sep 22 21:21:47 2008 +0000

    Added Afrikaans translation on behalf of F Wolff. Fixes bug #553309.
    
    2008-08-22  Andre Klapper  <a9016009@gmx.de>
    
    	* af.po:
    	* LINGUAS: Added Afrikaans translation on behalf of F Wolff.
    	Fixes bug #553309.
    
    
    svn path=/trunk/; revision=1919

 po/LINGUAS |    1 +
 po/af.po   | 1262 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1263 insertions(+), 0 deletions(-)

commit f662bf7f01c01dd523b37ffd0c30c5702f611101
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 22 12:38:59 2008 +0000

    Post release version bump.
    
    svn path=/trunk/; revision=1917

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3b4f3f24f7644738e38532971002e44de09aa42a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 22 12:32:45 2008 +0000

    Version 2.24.0.
    
    svn path=/trunk/; revision=1912

 NEWS         |    4 ++++
 configure.ac |    6 +++---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 192dd9a41a40b0719f999f3b8f0e835c0d51c6d6
Author: Djihed Afifi <djihed@src.gnome.org>
Date:   Sun Sep 21 11:55:19 2008 +0000

    Updated Arabic Translation by Anas Afif Emad.
    
    * Updated Arabic Translation by Anas Afif Emad.
    
    svn path=/trunk/; revision=1911

 po/ar.po |  298 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 168 insertions(+), 130 deletions(-)

commit 86a86f40fc8dbdc0be59f34495bcb074afda0414
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Sep 21 11:22:10 2008 +0000

    Remove po/ChangeLog and depend on intltool 0.40.4 in svn builds.
    
    svn path=/trunk/; revision=1910

 Makefile.am  |    2 +-
 autogen.sh   |    5 ++++-
 po/ChangeLog |   23 -----------------------
 3 files changed, 5 insertions(+), 25 deletions(-)

commit e4b79bef9642aebe1cc7d768147e39dc19d399c0
Author: Kenneth Nielsen <kennethn@src.gnome.org>
Date:   Sat Sep 20 20:37:08 2008 +0000

    Updated Danish translation
    
    svn path=/trunk/; revision=1909

 po/ChangeLog |    4 +
 po/da.po     |  704 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 389 insertions(+), 319 deletions(-)

commit 40620f3e796d2f94fa11f390478bc3ae6b0aa3d1
Author: Mario Blättermann <mariobl@svn.gnome.org>
Date:   Sat Sep 20 13:00:22 2008 +0000

    Updated German translation.
    
    2008-09-20  Mario Blättermann  <mariobl@svn.gnome.org>
    
    	* de/de.po: Updated German translation.
    
    svn path=/trunk/; revision=1908

 help/de/de.po |  483 ++++++++++++++++++++++++++++-----------------------------
 1 files changed, 236 insertions(+), 247 deletions(-)

commit 43e6dc27a3d2f5d3cdc900709b8d5c524acb4aa2
Author: Goran Rakic <grakic@src.gnome.org>
Date:   Sat Sep 20 02:01:12 2008 +0000

    Updated Serbian translation
    
    svn path=/trunk/; revision=1907

 po/sr.po       |  878 +++++++++++++++++++++++++++++++-------------------------
 po/sr@latin.po |  878 +++++++++++++++++++++++++++++++-------------------------
 2 files changed, 960 insertions(+), 796 deletions(-)

commit a9516bdf1ba169d887279b77eb48339364903a24
Author: Ilkka Tuohela <ituohela@src.gnome.org>
Date:   Thu Sep 18 11:09:35 2008 +0000

    Updated Finnish translation
    
    svn path=/trunk/; revision=1906

 po/ChangeLog |    4 +++
 po/fi.po     |   74 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 41 insertions(+), 37 deletions(-)

commit 7ba00e2c39d6c8bed09513205d896ff0ef168a3c
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Thu Sep 18 03:46:51 2008 +0000

    Updated Traditional Chinese translation(Hong Kong). Updated Traditional
    
    2008-09-18  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>
    
            * zh_HK.po: Updated Traditional Chinese translation(Hong Kong).
            * zh_TW.po: Updated Traditional Chinese translation(Taiwan).
    
    
    
    svn path=/trunk/; revision=1905

 po/zh_HK.po |  801 +++++++++++++++++++++++++++++++++-------------------------
 po/zh_TW.po |  826 +++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 921 insertions(+), 706 deletions(-)

commit d11ebfde0b252a2be093b754a984ba69e6e3609e
Author: Baris Cicek <bcicek@src.gnome.org>
Date:   Thu Sep 18 03:36:57 2008 +0000

    Updated Turkish Translation
    
    svn path=/trunk/; revision=1904

 po/ChangeLog |    4 +
 po/tr.po     |  717 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 404 insertions(+), 317 deletions(-)

commit 0f2282bba8e5cc762d00fd5e64f959e5c51d967c
Author: Djihed Afifi <djihed@src.gnome.org>
Date:   Thu Sep 18 02:05:03 2008 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    * Updated Arabic Translation by Khaled Hosny.
    
    svn path=/trunk/; revision=1903

 po/ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 242b82b005fc2c283a7b13e3e8bb5cedfdfe5f78
Author: Gabor Keleman <kelemeng@src.gnome.org>
Date:   Tue Sep 16 23:44:01 2008 +0000

    Hungarian translation updated
    
    svn path=/trunk/; revision=1902

 po/hu.po |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 5e45d35231ddebf638c8f3431a680a727d10b267
Author: Gil Forcada Codinachs <gforcada@src.gnome.org>
Date:   Mon Sep 15 20:55:45 2008 +0000

    Updated Catalan translation by Joan Duran
    
    svn path=/trunk/; revision=1901

 po/ca.po |  217 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 105 insertions(+), 112 deletions(-)

commit 58862d60444fed303c73cc4edfdba59aef0214bc
Author: Djihed Afifi <djihed@src.gnome.org>
Date:   Mon Sep 15 09:42:22 2008 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    * Updated Arabic Translation by Khaled Hosny.
    
    svn path=/trunk/; revision=1900

 po/ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit b881c2e963e57b121a03161159fc24574cd35aa8
Author: Felix I <ifelix@src.gnome.org>
Date:   Mon Sep 15 06:29:40 2008 +0000

    Tamil translation updated
    
    svn path=/trunk/; revision=1899

 po/ta.po |  805 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 438 insertions(+), 367 deletions(-)

commit 692ac38e233096807d66f8fc2890ef49892dc8d6
Author: Amanpreet Singh Alam <aman@src.gnome.org>
Date:   Sun Sep 14 13:41:41 2008 +0000

    translation for Punjabi by A S Alam
    
    svn path=/trunk/; revision=1898

 po/pa.po |  744 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 410 insertions(+), 334 deletions(-)

commit ef953553191e21394b5cc717f3619939b5bbcdf9
Author: Djihed Afifi <djihed@src.gnome.org>
Date:   Sun Sep 14 10:15:34 2008 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    * Updated Arabic Translation by Khaled Hosny.
    
    svn path=/trunk/; revision=1897

 po/ar.po |   62 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 31 insertions(+), 31 deletions(-)

commit e2c892edd2437460cb36f98e36e5bf65f3f52672
Author: Gintautas Miliauskas <gintas@src.gnome.org>
Date:   Fri Sep 12 22:39:10 2008 +0000

    Cleaned up ChangeLog
    
    svn path=/trunk/; revision=1896

 po/ChangeLog |   16 ----------------
 1 files changed, 0 insertions(+), 16 deletions(-)

commit 467260de272b347903ae73d22213c9ab71005f49
Author: Gintautas Miliauskas <gintas@akl.lt>
Date:   Fri Sep 12 22:37:54 2008 +0000

    Updated Lithuanian translation.
    
    2008-09-13  Gintautas Miliauskas  <gintas@akl.lt>
    
    	* lt.po: Updated Lithuanian translation.
    
    
    
    svn path=/trunk/; revision=1895

 po/lt.po |  164 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 82 insertions(+), 82 deletions(-)

commit 641ed7dfd9ad7a819f8b8523edf3f3ca1bd09b18
Author: Sandeep Shedmake <sandeeps@src.gnome.org>
Date:   Thu Sep 11 07:25:22 2008 +0000

    Updated Marathi Translations
    
    svn path=/trunk/; revision=1894

 po/ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 9503ee14388b1ef74fc5740aed47419d514d581b
Author: Sandeep Shedmake <sandeeps@src.gnome.org>
Date:   Thu Sep 11 07:23:04 2008 +0000

    Updated Marathi Translations
    
    svn path=/trunk/; revision=1893

 po/mr.po |  715 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 391 insertions(+), 324 deletions(-)

commit 9aece62554b21a4097d81975adde5d53db84309e
Author: Krishnababu Krothapalli <kkrothap@src.gnome.org>
Date:   Wed Sep 10 07:27:07 2008 +0000

    Newly added Telugu Translation
    
    svn path=/trunk/; revision=1892

 po/te.po | 1254 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 1254 insertions(+), 0 deletions(-)

commit 6dbc4cd1fb87eff5b6e55e63ea66786f40ac49aa
Author: Krishnababu Krothapalli <kkrothap@src.gnome.org>
Date:   Wed Sep 10 07:25:50 2008 +0000

    Updated Changelog file
    
    svn path=/trunk/; revision=1891

 po/ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 9491f317291e5935100fe2703a0105e1d2aaa67b
Author: Krishnababu Krothapalli <kkrothap@src.gnome.org>
Date:   Wed Sep 10 07:25:25 2008 +0000

    Updated LINGUAS file
    
    svn path=/trunk/; revision=1890

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit af2dc7ba9a1e32f0f003eca9247f9ce9ac1dc43e
Author: Funda Wang <fwang@src.gnome.org>
Date:   Wed Sep 10 05:19:39 2008 +0000

    Updated zh_CN translation.
    
    svn path=/trunk/; revision=1889

 po/ChangeLog |    4 +
 po/zh_CN.po  |  700 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 380 insertions(+), 324 deletions(-)

commit 1085deea1032d180f705594b034f59f56039fea1
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Wed Sep 10 03:04:13 2008 +0000

    Updated Thai translation.
    
    2008-09-10  Theppitak Karoonboonyanan  <thep@linux.thai.net>
    
    	* th.po: Updated Thai translation.
    
    
    svn path=/trunk/; revision=1888

 po/th.po |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit adeab2e16e7b8f5458d71b7348cde6b01f963a51
Author: Luca Ferretti <lferrett@src.gnome.org>
Date:   Tue Sep 9 21:21:31 2008 +0000

    Updated Italian translation by Milo Casagrande.
    
    svn path=/trunk/; revision=1887

 po/it.po |  764 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 433 insertions(+), 331 deletions(-)

commit 18838996db8397319eeb22e59a475d86a1a16e12
Author: Robert Sedak <rsedak@src.gnome.org>
Date:   Tue Sep 9 14:04:47 2008 +0000

    Update: Croatian Language
    
    svn path=/trunk/; revision=1886

 po/hr.po |  916 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 614 insertions(+), 302 deletions(-)

commit a3565c7706a5380481bf849b1aea396e8a4a5532
Author: Nguyen Thai Ngoc Duy <pclouds@src.gnome.org>
Date:   Tue Sep 9 10:44:50 2008 +0000

    vi.po: updated translation from Nguyễn Đình Trung
    
    svn path=/trunk/; revision=1885

 help/vi/vi.po |  539 ++++++++++++++++++++++++++++++++++++++++++++-------------
 1 files changed, 421 insertions(+), 118 deletions(-)

commit 48911e5af20d70297539435e2d93106c63aea070
Author: Nguyen Thai Ngoc Duy <pclouds@src.gnome.org>
Date:   Tue Sep 9 10:42:56 2008 +0000

    vi.po: updated translation from Nguyễn Đình Trung
    
    svn path=/trunk/; revision=1884

 po/vi.po |  296 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 138 insertions(+), 158 deletions(-)

commit 953f1158eaba47b29882d6cb29d2ec11a41c1663
Author: Changwoo Ryu <cwryu@src.gnome.org>
Date:   Mon Sep 8 08:49:18 2008 +0000

    Updated Korean translation.
    
    svn path=/trunk/; revision=1883

 po/ko.po |  703 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 386 insertions(+), 317 deletions(-)

commit eddfffadf343f0bb7256a0812634c6cdb005abb8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Sep 6 20:10:03 2008 +0000

    Plug a mem leak.
    
    svn path=/trunk/; revision=1882

 gucharmap/gucharmap-window.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 72541147943a4eac8274e60717a15836f8ebd221
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 6 19:50:27 2008 +0000

    Updated British English translation.
    
    2008-09-06  Philip Withnall  <philip@tecnocode.co.uk>
    
    	* en_GB.po: Updated British English translation.
    
    
    svn path=/trunk/; revision=1881

 po/en_GB.po |  850 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 450 insertions(+), 400 deletions(-)

commit 7d2fc7ca3deb060d9376f2e25ce4528c4854176a
Author: Andre Klapper <a9016009@gmx.de>
Date:   Fri Sep 5 10:43:05 2008 +0000

    Updated German translation.
    
    2008-09-05  Andre Klapper  <a9016009@gmx.de>
    
    	* de.po: Updated German translation.
    
    
    svn path=/trunk/; revision=1880

 po/de.po |  767 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 423 insertions(+), 344 deletions(-)

commit 20a2d29f521bab13b604727a6c7dfdc52f2b316e
Author: Nguyen Thai Ngoc Duy <pclouds@src.gnome.org>
Date:   Thu Sep 4 12:23:30 2008 +0000

    vi.po: added translation from Nguyễn Đình Trung
    
    svn path=/trunk/; revision=1879

 help/Makefile.am |    2 +-
 help/vi/vi.po    |  546 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 547 insertions(+), 1 deletions(-)

commit b65b89e0f2a3006c53bfade4041dd866b549a453
Author: Nguyen Thai Ngoc Duy <pclouds@src.gnome.org>
Date:   Thu Sep 4 12:14:53 2008 +0000

    vi.po: updates from Nguyễn Đình Trung
    
    svn path=/trunk/; revision=1878

 po/vi.po |   48 ++++++++++++++++++++++++------------------------
 1 files changed, 24 insertions(+), 24 deletions(-)

commit b9ce4941a1918d90987a6d0629ba3e23f6fb3f8c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 1 11:58:09 2008 +0000

    Remove deprecated Encoding line.
    
    svn path=/trunk/; revision=1877

 gucharmap.desktop.in.in |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit e7c62b0792fc41652a19a449db7b48e118e0a2f6
Author: Priit Laes <plaes at svn dot gnome dot org>
Date:   Sun Aug 31 17:32:48 2008 +0000

    Translation updated by Ivar Smolin
    
    2008-08-31  Priit Laes  <plaes at svn dot gnome dot org>
    
    	* et.po: Translation updated by Ivar Smolin
    
    svn path=/trunk/; revision=1876

 po/ChangeLog |    4 ++++
 po/et.po     |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 971aed4578867a350e035b4cc312aac6bba946ba
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Aug 31 11:36:03 2008 +0000

    Cleanup.
    
    svn path=/trunk/; revision=1875

 po/ChangeLog |   53 -----------------------------------------------------
 1 files changed, 0 insertions(+), 53 deletions(-)

commit 4c59f675062ee2b60f6f6a8db24cf480ac56dc84
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 30 14:50:52 2008 +0000

    Post release version bump.
    
    svn path=/trunk/; revision=1874

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e0410b172875e66926c1d49fbae538eedb0405cb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 30 14:50:05 2008 +0000

    Version 2.23.91.
    
    svn path=/trunk/; revision=1872

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit dc945fbc27cebbaec4922c79b268c965cea6f3e1
Author: Manoj Kumar Giri <mgiri@src.gnome.org>
Date:   Fri Aug 29 13:55:37 2008 +0000

    Updated Translation for Oriya
    
    svn path=/trunk/; revision=1871

 po/or.po |  767 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 427 insertions(+), 340 deletions(-)

commit b8f37b4a5eb503d6485c83d1ed1413d3a35fd284
Author: Manoj Kumar Giri <mgiri@src.gnome.org>
Date:   Fri Aug 29 13:55:03 2008 +0000

    Added Entry for Oriya translation Updation
    
    svn path=/trunk/; revision=1870

 po/ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 87139943eab7baf860fb0ae006ead6e6b5d51f90
Author: Priit Laes <plaes at svn dot gnome dot org>
Date:   Fri Aug 29 11:26:49 2008 +0000

    Translation updated by Ivar Smolin
    
    2008-08-29  Priit Laes  <plaes at svn dot gnome dot org>
    
    	* et.po: Translation updated by Ivar Smolin
    
    svn path=/trunk/; revision=1869

 po/ChangeLog |    4 ++++
 po/et.po     |    6 +++++-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit 758570a4e0adbe7d95c40532cd64f2d3f30f2946
Author: Priit Laes <plaes at svn dot gnome dot org>
Date:   Thu Aug 28 22:52:04 2008 +0000

    Translation updated by Ivar Smolin
    
    2008-08-29  Priit Laes  <plaes at svn dot gnome dot org>
    
    	* et.po: Translation updated by Ivar Smolin
    
    svn path=/trunk/; revision=1868

 po/ChangeLog |    4 ++++
 po/et.po     |   14 +++++++-------
 2 files changed, 11 insertions(+), 7 deletions(-)

commit 5a0630d22fd279c5e2fc8e0d3d69652818f08fd0
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Thu Aug 28 21:50:31 2008 +0000

    sv.po: Updated Swedish translation
    
    svn path=/trunk/; revision=1867

 po/ChangeLog |    4 +++
 po/sv.po     |   72 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 40 insertions(+), 36 deletions(-)

commit 6d01a8e3cb7ab79fcec3c88db8ee53e260c6f3b8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Aug 28 20:06:55 2008 +0000

    Plug a mem leak.
    
    svn path=/trunk/; revision=1866

 gucharmap/gucharmap-window.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 572c7fdc09e53d95f3e2397dba023a8bda3f2c6b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Aug 28 19:56:58 2008 +0000

    Use single / in the help file path.
    
    svn path=/trunk/; revision=1865

 gucharmap/gucharmap-window.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 75dd2003f1afd698d44f0f1e9ddc76c5533287e6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Aug 28 19:51:20 2008 +0000

    Use gtk_show_uri here.
    
    svn path=/trunk/; revision=1864

 gucharmap/gucharmap-window.c |   14 ++++----------
 1 files changed, 4 insertions(+), 10 deletions(-)

commit 6de698ea114366847fe15cab63589bc8ff92eeae
Author: Priit Laes <plaes at svn dot gnome dot org>
Date:   Wed Aug 27 17:44:02 2008 +0000

    Translation updated by Ivar Smolin
    
    2008-08-27  Priit Laes  <plaes at svn dot gnome dot org>
    
    	* et.po: Translation updated by Ivar Smolin
    
    svn path=/trunk/; revision=1863

 po/ChangeLog |    4 ++++
 po/et.po     |   18 +++++++++---------
 2 files changed, 13 insertions(+), 9 deletions(-)

commit bfc1240ab1f08f9c2eda7a6824bffff00addf1c1
Author: Djihed Afifi <djihed@src.gnome.org>
Date:   Tue Aug 26 14:17:23 2008 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    * Updated Arabic Translation by Khaled Hosny.
    
    svn path=/trunk/; revision=1862

 po/ar.po |   62 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 31 insertions(+), 31 deletions(-)

commit 5b325c4b0782ee1efd327effb0e3e84c0038ada6
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Mon Aug 25 19:30:59 2008 +0000

    sv.po: Updated Swedish translation
    
    svn path=/trunk/; revision=1861

 po/ChangeLog |    3 +
 po/sv.po     |  803 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 439 insertions(+), 367 deletions(-)

commit 9fcc66c09b334a347076a1315905aedd02e3904e
Author: Goran Rakic <grakic@src.gnome.org>
Date:   Mon Aug 25 14:55:22 2008 +0000

    Conversion from sr@Latn to sr@latin
    
    svn path=/trunk/; revision=1860

 po/ChangeLog   |    5 +
 po/LINGUAS     |    2 +-
 po/sr@Latn.po  | 1271 --------------------------------------------------------
 po/sr@latin.po | 1271 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 1277 insertions(+), 1272 deletions(-)

commit 6ff9419edb41b5e9b48c5bf1f9c255633fb68c16
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 23 19:16:34 2008 +0000

    Use GIO to launch the help URI instead of calling gnome-open.
    
    svn path=/trunk/; revision=1859

 configure.ac                 |    2 +-
 gucharmap/gucharmap-window.c |   25 +++++++++++++++----------
 2 files changed, 16 insertions(+), 11 deletions(-)

commit a77140f497ae7e5390cb77ece207824cfea72128
Author: Inaki Larranaga Murgoitio <dooteo@euskalgnu.org>
Date:   Sat Aug 23 13:42:24 2008 +0000

    Updated Basque translation.
    
    2008-08-23  Inaki Larranaga Murgoitio  <dooteo@euskalgnu.org>
    
    	* eu.po: Updated Basque translation.
    
    
    svn path=/trunk/; revision=1858

 po/ChangeLog |    4 +
 po/eu.po     |  680 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 369 insertions(+), 315 deletions(-)

commit b2a3b5c1043672603f26ff514e09e79de579aeb1
Author: Claude Paroz <claudep@src.gnome.org>
Date:   Sat Aug 23 09:10:45 2008 +0000

    Updated French translation by Robert-André Mauchin.
    
    svn path=/trunk/; revision=1857

 po/fr.po |  677 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 364 insertions(+), 313 deletions(-)

commit 61ea41936bda6d674206296870133d7b2c98693f
Author: Leonardo Ferreira Fontenelle <leonardof@gnome.org>
Date:   Wed Aug 20 02:27:50 2008 +0000

    Brazilian Portuguese translation updated by Fábio Nogueira and Leonardo
    
    2008-08-19  Leonardo Ferreira Fontenelle  <leonardof@gnome.org>
    
    	* pt_BR.po: Brazilian Portuguese translation updated by Fábio Nogueira
    	and Leonardo Ferreira Fontenelle.
    
    svn path=/trunk/; revision=1856

 po/pt_BR.po |  890 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 480 insertions(+), 410 deletions(-)

commit b7f06290552d8d6dd8d8627d94327f362f4f19cb
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:   Sun Aug 17 14:19:24 2008 +0000

    Updated Japanese translation.
    
    2008-08-17  Takeshi AIHANA <takeshi.aihana@gmail.com>
    
    	* ja.po: Updated Japanese translation.
    
    svn path=/trunk/; revision=1855

 po/ja.po |  685 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 368 insertions(+), 317 deletions(-)

commit ff01a7d13937929d169364301eb63e314071c6be
Author: Duarte Loreto <dnloreto@src.gnome.org>
Date:   Thu Aug 14 11:48:14 2008 +0000

    pt.po: Updated Portuguese translation by Duarte Loreto <happyguy_pt@hotmail.com>
    
    svn path=/trunk/; revision=1854

 po/pt.po |  695 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 381 insertions(+), 314 deletions(-)

commit ed48d02afa9614872bae22756b80f631be07a2da
Author: Yair Hershkovitz <yairhr@gmail.com>
Date:   Tue Aug 12 15:30:22 2008 +0000

    Updated Hebrew translation.
    
    2008-08-12  Yair Hershkovitz  <yairhr@gmail.com>
    
    	* he.po: Updated Hebrew translation.
    
    svn path=/trunk/; revision=1853

 po/he.po |   26 ++++++++++----------------
 1 files changed, 10 insertions(+), 16 deletions(-)

commit bbf8d8cd8694bbffe1c086d63b6ea966bd04e691
Author: Ilkka Tuohela <ituohela@src.gnome.org>
Date:   Tue Aug 12 11:35:33 2008 +0000

    Updated Finnish translation
    
    svn path=/trunk/; revision=1852

 po/ChangeLog |    4 +
 po/fi.po     |  691 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 383 insertions(+), 312 deletions(-)

commit 6af49cc88b71e1055091f18e46a144b7d0857f83
Author: Petr Kovář <pmkovar@src.gnome.org>
Date:   Fri Aug 8 22:16:33 2008 +0000

    cs.po: Updated Czech translation.
    
    svn path=/trunk/; revision=1851

 po/cs.po |  702 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 373 insertions(+), 329 deletions(-)

commit b9f522781112e3081e10567d8f743cc2e1073700
Author: Sweta Kothari <swkothar@src.gnome.org>
Date:   Thu Aug 7 07:00:42 2008 +0000

    Committed Translation by Sweta Kothari
    
    svn path=/trunk/; revision=1850

 po/ChangeLog |    4 ++++
 po/gu.po     |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 4dd883dcfe78094c9de6ff8a3634c56afda6d914
Author: Sweta Kothari <swkothar@src.gnome.org>
Date:   Thu Aug 7 06:58:52 2008 +0000

    Committed Translation by Sweta Kothari
    
    svn path=/trunk/; revision=1849

 po/ChangeLog |    4 +
 po/gu.po     |  739 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 403 insertions(+), 340 deletions(-)

commit 4a96550f4975b98344e3c4c3ef1b4326cb806bdb
Author: Djihed Afifi <djihed@src.gnome.org>
Date:   Wed Aug 6 08:31:56 2008 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    svn path=/trunk/; revision=1848

 po/ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit c4ac968893275921eb640b924b0ff6d15222356a
Author: Alexander Shopov <ash@contact.bg>
Date:   Tue Aug 5 05:41:06 2008 +0000

    Updated Bulgarian translation by Alexander Shopov <ash@contact.bg>
    
    2008-08-05  Alexander Shopov  <ash@contact.bg>
    
    	* bg.po: Updated Bulgarian translation by
    	Alexander Shopov <ash@contact.bg>
    
    svn path=/trunk/; revision=1846

 po/ChangeLog |    5 +
 po/bg.po     |  831 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 448 insertions(+), 388 deletions(-)

commit c7f1e8abcf254bb7eab25d62f0da5ed4c34ef2e9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Aug 4 18:13:57 2008 +0000

    Re-add po/ChangeLog; intltool breaks without it.
    
    svn path=/trunk/; revision=1845

 po/ChangeLog |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 552be9902ccbe9f02fa1290285c27ac903406c7d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Aug 4 17:38:12 2008 +0000

    Also remove ChangeLog from po/ and help/, and dist the old ones.
    
    svn path=/trunk/; revision=1844

 Makefile.am             |    2 +
 help/ChangeLog          |  153 ---
 help/ChangeLog.pre-2-23 |  153 +++
 po/ChangeLog            | 2648 -----------------------------------------------
 po/ChangeLog.pre-2-23   | 2648 +++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 2803 insertions(+), 2801 deletions(-)

commit b3f5c82d73253765df83e7eb2e3419ae1411b762
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Aug 4 16:54:48 2008 +0000

    Post release version bump.
    
    svn path=/trunk/; revision=1843

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fbe880eca0e9cf164865b3db46355f2c0ec0bdd0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Aug 4 16:54:08 2008 +0000

    Prepare 2.23.6.
    
    svn path=/trunk/; revision=1841

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8e84b59226bad9671e6d84554a50fe7700df0b88
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Aug 4 16:44:58 2008 +0000

    Doc update.
    
    svn path=/trunk/; revision=1840

 .../tmpl/gucharmap-block-codepoint-list.sgml       |   10 ++++++++++
 docs/reference/tmpl/gucharmap-charmap.sgml         |   20 ++++++++++++++++++++
 2 files changed, 30 insertions(+), 0 deletions(-)

commit 45d7a26de25b333d5d520c41036f40e6d256e6cb
Author: Djihed Afifi <djihed@src.gnome.org>
Date:   Tue Jul 29 01:33:36 2008 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    svn path=/trunk/; revision=1839

 po/ChangeLog |    4 ++
 po/ar.po     |  151 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 80 insertions(+), 75 deletions(-)

commit 3dce595a62e51e6d49540bb9394790b8cbf8f4d1
Author: Priit Laes <plaes at svn dot gnome dot org>
Date:   Tue Jul 22 15:49:02 2008 +0000

    Translation updated by Ivar Smolin
    
    2008-07-22  Priit Laes  <plaes at svn dot gnome dot org>
    
    	* et.po: Translation updated by Ivar Smolin
    
    svn path=/trunk/; revision=1838

 po/ChangeLog |    4 ++++
 po/et.po     |   34 +++++++++++++++++-----------------
 2 files changed, 21 insertions(+), 17 deletions(-)

commit 8b880ee91e20b6e5c5068c08d20a1f304dc5ddee
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jul 21 20:26:12 2008 +0000

    Also remove the stamp file on make clean.
    
    svn path=/trunk/; revision=1837

 gucharmap/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a97d80bedd51b9f21de1a811d033532ff1c64305
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jul 21 20:26:08 2008 +0000

    Add properties for start/end and make the _new function trivial.
    
    svn path=/trunk/; revision=1836

 gucharmap/gucharmap-block-codepoint-list.c |  132 ++++++++++++++++++++++++----
 1 files changed, 113 insertions(+), 19 deletions(-)

commit 4cd85e09a774599e5390735fb9c14d9b0254a684
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Jul 18 10:24:38 2008 +0000

    Add orientation property to GucharmapCharmap.
    
    svn path=/trunk/; revision=1835

 gucharmap/gucharmap-charmap.c |   95 +++++++++++++++++++++++++++++++++++++++-
 gucharmap/gucharmap-charmap.h |    8 +++-
 2 files changed, 98 insertions(+), 5 deletions(-)

commit d5b609549ad116d76c2e4297d8f51676efc140a9
Author: Laurent Dhima <laurenti@src.gnome.org>
Date:   Tue Jul 15 16:44:09 2008 +0000

    Updated Translation
    
    svn path=/trunk/; revision=1834

 po/ChangeLog |    4 +
 po/sq.po     |  285 ++++++++++++++++++++++++++++++++++++---------------------
 2 files changed, 184 insertions(+), 105 deletions(-)

commit 30bc83c5e0f3ebabd47d6eedfd4111af8fbc2ed7
Author: Jared William Moore <jaredm@src.gnome.org>
Date:   Tue Jul 8 20:14:41 2008 +0000

    When opening the find dialog, give keyboard focus to the text entry. Fixes bug 513901.
    
    
    svn path=/trunk/; revision=1832

 gucharmap/gucharmap-search-dialog.c |    7 +++++++
 gucharmap/gucharmap-search-dialog.h |    1 +
 gucharmap/gucharmap-window.c        |    2 +-
 3 files changed, 9 insertions(+), 1 deletions(-)

commit 71b217741d57a77a243c31796672522e1a3e8be4
Author: Nguyen Thai Ngoc Duy <pclouds@src.gnome.org>
Date:   Thu Jul 3 13:58:57 2008 +0000

    vi.po: fix one translation line
    
    svn path=/trunk/; revision=1831

 po/vi.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a1654e296222dd45f990004f7292934c0a935457
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:   Thu Jul 3 07:47:57 2008 +0000

    Updated Occitan translation
    
    svn path=/trunk/; revision=1830

 po/ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 1eb57856c83f6b792b8ca53664931c2a8452e968
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:   Thu Jul 3 07:47:37 2008 +0000

    Updated Occitan translation
    
    svn path=/trunk/; revision=1829

 po/oc.po |  675 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 368 insertions(+), 307 deletions(-)

commit aa01794317020dd094da80f4fcff4c5ab3e2ec2d
Author: Gil Forcada Codinachs <gforcada@src.gnome.org>
Date:   Sun Jun 29 19:35:32 2008 +0000

    Added ca to DOC_LINGUAS
    
    svn path=/trunk/; revision=1826

 help/ChangeLog   |    4 ++++
 help/Makefile.am |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit d023d82a1a155d24ffce0952bac2da10be250ec6
Author: Gil Forcada Codinachs <gforcada@src.gnome.org>
Date:   Sun Jun 29 19:22:17 2008 +0000

    Added Catalan documentation
    
    svn path=/trunk/; revision=1825

 help/ChangeLog                      |    5 +
 help/ca/ca.po                       |  544 +++++++++++++++++++++++++++
 help/ca/figues/gucharmap_window.png |  Bin 0 -> 44878 bytes
 po/ChangeLog                        |    4 +
 po/ca.po                            |  696 +++++++++++++++++++----------------
 5 files changed, 940 insertions(+), 309 deletions(-)

commit 50466ebd20513c2ef351555571a6d0694bba81ef
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 16 21:17:15 2008 +0000

    Explain ChangeLog policy.
    
    svn path=/trunk/; revision=1824

 ChangeLog.README |   16 ++++++++++++++++
 Makefile.am      |    1 +
 2 files changed, 17 insertions(+), 0 deletions(-)

commit ffa9e8326f59cdf0e2240cf3ffdd1497ee797324
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 16 14:04:34 2008 +0000

    Bug 349664 – Add padding to Copy button
    
    svn path=/trunk/; revision=1822

 gucharmap/gucharmap-window.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit a2a71b532f61c48d73ff63212f0caf8271ed8c33
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:36:37 2008 +0000

    Renegerate the bindings.
    
    svn path=/trunk/; revision=1821

 bindings/python/gucharmap.defs |  120 ++++++++++++++++++++++++++++++++++++++--
 1 files changed, 115 insertions(+), 5 deletions(-)

commit 90b043eaac6d314f2b9e52eb8ad2a0586295092d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:36:32 2008 +0000

    Autogenerated ChangeLog from git or svn revision history.
    
    svn path=/trunk/; revision=1820

 ChangeLog          | 2596 ----------------------------------------------------
 ChangeLog.pre-2-23 | 2596 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am        |   19 +
 configure.ac       |    7 +
 svn2cl.xsl         |  295 ++++++
 5 files changed, 2917 insertions(+), 2596 deletions(-)

commit d981c074922d1839840db8f6494c4c46c9f4b9e9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:36:28 2008 +0000

    Prepare 2.23.4.
    
    svn path=/trunk/; revision=1819

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 244eee9b041f51db8ca84c0f51b3b8fccab38732
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:36:24 2008 +0000

    Update NEWS.
    
    svn path=/trunk/; revision=1818

 NEWS |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 7f434fcfd166c3d6fc39db2f530e5d536ed9373d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:36:19 2008 +0000

    Don't paste an invalid character.
    
    svn path=/trunk/; revision=1817

 gucharmap/gucharmap-chartable.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit da36fb4a6597fd165ffbc8274b2ff2ea32d85024
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:36:14 2008 +0000

    Use intltool 0.40.0.
    
    svn path=/trunk/; revision=1816

 autogen.sh   |    2 +-
 configure.ac |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit dd9ba09c25b905b9389130db1d701bdc19fe5041
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:36:08 2008 +0000

    Add gucharmap_charmap_{next,previous}_chapter.
    
    svn path=/trunk/; revision=1815

 gucharmap/Makefile.am         |    2 ++
 gucharmap/gucharmap-charmap.c |   16 ++++++++++++++++
 gucharmap/gucharmap-charmap.h |    3 +++
 gucharmap/gucharmap-window.c  |    4 ++--
 4 files changed, 23 insertions(+), 2 deletions(-)

commit 6d4f49a0fbf66b4df41faf9d8b1397b734f3e16c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:36:03 2008 +0000

    Also put the required intltool version in autogen.
    
    svn path=/trunk/; revision=1814

 autogen.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bf073dc1845e988d3adf276359343a227dee62fd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:35:58 2008 +0000

    Only include gtk/gtk.h.
    
    svn path=/trunk/; revision=1813

 gucharmap/gucharmap-chapters-model.h       |    2 +-
 gucharmap/gucharmap-chapters-view.h        |    2 +-
 gucharmap/gucharmap-chartable-accessible.h |    2 +-
 gucharmap/gucharmap-chartable.h            |    2 +-
 gucharmap/gucharmap-print-operation.h      |    2 +-
 gucharmap/gucharmap-settings.h             |    2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit 2f208ab9eb3644796a30ebb4c8d9bd5a18b36945
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:35:53 2008 +0000

    Version 2.23.3.
    
    svn path=/trunk/; revision=1812

 configure.ac |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 4e1d84fd944e868cd4523a8e696a41bd502ddc40
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:35:43 2008 +0000

    Build with *_DISABLE_SINGLE_INCLUDES.
    
    svn path=/trunk/; revision=1811

 gucharmap/Makefile.am                |   28 +++++++++++++++++++---------
 gucharmap/gen-guch-unicode-tables.pl |   14 +++++++-------
 gucharmap/unicode-blocks.h           |    2 +-
 gucharmap/unicode-categories.h       |    2 +-
 gucharmap/unicode-names.h            |    2 +-
 gucharmap/unicode-nameslist.h        |    2 +-
 gucharmap/unicode-scripts.h          |    2 +-
 gucharmap/unicode-unihan.h           |    2 +-
 gucharmap/unicode-versions.h         |    2 +-
 9 files changed, 33 insertions(+), 23 deletions(-)

commit 7197aeb225e200de786480635432fd6a026127ad
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:35:10 2008 +0000

    Add more API to the charmap so I can remove more callers of gucharmap_charmap_get_chartable.
    
    svn path=/trunk/; revision=1810

 gucharmap/Makefile.am           |    2 +-
 gucharmap/gucharmap-charmap.c   |   94 +++++++++++++++++++++++++++++++++++++++
 gucharmap/gucharmap-charmap.h   |    6 +++
 gucharmap/gucharmap-chartable.c |   15 ++++++
 gucharmap/gucharmap-chartable.h |    1 +
 gucharmap/gucharmap-window.c    |    9 ++--
 6 files changed, 121 insertions(+), 6 deletions(-)

commit 5a4aa5dc1562a03eb42ef92ae5062926746026fd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:35:05 2008 +0000

    Don't use gucharmap_charmap_get_chartable.
    
    svn path=/trunk/; revision=1809

 gucharmap/gucharmap-search-dialog.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2e2e959f0089c7fcf128765ad837d33e6cf20280
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:35:00 2008 +0000

    Add functions for getting/setting the active page and hiding/showing the pages.
    
    svn path=/trunk/; revision=1808

 gucharmap/gucharmap-charmap.c |  131 +++++++++++++++++++++++++++++++++-------
 gucharmap/gucharmap-charmap.h |   27 ++++++++-
 2 files changed, 133 insertions(+), 25 deletions(-)

commit 0b56cc3289d789450bb19b1e2384ea0bd575cfb5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:34:55 2008 +0000

    Fix distcheck with intltool svn.
    
    svn path=/trunk/; revision=1807

 Makefile.am  |   23 ++++++++++-------------
 configure.ac |    2 +-
 2 files changed, 11 insertions(+), 14 deletions(-)

commit bb3a4dab2705f5bdfd2ed51f2c17a8cdf17745d3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:34:49 2008 +0000

    Keep the namespace clean.
    
    svn path=/trunk/; revision=1806

 gucharmap/gucharmap-chapters-model.c        |    2 +-
 gucharmap/gucharmap-chapters-model.h        |    4 ++--
 gucharmap/gucharmap-chapters-view.c         |    4 ++--
 gucharmap/gucharmap-script-chapters-model.c |   11 ++++++-----
 4 files changed, 11 insertions(+), 10 deletions(-)

commit bdac3fb94253324e6ac3ccfe8e72fb4c84410544
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:34:44 2008 +0000

    Make sure all public object types have a Priv pointer.
    
    svn path=/trunk/; revision=1805

 gucharmap/gucharmap-block-chapters-model.h  |    4 ++++
 gucharmap/gucharmap-chapters-model.h        |    2 +-
 gucharmap/gucharmap-codepoint-list.h        |    8 ++++++--
 gucharmap/gucharmap-script-chapters-model.h |    4 ++++
 4 files changed, 15 insertions(+), 3 deletions(-)

commit 356aeedaf992cdb6f8633717330a00f2f5e561df
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:34:39 2008 +0000

    Regenerate the python bindings, and fix a compile warning.
    
    svn path=/trunk/; revision=1804

 bindings/python/gucharmap.defs |   22 ++--------------------
 1 files changed, 2 insertions(+), 20 deletions(-)

commit 3944a1debac5bc16bcf96e4f164b120ef0ae0ddb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:34:34 2008 +0000

    Return a reference to the book codepoint list, not const.
    
    svn path=/trunk/; revision=1803

 gucharmap/gucharmap-block-chapters-model.c  |    4 ++--
 gucharmap/gucharmap-chapters-model.c        |    6 +++---
 gucharmap/gucharmap-chapters-model.h        |   22 +++++++++++-----------
 gucharmap/gucharmap-chapters-view.c         |    6 +++---
 gucharmap/gucharmap-chapters-view.h         |    4 ++--
 gucharmap/gucharmap-charmap.c               |    4 +---
 gucharmap/gucharmap-script-chapters-model.c |    5 ++---
 gucharmap/gucharmap-search-dialog.c         |    9 +++++----
 8 files changed, 29 insertions(+), 31 deletions(-)

commit 5e0a6a40354eae0a3248f07b275d28b468139910
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:34:28 2008 +0000

    Use foreign here.
    
    svn path=/trunk/; revision=1802

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e20b7743f5142de17e3920e16c991be572c86dc9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:34:21 2008 +0000

    Remove useless comment.
    
    svn path=/trunk/; revision=1801

 gucharmap/gucharmap-marshal.list |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 1d33879c4ba3fe7bcc236a0ab75107d98046488b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 15 21:33:56 2008 +0000

    Update unicode copyright notice. Bug #527231.
    
    svn path=/trunk/; revision=1800

 gucharmap/gucharmap-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3f94868cfbc0617406a0b9b47611d9d5b7bc8c4f
Author: Nickolay V. Shmyrev <nshmyrev@yandex.ru>
Date:   Sun Jun 15 08:19:37 2008 +0000

    Updated Russian translation.
    
    2008-06-15  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>
    
    	* ru.po: Updated Russian translation.
    
    
    svn path=/trunk/; revision=1799

 po/ChangeLog |    4 +
 po/ru.po     |  704 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 380 insertions(+), 328 deletions(-)

commit 9b6994873b9059ed63e49416fd8fce84c7ecded0
Author: Djihed Afifi <djihed@src.gnome.org>
Date:   Wed Jun 11 21:40:05 2008 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    svn path=/trunk/; revision=1798

 po/ChangeLog |    4 +++
 po/ar.po     |   65 +++++++++++++++++-----------------------------------------
 2 files changed, 23 insertions(+), 46 deletions(-)

commit 114de2fc6e6a4c8eed517ccedc7b33951cb2b3af
Author: Luca Ferretti <elle.uca@libero.it>
Date:   Tue Jun 10 12:23:05 2008 +0000

    Import updated translation from 2.22 branch
    
    2008-06-10  Luca Ferretti  <elle.uca@libero.it>
    
    	* it.po: Import updated translation from 2.22 branch
    
    
    svn path=/trunk/; revision=1797

 po/ChangeLog |    4 ++++
 po/it.po     |   41 +++++++++++++++--------------------------
 2 files changed, 19 insertions(+), 26 deletions(-)

commit e10d08507a89fd8a14116591c898674595990ead
Author: Clytie Siddall <clyties@src.gnome.org>
Date:   Sun Jun 1 13:31:40 2008 +0000

    Updated Vietnamese translation
    
    svn path=/trunk/; revision=1795

 po/ChangeLog |    4 +
 po/vi.po     |  827 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 450 insertions(+), 381 deletions(-)

commit cfd9000fcf7f4a134641bb4cf55d07bcacb69393
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sun Jun 1 10:37:27 2008 +0000

    Translation updated by Máté Őry.
    
    2008-06-01  Gabor Kelemen  <kelemeng@gnome.hu>
    
    	* hu.po: Translation updated by Máté Őry.
    
    svn path=/trunk/; revision=1794

 po/ChangeLog |    4 +
 po/hu.po     |  716 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 387 insertions(+), 333 deletions(-)

commit dd15d4d72498b8f96387235541a32b280786ca1e
Author: Priit Laes <plaes at svn dot gnome dot org>
Date:   Wed May 28 05:49:56 2008 +0000

    Translation updated by Ivar Smolin
    
    2008-05-28  Priit Laes  <plaes at svn dot gnome dot org>
    
    	* et.po: Translation updated by Ivar Smolin
    
    svn path=/trunk/; revision=1793

 po/ChangeLog |    4 +
 po/et.po     |  705 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 381 insertions(+), 328 deletions(-)

commit b91570888eb17dbcf6a945c660327da01640a6ce
Author: Djihed Afifi <djihed@src.gnome.org>
Date:   Thu May 22 22:59:05 2008 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    svn path=/trunk/; revision=1792

 po/ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 73ee19e2a61c7b7f49f21af634cf3c1d7bae7bc4
Author: Djihed Afifi <djihed@src.gnome.org>
Date:   Mon May 19 01:13:14 2008 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    svn path=/trunk/; revision=1791

 po/ChangeLog |    4 +
 po/ar.po     |  809 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 432 insertions(+), 381 deletions(-)

commit 93766b7d51beb779d795a704f72426d77d0f6ed6
Author: Gintautas Miliauskas <gintas@akl.lt>
Date:   Sat May 17 18:01:21 2008 +0000

    Updated Lithuanian translation.
    
    2008-05-17  Gintautas Miliauskas  <gintas@akl.lt>
    
    	* lt.po: Updated Lithuanian translation.
    
    
    
    svn path=/trunk/; revision=1790

 po/ChangeLog |    4 +
 po/lt.po     |  697 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 386 insertions(+), 315 deletions(-)

commit c226dfb0b88582ebe4db2feab5aee60bbb9b3709
Author: Vincent van Adrighem <adrighem@gnome.org>
Date:   Thu May 8 15:13:41 2008 +0000

    Translation updated by Tino Meinen.
    
    2008-05-08  Vincent van Adrighem  <adrighem@gnome.org>
    
    	* nl.po: Translation updated by Tino Meinen.
    
    svn path=/trunk/; revision=1789

 po/ChangeLog |    4 +
 po/nl.po     |  710 +++++++++++++++++++++++++++++++--------------------------
 2 files changed, 390 insertions(+), 324 deletions(-)

commit 404f1b0f91706863db65a4053132c0bba78e6b70
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue May 6 17:37:43 2008 +0000

    Updated Norwegian bokmål translation.
    
    2008-05-06  Kjartan Maraas  <kmaraas@gnome.org>
    
    	* nb.po: Updated Norwegian bokmål translation.
    
    svn path=/trunk/; revision=1788

 po/ChangeLog |    4 +
 po/nb.po     |  680 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 370 insertions(+), 314 deletions(-)

commit dbe653f2ad111a06b8f258573988da0ea33bef94
Author: Ignacio Casal Quinteiro <icq@src.gnome.org>
Date:   Tue Apr 29 12:00:52 2008 +0000

    Updated Galician Translation
    
    svn path=/trunk/; revision=1787

 po/ChangeLog |    4 +
 po/gl.po     |  692 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 384 insertions(+), 312 deletions(-)

commit 1edc6f2ff03ff0da028ec248bac3d828ee1a095e
Author: Yair Hershkovitz <yairhr@src.gnome.org>
Date:   Sat Apr 26 12:33:08 2008 +0000

    updated hebrew translation
    
    svn path=/trunk/; revision=1786

 po/ChangeLog |    4 +
 po/he.po     |  695 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 387 insertions(+), 312 deletions(-)

commit 024fd585027b1691350af38423704260c8b174a7
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Thu Apr 24 04:27:33 2008 +0000

    Updated Thai translation (merged from gnome-2-22 branch, plus additional
    
    2008-04-24  Theppitak Karoonboonyanan  <thep@linux.thai.net>
    
    	* th.po: Updated Thai translation (merged from gnome-2-22 branch, plus
    	additional updates).
    
    
    svn path=/trunk/; revision=1785

 po/ChangeLog |    5 +
 po/th.po     |  815 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 450 insertions(+), 370 deletions(-)

commit 180332ef514cd6d9a2b45c310dd95cd58bc27c00
Author: Matej Urbančič <mateju@src.gnome.org>
Date:   Sun Apr 13 16:10:36 2008 +0000

    Updated Slovenian translation
    
    svn path=/trunk/; revision=1783

 po/sl.po |  787 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 422 insertions(+), 365 deletions(-)

commit 8d60e5f4ec14fe56207787bbef5bb8a98f592032
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Thu Apr 10 22:34:24 2008 +0000

    Updated Spanish translation
    
    svn path=/trunk/; revision=1782

 po/ChangeLog |    4 +
 po/es.po     |  621 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 338 insertions(+), 287 deletions(-)

commit 557c52fd0c7da5f625273fb244d826ac3d701bbd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Apr 9 21:58:38 2008 +0000

    Set the "Snap to power of 2" action only after constructing all the widgets. Fixes crash bug #527235.
    
    svn path=/trunk/; revision=1781

 gucharmap/gucharmap-window.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 286a93f6cb8788ba03650d07ef8e333b8d923afc
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Apr 8 11:39:53 2008 +0000

    Update glib req to 2.16.3 for unicode 5.1.
    
    svn path=/trunk/; revision=1780

 configure.ac                         |    3 ++-
 gucharmap/gen-guch-unicode-tables.pl |    1 +
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 20b612f8c306313bb14e4c56d63503972ddeaba5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Apr 8 11:39:43 2008 +0000

    Doc update.
    
    svn path=/trunk/; revision=1779

 docs/reference/tmpl/gucharmap-chapters-model.sgml |    8 --------
 docs/reference/tmpl/gucharmap-unused.sgml         |    8 ++++++++
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 23ba96bb9314854771d3ef44da27f0337bfa16d0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Apr 8 11:39:01 2008 +0000

    Update to unicode 5.1.
    
    svn path=/trunk/; revision=1778

 gucharmap/unicode-blocks.h     |  259 +-
 gucharmap/unicode-categories.h |  417 +-
 gucharmap/unicode-names.h      |38076 +++++++++++++++-------------
 gucharmap/unicode-nameslist.h  |22402 +++++++++--------
 gucharmap/unicode-scripts.h    | 2491 +-
 gucharmap/unicode-unihan.h     |55150 ++++++++++++++++++++--------------------
 gucharmap/unicode-versions.h   |   93 +-
 7 files changed, 61826 insertions(+), 57062 deletions(-)

commit a11247f49d4e50f6b7e4ae7e2a72fa6be2bc4a5b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Apr 8 11:38:15 2008 +0000

    Doc fix.
    
    svn path=/trunk/; revision=1777

 gucharmap/gucharmap-chapters-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 65b0aa6d5145e6812e9d34aa2897ce7462f642e1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Apr 8 11:38:04 2008 +0000

    Remove GucharmapChaptersType from the public API.
    
    svn path=/trunk/; revision=1776

 bindings/python/gucharmap.defs       |   10 ----------
 gucharmap/gucharmap-chapters-model.h |    6 ------
 gucharmap/gucharmap-settings.h       |    6 ++++++
 3 files changed, 6 insertions(+), 16 deletions(-)

commit 27228404d400430caa1bec4832e400d69661aeb0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Apr 3 12:16:30 2008 +0000

    Also fix N'Ko name in the unicode blocks. Bug #503377.
    
    svn path=/trunk/; revision=1772

 gucharmap/gen-guch-unicode-tables.pl |   17 ++-
 gucharmap/unicode-blocks.h           |  278 +++++++++++++++++-----------------
 2 files changed, 154 insertions(+), 141 deletions(-)

commit c7514dce238aa738a0e52dda272a35b709501881
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 21:29:57 2008 +0000

    Use accessories-character-map icon. Bug #331670.
    
    svn path=/trunk/; revision=1771

 gucharmap.desktop.in.in      |    2 +-
 gucharmap/gucharmap-window.h |    2 +-
 pixmaps/Makefile.am          |   21 +--------------------
 pixmaps/gucharmap.png        |  Bin 2433 -> 0 bytes
 4 files changed, 3 insertions(+), 22 deletions(-)

commit ccf1f19cf79e0303f7bb6d42eae1ef5832ff45cf
Author: Eskild Hustvedt <eskildh@src.gnome.org>
Date:   Mon Mar 31 18:23:55 2008 +0000

    Translator credits for Norwegian Nynorsk
    
    svn path=/trunk/; revision=1770

 po/nn.po |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit fb255322becf30fe977f0095de3760d82b70ce7b
Author: Eskild Hustvedt <eskildh@src.gnome.org>
Date:   Mon Mar 31 18:21:17 2008 +0000

    Updated Norwegian Nynorsk translation
    
    svn path=/trunk/; revision=1768

 po/ChangeLog |    4 +
 po/nn.po     |  956 ++++++++++++++++++++++++++++++++++++----------------------
 2 files changed, 595 insertions(+), 365 deletions(-)

commit 9a13be0037d365747a165de4313799a8c329237e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 12:18:17 2008 +0000

    Update.
    
    svn path=/trunk/; revision=1767

 docs/reference/tmpl/gucharmap-charmap.sgml   |   14 +++++---------
 docs/reference/tmpl/gucharmap-chartable.sgml |    9 ---------
 docs/reference/tmpl/gucharmap-unused.sgml    |   16 ++++++++++++++++
 3 files changed, 21 insertions(+), 18 deletions(-)

commit 79d5f2ac344b5db278f2e78a06b035d0a9d393da
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 12:18:07 2008 +0000

    Don't focus the font selector combo and buttons on click.
    
    svn path=/trunk/; revision=1766

 gucharmap/gucharmap-mini-fontsel.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 7089e70f22f15a9cec91534327ae55e3577a36f5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:45:09 2008 +0000

    Use get_font_size here.
    
    svn path=/trunk/; revision=1765

 gucharmap/gucharmap-mini-fontsel.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 2d655c00b1999095cfbf2996d75571cbed0bcd2e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:45:00 2008 +0000

    Plug a mem leak.
    
    svn path=/trunk/; revision=1764

 gucharmap/gucharmap-settings.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 88fee7fcc99fe7d0fdf999744d72e746d67f588a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:44:50 2008 +0000

    Fix repeating search by not making the buttons insensitive but just ignoring further clicks while the search is in progress. Works around gtk+ bug #56070. Bug #513895, patch by Ted Percival.
    
    svn path=/trunk/; revision=1763

 gucharmap/gucharmap-search-dialog.c |   14 ++++++--------
 1 files changed, 6 insertions(+), 8 deletions(-)

commit a98272d33ae2c6b04eb8482d8a1d16205b8b6ab1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:44:40 2008 +0000

    Simply use GtkMessageDialog here.
    
    svn path=/trunk/; revision=1762

 gucharmap/gucharmap-search-dialog.c |   44 ++++++++--------------------------
 1 files changed, 11 insertions(+), 33 deletions(-)

commit 16b4b2774c474d636fc5a1232332c6c160db286a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:44:31 2008 +0000

    Recalculate the first_cell on size-allocate. Bug #517188, patch by Jared Moore.
    
    svn path=/trunk/; revision=1761

 gucharmap/gucharmap-chartable.c |   15 ++++++++++++++-
 1 files changed, 14 insertions(+), 1 deletions(-)

commit cf59f4c37f24a8ab4d4a43b351a94f20e3ca172b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:44:21 2008 +0000

    Fix Copy button sensitivity change on entry text change.
    
    svn path=/trunk/; revision=1760

 gucharmap/gucharmap-window.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 93e25cba3cf2a226230b739eb6e5901c3270daad
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:44:11 2008 +0000

    Add shortcuts to ZoomIn/Out/100.
    
    svn path=/trunk/; revision=1759

 gucharmap/gucharmap-window.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 3371cffca672c2aae69abbd95a7c9d0d3ec35701
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:44:01 2008 +0000

    Make GucharmapMiniFontself use only PangoFontDescription instead of separate size and family.
    Move the initial font setting code to GucharmapWindow.
    
    svn path=/trunk/; revision=1758

 gucharmap/gucharmap-charmap.c      |   20 ++-
 gucharmap/gucharmap-charmap.h      |    2 +-
 gucharmap/gucharmap-chartable.c    |    4 +-
 gucharmap/gucharmap-mini-fontsel.c |  260 ++++++++++++++++++++++--------------
 gucharmap/gucharmap-mini-fontsel.h |   31 ++---
 gucharmap/gucharmap-window.c       |   93 +++++++++----
 gucharmap/gucharmap-window.h       |    9 +-
 gucharmap/main.c                   |   56 ++------
 8 files changed, 276 insertions(+), 199 deletions(-)

commit 46780e8dd31dfd3dd1cf262774ec58ea7c3b73ac
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:43:50 2008 +0000

    Return NULL for empty font string.
    
    svn path=/trunk/; revision=1757

 gucharmap/gucharmap-settings.c |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit b242dd6d1b78da7d12787429fd3d0b3919378ba3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:43:39 2008 +0000

    Use gucharmap_chartable_set_font_desc_internal when creating the font_desc on style-set. Fixes incorrect layout in this case.
    
    svn path=/trunk/; revision=1756

 gucharmap/gucharmap-chartable.c |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

commit fcb0d3c96afc80fd045de11cc7068870c86bf915
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:43:26 2008 +0000

    Chain the charmap's font-desc property to the charmap's chartable's.
    
    svn path=/trunk/; revision=1755

 gucharmap/gucharmap-charmap.c |   26 +++++++++++++++++++++++---
 1 files changed, 23 insertions(+), 3 deletions(-)

commit e696f5316acb3d17b5e20802c40f3decca4e6433
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:43:16 2008 +0000

    Add gucharmap_chartable_get_font_desc(). Remove gucharmap_chartable_set_font().
    
    svn path=/trunk/; revision=1754

 gucharmap/gucharmap-chartable.c |   46 +++++++++++++-------------------------
 gucharmap/gucharmap-chartable.h |    5 +--
 2 files changed, 18 insertions(+), 33 deletions(-)

commit 83b39c17fa743170927d56f8f606c9f8d2950ca9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:43:06 2008 +0000

    Add gucharmap_charmap_get_font_desc(), and remove gucharmap_charmap_set_font().
    
    svn path=/trunk/; revision=1753

 gucharmap/gucharmap-charmap.c |   47 ++++++++++++++---------------------------
 gucharmap/gucharmap-charmap.h |    5 +--
 2 files changed, 18 insertions(+), 34 deletions(-)

commit 1e9c71f5855a3c0fd022d5d2329962d5c01dd6a2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:42:56 2008 +0000

    Add font-desc property to GucharmapCharmap.
    
    svn path=/trunk/; revision=1752

 gucharmap/gucharmap-charmap.c |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit 04fbd06310b9c3c69e1d456147c0dd944e3ba264
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:42:45 2008 +0000

    Notify the font-desc property when it has changed.
    
    svn path=/trunk/; revision=1751

 gucharmap/gucharmap-chartable.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 427c057bc8c166822299bdde43492f9364b6e57d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 31 11:42:34 2008 +0000

    Fix font setting persistence. Bug #523994, patch by Jared Moore.
    
    svn path=/trunk/; revision=1750

 gucharmap/main.c |   48 +++++++++++++++++++++++++++++++-----------------
 1 files changed, 31 insertions(+), 17 deletions(-)

commit acc61f0d1e2565763e828a8ece657d84df318f53
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Sun Mar 30 09:16:53 2008 +0000

    Updated Spanish translation
    
    svn path=/trunk/; revision=1749

 po/ChangeLog |    4 +
 po/es.po     |  608 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 309 insertions(+), 303 deletions(-)

commit 27448221182f54a8e2288998e5769c4da86f85a3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Mar 23 17:48:35 2008 +0000

    Update.
    
    svn path=/trunk/; revision=1747

 .gitignore |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 06e6c8e2e03ba7b50741cd0e787b72b468e8a07c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Mar 23 17:44:30 2008 +0000

    Add python.m4.
    
    svn path=/trunk/; revision=1746

 m4/python.m4 |   62 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 62 insertions(+), 0 deletions(-)

commit 3bd8f0591b50ab5536f212fb3cbc9b317dc2e927
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Mar 23 13:01:53 2008 +0000

    Make --font work again. Bug #506752, based on a patch by Jared Moore.
    
    svn path=/trunk/; revision=1745

 gucharmap/gucharmap-mini-fontsel.c |   12 +++++++-
 gucharmap/main.c                   |   48 ++++++++++++++++++------------------
 2 files changed, 34 insertions(+), 26 deletions(-)

commit 739395d90b833465b60f07f563ef8cb111a92dcb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 12:28:51 2008 +0000

    Updated bindings.
    
    svn path=/trunk/; revision=1743

 bindings/python/gucharmap.defs |   50 ++++++++++++++++++++++++----------------
 1 files changed, 30 insertions(+), 20 deletions(-)

commit 2b11c8f7bea11f79a8d791dc2bedaa12be58db1f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 12:28:41 2008 +0000

    List all headers, and move gucharmap.h to the builddir headers.
    
    svn path=/trunk/; revision=1742

 bindings/python/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit dbb045e62fed57d74d71f7665e35ed14c10e8468
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 12:07:56 2008 +0000

    Update.
    
    svn path=/trunk/; revision=1741

 .gitignore |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 771e01565156a63396eeee2506cef330cb779895
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:57:22 2008 +0000

    Install gucharmap-block-codepoint-list.h too.
    
    svn path=/trunk/; revision=1740

 gucharmap/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c5e40bf269a80de0249b90c41d3d4556161e2cee
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:46:27 2008 +0000

    Update.
    
    svn path=/trunk/; revision=1739

 .../tmpl/gucharmap-block-codepoint-list.sgml       |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit f9c3a24cd2a32ecf3fd796795fa94ded579e2adb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:46:18 2008 +0000

    Enable gtk-doc for distcheck.
    
    svn path=/trunk/; revision=1738

 Makefile.am |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit ca631965cfe0791eb4f69b6ffb127594ad0bbcce
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:46:09 2008 +0000

    Dist gucharmap-type-builtins.*.template.
    
    svn path=/trunk/; revision=1737

 gucharmap/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit ea1b78085317581a4ac9cf1490d35fdff83444e1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:46:00 2008 +0000

    Fix make dist.
    
    svn path=/trunk/; revision=1736

 docs/reference/Makefile.am |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 49225b7d027813986cb2c624adb4cede19bb883b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:45:51 2008 +0000

    Don't install the schemas on distcheck.
    
    svn path=/trunk/; revision=1735

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6f5b802568b351009115f50e6ddb0c8b4829360c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:35:25 2008 +0000

    Look for gucharmap.h.in, not gucharmap.h.
    
    svn path=/trunk/; revision=1734

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 96a484e9c4944d01bbc68b3c56ccd04006bb820e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:04:02 2008 +0000

    Remove unused function.
    
    svn path=/trunk/; revision=1733

 docs/reference/tmpl/gucharmap-chartable.sgml |    9 ---------
 gucharmap/gucharmap-chartable.c              |   14 --------------
 gucharmap/gucharmap-chartable.h              |    1 -
 3 files changed, 0 insertions(+), 24 deletions(-)

commit f6a3aa022b9c51ff39526a0f667a94a7efb86d97
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:03:52 2008 +0000

    Make GucharmapCodepointList abstract, and move the block codepoint list to GucharmapBlockCodepointList.
    
    svn path=/trunk/; revision=1732

 docs/reference/gucharmap-sections.txt              |   26 +++--
 docs/reference/gucharmap.types                     |    1 +
 .../tmpl/gucharmap-block-codepoint-list.sgml       |   43 +++++++
 docs/reference/tmpl/gucharmap-codepoint-list.sgml  |   10 --
 .../tmpl/gucharmap-script-codepoint-list.sgml      |    6 +
 docs/reference/tmpl/gucharmap-unused.sgml          |   60 ++++++++++
 docs/reference/tmpl/gucharmap.sgml                 |   31 -----
 gucharmap/Makefile.am                              |    8 +-
 gucharmap/gucharmap-block-chapters-model.c         |    6 +-
 gucharmap/gucharmap-block-codepoint-list.c         |  116 ++++++++++++++++++++
 gucharmap/gucharmap-block-codepoint-list.h         |   64 +++++++++++
 gucharmap/gucharmap-chapters-model.c               |    2 +-
 gucharmap/gucharmap-codepoint-list.c               |   81 +--------------
 gucharmap/gucharmap-codepoint-list.h               |   10 +-
 gucharmap/gucharmap-script-codepoint-list.h        |    1 -
 gucharmap/gucharmap.h.in                           |   15 ++-
 16 files changed, 331 insertions(+), 149 deletions(-)

commit 7ed1362e5b5a3ba84179cccc2d5745f589071752
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:03:42 2008 +0000

    Add priv pointer to the struct.
    
    svn path=/trunk/; revision=1731

 gucharmap/gucharmap-script-codepoint-list.c |   30 +++++++++-----------------
 gucharmap/gucharmap-script-codepoint-list.h |    8 +++++-
 2 files changed, 17 insertions(+), 21 deletions(-)

commit 0d22be364afeae8cb2b2faebcbd6151485a9d53e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:03:31 2008 +0000

    Update.
    
    svn path=/trunk/; revision=1730

 .../tmpl/gucharmap-block-chapters-model.sgml       |    2 --
 docs/reference/tmpl/gucharmap-chapters-model.sgml  |    2 --
 docs/reference/tmpl/gucharmap-chapters-view.sgml   |    2 --
 docs/reference/tmpl/gucharmap-charmap.sgml         |    2 --
 docs/reference/tmpl/gucharmap-chartable.sgml       |    2 --
 docs/reference/tmpl/gucharmap-codepoint-list.sgml  |    2 --
 .../tmpl/gucharmap-script-chapters-model.sgml      |    2 --
 .../tmpl/gucharmap-script-codepoint-list.sgml      |    2 --
 docs/reference/tmpl/gucharmap-unicode-info.sgml    |    2 --
 docs/reference/tmpl/gucharmap.sgml                 |    2 --
 10 files changed, 0 insertions(+), 20 deletions(-)

commit cf1e95a34e9ca3a0af3fabff90965729396d8e62
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:03:21 2008 +0000

    Add API doc support.
    
    svn path=/trunk/; revision=1729

 Makefile.am                                        |    2 +-
 configure.ac                                       |   18 +-
 docs/Makefile.am                                   |    5 +
 docs/reference/Makefile.am                         |  113 ++++++++
 docs/reference/gucharmap-docs.sgml                 |   27 ++
 docs/reference/gucharmap-sections.txt              |  206 +++++++++++++++
 docs/reference/gucharmap.types                     |   11 +
 .../tmpl/gucharmap-block-chapters-model.sgml       |   35 +++
 docs/reference/tmpl/gucharmap-chapters-model.sgml  |   91 +++++++
 docs/reference/tmpl/gucharmap-chapters-view.sgml   |  131 +++++++++
 docs/reference/tmpl/gucharmap-charmap.sgml         |  172 ++++++++++++
 docs/reference/tmpl/gucharmap-chartable.sgml       |  209 +++++++++++++++
 docs/reference/tmpl/gucharmap-codepoint-list.sgml  |   66 +++++
 .../tmpl/gucharmap-script-chapters-model.sgml      |   35 +++
 .../tmpl/gucharmap-script-codepoint-list.sgml      |   65 +++++
 docs/reference/tmpl/gucharmap-unicode-info.sgml    |  279 ++++++++++++++++++++
 docs/reference/tmpl/gucharmap.sgml                 |   52 ++++
 17 files changed, 1511 insertions(+), 6 deletions(-)

commit d25dc883531154c1f2448f07f9dac5bef830816f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:03:12 2008 +0000

    To do.
    
    svn path=/trunk/; revision=1728

 TODO |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 09796a8b82544b1a3d3f213c64650f5b44be3658
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:03:01 2008 +0000

    Remove this. It's misleadingly suggesting the lib is under LGPL which it is not (see #413739). The only files licensed under LGPL are the accessible implementation (and they're clearly marked so in their headers); everything else is pure GPL.
    
    svn path=/trunk/; revision=1727

 COPYING.LIB |  504 -----------------------------------------------------------
 1 files changed, 0 insertions(+), 504 deletions(-)

commit 9db79f536bfda08535b2b70e149d6de1779d695c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:02:53 2008 +0000

    Remove debug spew.
    
    svn path=/trunk/; revision=1726

 gucharmap/gucharmap-window.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 6fe47dbe908414ada8b93d1b6f9b23818c86e181
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:02:43 2008 +0000

    Python bindings.
    
    svn path=/trunk/; revision=1725

 Makefile.am                        |   23 +-
 bindings/Makefile.am               |    5 +
 bindings/python/Makefile.am        |   85 ++++
 bindings/python/gucharmap.defs     |  753 ++++++++++++++++++++++++++++++++++++
 bindings/python/gucharmap.override |   26 ++
 configure.ac                       |  131 ++++++-
 6 files changed, 987 insertions(+), 36 deletions(-)

commit a087f8d84722e1c575f66122062e1b5a5d66a539
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:02:34 2008 +0000

    Fix the template.
    
    svn path=/trunk/; revision=1724

 gucharmap/gucharmap-type-builtins.h.template |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2f4fbce8e11b40aa8f1dd4cf0cdd87622d44fb73
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:02:22 2008 +0000

    Fix gucharmap.h.
    
    svn path=/trunk/; revision=1723

 gucharmap/gucharmap.h    |   46 ----------------------------------------------
 gucharmap/gucharmap.h.in |    3 +--
 2 files changed, 1 insertions(+), 48 deletions(-)

commit 8107212b7c0b016d7f1545acf6d32eea00eb7405
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:02:13 2008 +0000

    No need to add pango flags separately.
    
    svn path=/trunk/; revision=1722

 gucharmap/Makefile.am |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 8ec2bb0408690026e5f9ea5b7498df43f5bb6c59
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:02:04 2008 +0000

    Install the types builtins header.
    
    svn path=/trunk/; revision=1721

 gucharmap/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 9bfd8ea75fa6a4087fbdeea4fd1814c22031ad10
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:01:53 2008 +0000

    Remove gucharmap-types.h again.
    
    svn path=/trunk/; revision=1720

 gucharmap/Makefile.am                           |    1 -
 gucharmap/gucharmap-block-chapters-model.c      |   17 +++--
 gucharmap/gucharmap-block-chapters-model.h      |   14 ++++-
 gucharmap/gucharmap-chapters-model.c            |   22 ++++---
 gucharmap/gucharmap-chapters-model.h            |   30 +++++++-
 gucharmap/gucharmap-chapters-view.c             |    5 +-
 gucharmap/gucharmap-chapters-view.h             |    2 +-
 gucharmap/gucharmap-charmap.h                   |    4 +-
 gucharmap/gucharmap-chartable-accessible.h      |    2 +-
 gucharmap/gucharmap-chartable-cell-accessible.h |   19 +++++-
 gucharmap/gucharmap-chartable.h                 |    2 +-
 gucharmap/gucharmap-codepoint-list.c            |    3 +-
 gucharmap/gucharmap-codepoint-list.h            |    5 +-
 gucharmap/gucharmap-init.c                      |    1 +
 gucharmap/gucharmap-print-operation.h           |    1 +
 gucharmap/gucharmap-private.h                   |   87 +----------------------
 gucharmap/gucharmap-script-chapters-model.c     |   15 ++--
 gucharmap/gucharmap-script-chapters-model.h     |   14 ++++-
 gucharmap/gucharmap-script-codepoint-list.c     |    4 +-
 gucharmap/gucharmap-script-codepoint-list.h     |   16 ++++-
 gucharmap/gucharmap-types.h                     |   39 ----------
 gucharmap/gucharmap-unicode-info.c              |    3 +-
 gucharmap/gucharmap.h                           |    4 +-
 23 files changed, 139 insertions(+), 171 deletions(-)

commit d42e807dd0087e7f14a3da121628def9524bc93c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:01:43 2008 +0000

    Move type definition to header file.
    
    svn path=/trunk/; revision=1719

 gucharmap/gucharmap-codepoint-list.h |   20 ++++++++++++++++++++
 gucharmap/gucharmap-private.h        |   18 ------------------
 gucharmap/gucharmap-types.h          |    3 ---
 3 files changed, 20 insertions(+), 21 deletions(-)

commit 7f78e7ac2b7c53106dfc480c00b554c24fb4f477
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:01:33 2008 +0000

    Use gobject instance private data.
    
    svn path=/trunk/; revision=1718

 gucharmap/gucharmap-chapters-view.c |   33 +++++++++++++++++++++++++--------
 gucharmap/gucharmap-chapters-view.h |   19 ++++++++++++++++++-
 gucharmap/gucharmap-private.h       |   15 ---------------
 gucharmap/gucharmap-types.h         |    3 ---
 4 files changed, 43 insertions(+), 27 deletions(-)

commit ab88037216ac086aedd5e17c7d3c2aff81cef378
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:01:24 2008 +0000

    Also check for GDK_ISO_Enter.
    
    svn path=/trunk/; revision=1717

 gucharmap/gucharmap-charmap.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f2c0048bae8ce5ff898de818d879f928520a84ad
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:01:14 2008 +0000

    Add type builtins.
    
    svn path=/trunk/; revision=1716

 gucharmap/gucharmap.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 9dc209438c5c628b532e0664fb045545b4f905f0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:01:05 2008 +0000

    Use gobject instance private data.
    
    svn path=/trunk/; revision=1715

 gucharmap/gucharmap-chartable-accessible.c      |   58 ++-
 gucharmap/gucharmap-chartable-cell-accessible.c |    7 +-
 gucharmap/gucharmap-chartable.c                 |  635 +++++++++++++----------
 gucharmap/gucharmap-chartable.h                 |   32 ++-
 gucharmap/gucharmap-private.h                   |   53 +--
 gucharmap/gucharmap-types.h                     |    3 -
 6 files changed, 448 insertions(+), 340 deletions(-)

commit 831139131406f61a005db712aaf75293eafb0a66
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:00:55 2008 +0000

    Use gobject instance private data.
    
    svn path=/trunk/; revision=1714

 gucharmap/gucharmap-charmap.c |  177 +++++++++++++++++++++++++++--------------
 gucharmap/gucharmap-charmap.h |   26 ++++++
 gucharmap/gucharmap-private.h |   32 --------
 gucharmap/gucharmap-types.h   |    3 -
 4 files changed, 144 insertions(+), 94 deletions(-)

commit 61e40420106f6e785f76d422575a8049b4ff644a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:00:45 2008 +0000

    Add type builtins.
    
    svn path=/trunk/; revision=1713

 configure.ac                                 |    8 +++--
 gucharmap/Makefile.am                        |   45 +++++++++++++++++++-------
 gucharmap/gucharmap-type-builtins.c.template |   40 +++++++++++++++++++++++
 gucharmap/gucharmap-type-builtins.h.template |   29 ++++++++++++++++
 4 files changed, 107 insertions(+), 15 deletions(-)

commit 37d23ff813e4bc555dcc9aca3221f591b769a634
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:00:35 2008 +0000

    Add gucharmap.h. Somehow this got lost!?
    
    svn path=/trunk/; revision=1712

 gucharmap/gucharmap.h |   47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 47 insertions(+), 0 deletions(-)

commit 2a052b4a07aa30cfd248d61fd92b3530abb6152a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:00:26 2008 +0000

    Make gucharmap_unicode_get_version_string return NULL for unassigned characters,
    and fix the one-off indexing for assigned characters.
    
    svn path=/trunk/; revision=1711

 gucharmap/gucharmap-charmap.c      |    2 +-
 gucharmap/gucharmap-unicode-info.c |    7 +++++--
 gucharmap/gucharmap-unicode-info.h |    3 ++-
 3 files changed, 8 insertions(+), 4 deletions(-)

commit 4b8abe77d1bc3f164b8c4aa2f87e83a1877d82c4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:00:16 2008 +0000

    Add AC_PROG_LN_S.
    
    svn path=/trunk/; revision=1710

 configure.ac |   20 ++++++++++++++++++--
 1 files changed, 18 insertions(+), 2 deletions(-)

commit 46e20b020c6023a3947687c9338293f0445325b8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 11:00:06 2008 +0000

    #if 0 the printing code for now.
    
    svn path=/trunk/; revision=1709

 gucharmap/Makefile.am        |   16 ++++++++--------
 gucharmap/gucharmap-window.c |   16 +++++++++++++++-
 2 files changed, 23 insertions(+), 9 deletions(-)

commit 2d9d114a1ba16da91fa8c142c389e4080039df00
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:59:52 2008 +0000

    Don't make the print operation part of libgucharmap for now.
    
    svn path=/trunk/; revision=1708

 gucharmap/Makefile.am                 |   11 +++++++++--
 gucharmap/gucharmap-print-operation.c |   17 +++++++++++++----
 gucharmap/gucharmap-print-operation.h |    6 +-----
 gucharmap/gucharmap-window.c          |   12 +++++++++++-
 gucharmap/gucharmap-window.h          |    1 +
 gucharmap/gucharmap.h.in              |    1 -
 6 files changed, 35 insertions(+), 13 deletions(-)

commit 871b7bbb3bb40057ddf40ceb7332a86d17b8a951
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:59:42 2008 +0000

    First stab at printing.
    
    svn path=/trunk/; revision=1707

 gucharmap/Makefile.am                 |    2 +
 gucharmap/gucharmap-print-operation.c |  371 +++++++++++++++++++++++++++++++++
 gucharmap/gucharmap-print-operation.h |   62 ++++++
 gucharmap/gucharmap-window.c          |  168 ++++++++++++++-
 gucharmap/gucharmap-window.h          |    3 +
 gucharmap/gucharmap.h.in              |    1 +
 6 files changed, 595 insertions(+), 12 deletions(-)

commit 97825aa033931c5e2d3fb8aa96442332e67a3cd9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:59:32 2008 +0000

    Add script name override, mapping Nko => N'Ko. Bug #503377.
    
    svn path=/trunk/; revision=1706

 gucharmap/gen-guch-unicode-tables.pl |   16 ++++++-
 gucharmap/unicode-scripts.h          |   78 +++++++++++++++++-----------------
 2 files changed, 52 insertions(+), 42 deletions(-)

commit 5923a8c0f467bcad1c3a6c147055bff2387c7024
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:59:23 2008 +0000

    Add gobject property for the font description.
    
    svn path=/trunk/; revision=1705

 gucharmap/gucharmap-chartable.c |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit 80ee24f1e7f5f8d80d51993082708170bd83199e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:59:11 2008 +0000

    Simplify deps.
    
    svn path=/trunk/; revision=1704

 configure.ac |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

commit 8a73f2074b4e7cb7d18d588cba033ec04b6a5887
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:59:02 2008 +0000

    Add version defines and GUCHARMAP_CHECK_VERSION macro to gucharmap.h.
    
    svn path=/trunk/; revision=1703

 configure.ac             |   78 +++++++++++++++++++++++++++-------------------
 gucharmap/gucharmap.h    |   37 ----------------------
 gucharmap/gucharmap.h.in |   47 +++++++++++++++++++++++++++
 3 files changed, 93 insertions(+), 69 deletions(-)

commit cb6e44efb4d287b9fc0a42e2ebf9fa3401fd193b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:58:53 2008 +0000

    Remove auto* copied files from repo.
    
    svn path=/trunk/; revision=1702

 INSTALL |  236 ---------------------------------------------------------------
 1 files changed, 0 insertions(+), 236 deletions(-)

commit 50c801c1036c4e8c0a836adec5e2c66a8d5098fc
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:58:44 2008 +0000

    Fix initial font size setting from prefs.
    
    svn path=/trunk/; revision=1701

 gucharmap/gucharmap-window.c |    5 +++++
 gucharmap/gucharmap-window.h |    4 +++-
 gucharmap/main.c             |    2 --
 3 files changed, 8 insertions(+), 3 deletions(-)

commit ebac665f96204646d3240f862457f566683af953
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:58:33 2008 +0000

    Go back to implicit initialisation.
    
    svn path=/trunk/; revision=1700

 gucharmap/Makefile.am                       |    2 -
 gucharmap/gucharmap-block-chapters-model.c  |    2 +
 gucharmap/gucharmap-charmap.c               |    2 +
 gucharmap/gucharmap-init.c                  |   18 ++++----------
 gucharmap/gucharmap-init.h                  |   33 ---------------------------
 gucharmap/gucharmap-mini-fontsel.c          |    2 -
 gucharmap/gucharmap-private.h               |    4 ++-
 gucharmap/gucharmap-script-chapters-model.c |    2 +
 gucharmap/gucharmap-script-codepoint-list.c |    2 +
 gucharmap/gucharmap-unicode-info.c          |    6 ++++-
 gucharmap/gucharmap.h                       |    1 -
 gucharmap/main.c                            |    2 -
 12 files changed, 21 insertions(+), 55 deletions(-)

commit c4604964f2518b04e9e42c2d911582b2922531a4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:58:23 2008 +0000

    Destroy the window, don't call gtk_main_quit directly.
    
    svn path=/trunk/; revision=1699

 gucharmap/gucharmap-window.c |   14 ++++++++++----
 gucharmap/gucharmap-window.h |   10 ++++++----
 gucharmap/main.c             |    6 ++++--
 3 files changed, 20 insertions(+), 10 deletions(-)

commit 67704063cb0d41eee6381e7339fbab4407259790
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:58:14 2008 +0000

    Remove font fallback (#if 0'd code).
    
    svn path=/trunk/; revision=1698

 gucharmap/gucharmap-charmap.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit bd49e4b4ceafd51c29e79a778fe6e95bb7dd3abe
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:58:04 2008 +0000

    Use UTF-8.
    
    svn path=/trunk/; revision=1697

 gucharmap/gucharmap-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2d36d2afcaecab0483d9787d224ef65ed417f694
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:57:53 2008 +0000

    More moving around of code.
    
    svn path=/trunk/; revision=1696

 gucharmap/gucharmap-window.c |  227 ++++++++++++++++++++----------------------
 1 files changed, 109 insertions(+), 118 deletions(-)

commit 6abfdd44f5444adadf86e2996c404b17d6d03c0b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:57:43 2008 +0000

    Move code around a bit.
    
    svn path=/trunk/; revision=1695

 gucharmap/gucharmap-window.c |   90 ++++++++++++++++++------------------------
 gucharmap/gucharmap-window.h |    3 -
 2 files changed, 38 insertions(+), 55 deletions(-)

commit cc8feb5ac08930ce6065dfe21ce4b88bc2916e30
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:57:34 2008 +0000

    Remove unused variable.
    
    svn path=/trunk/; revision=1694

 gucharmap/gucharmap-window.c |   14 ++++++--------
 1 files changed, 6 insertions(+), 8 deletions(-)

commit 3aa83f4665a161de8b8db4344da1660eaddf3eb7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:57:25 2008 +0000

    Remove unused API from GucharmapWindow.
    
    svn path=/trunk/; revision=1693

 gucharmap/gucharmap-window.c |   44 ++---------------------------------------
 gucharmap/gucharmap-window.h |   10 ---------
 gucharmap/main.c             |   19 +++++++----------
 3 files changed, 11 insertions(+), 62 deletions(-)

commit 70f4e556707d833d222670c38c8337dbcce6fdd1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:57:15 2008 +0000

    Done.
    
    svn path=/trunk/; revision=1692

 TODO |   18 ------------------
 1 files changed, 0 insertions(+), 18 deletions(-)

commit 8bf8799c9f4fa54d98ba7139e7c2cf5ec70ebca4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:57:06 2008 +0000

    Add a #define for the gucharmap icon name, so you only have to switch it in one
    place in the code (plus to .desktop.in.in file). Helps bug #331670.
    
    svn path=/trunk/; revision=1691

 gucharmap/gucharmap-window.c |    4 ++--
 gucharmap/gucharmap-window.h |    2 ++
 gucharmap/main.c             |    2 +-
 3 files changed, 5 insertions(+), 3 deletions(-)

commit a017662f1be034a084f99544bf83dd262cd9f600
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:56:57 2008 +0000

    Code simplification.
    
    svn path=/trunk/; revision=1690

 gucharmap/gucharmap-search-dialog.c |   15 +++++----------
 1 files changed, 5 insertions(+), 10 deletions(-)

commit b6761739e0dd03af40fdd4e7c688481dc0d7ee75
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:56:47 2008 +0000

    Implement Ctrl-V paste to go to the 1st character in the clipboard text. Bug #477921.
    Only works if the chartable has the focus, unfortunately.
    
    svn path=/trunk/; revision=1689

 gucharmap/gucharmap-chartable.c |   46 ++++++++++++++++++++++++++++++++++++++-
 1 files changed, 45 insertions(+), 1 deletions(-)

commit 4aa5a660b0fb8e6d8cc25db63a7d51cc5cb46f36
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:56:37 2008 +0000

    Make Ctrl-C copy the active character. Bug #477921.
    
    svn path=/trunk/; revision=1688

 gucharmap/gucharmap-chartable.c |   57 +++++++++++++++++++++++++++++++++++++++
 gucharmap/gucharmap-private.h   |    2 +
 2 files changed, 59 insertions(+), 0 deletions(-)

commit cfb09a232aed233ec92d0b3b0f9b3eecd0388f87
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:56:27 2008 +0000

    Add gitignore.
    
    svn path=/trunk/; revision=1687

 .gitignore |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)

commit 432e952179970c54104bdf536a686ca6081bda7a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:56:18 2008 +0000

    Add unicode version info. Bug #347941, based on a patch by Petr Tomasek.
    
    svn path=/trunk/; revision=1686

 gucharmap/Makefile.am                |   48 ++-
 gucharmap/download-unicode-files.sh  |    3 +-
 gucharmap/gen-guch-unicode-tables.pl |  106 +++++-
 gucharmap/gucharmap-charmap.c        |    8 +
 gucharmap/gucharmap-unicode-info.c   |   36 ++
 gucharmap/gucharmap-unicode-info.h   |   17 +
 gucharmap/unicode-versions.h         |  801 ++++++++++++++++++++++++++++++++++
 7 files changed, 1002 insertions(+), 17 deletions(-)

commit b05653291ab684412729b18d2f29039ada503ad4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:56:08 2008 +0000

    Make this static data.
    
    svn path=/trunk/; revision=1685

 gucharmap/gucharmap-chartable.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 906a2b95baeb3e1451b28c57a95e2f6d63db7abd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:55:58 2008 +0000

    Fix zoom popup positioning for RTL.
    
    svn path=/trunk/; revision=1684

 gucharmap/gucharmap-chartable.c |   33 +++++++++++++++++++++++----------
 1 files changed, 23 insertions(+), 10 deletions(-)

commit 67a802f9c79d70860a48fb32a01b9ddf65f97034
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:55:49 2008 +0000

    Improve zoom popup positioning further.
    
    svn path=/trunk/; revision=1683

 gucharmap/gucharmap-chartable.c |  167 +++++++++++++--------------------------
 1 files changed, 54 insertions(+), 113 deletions(-)

commit df09c2a2f70be2cd9b440dd750f67160cb086854
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:55:39 2008 +0000

    Improve zoom popup positioning code to cope with screen borders.
    
    svn path=/trunk/; revision=1682

 gucharmap/gucharmap-chartable.c |  224 +++++++++++++++++++++++++++++++++++----
 1 files changed, 202 insertions(+), 22 deletions(-)

commit bb5a9d1d2e7300dd40519a49de92f954b38aec04
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:55:30 2008 +0000

    Make gucharmap_chartable_set_zoom_enabled only control the zoom capability, and
    not the actual showing of the zoom popup. Introduce gobject properties for zoom enabled
    and zoom showing.
    
    svn path=/trunk/; revision=1681

 gucharmap/gucharmap-chartable.c |  252 +++++++++++++++++++++++++--------------
 gucharmap/gucharmap-chartable.h |    1 +
 2 files changed, 165 insertions(+), 88 deletions(-)

commit 3ac1d88c308c61b7d40a2130aa458a6a0e0079d6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:55:20 2008 +0000

    Use a stock item that has a label to get the locale character.
    
    svn path=/trunk/; revision=1680

 gucharmap/gucharmap-unicode-info.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b488e7fa56d282897fbf4b69167d98fa9ccd10cc
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:55:11 2008 +0000

    Use GTK_STOCK_ZOOM_*.
    
    svn path=/trunk/; revision=1679

 gucharmap/gucharmap-window.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 7f98e0669e2645aa6562bcfff815bd37d7b77fa3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:55:02 2008 +0000

    Use $(GLIB_GENMARSHAL).
    
    svn path=/trunk/; revision=1678

 gucharmap/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 80087977a839818a5c42410b273d850f69ae64b7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:54:53 2008 +0000

    Update.
    
    svn path=/trunk/; revision=1677

 po/POTFILES.in   |    5 +----
 po/POTFILES.skip |    2 ++
 2 files changed, 3 insertions(+), 4 deletions(-)

commit e8c3ab5c3b5f687bd039dfbbc48c118cd78f591e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:54:44 2008 +0000

    Use the cursor movement logic to implement the Ctrl-N/P actions in
    GucharmapWindow.
    Make gucharmap_chartable_move_cursor not check for focus; it doesn't seem to be
    necessary and also would make the above not work.
    
    svn path=/trunk/; revision=1676

 gucharmap/gucharmap-chartable.c |    3 --
 gucharmap/gucharmap-window.c    |   71 +++++++++++---------------------------
 2 files changed, 21 insertions(+), 53 deletions(-)

commit 0613a47d0f994e4e503a30feeabf033b84d843b7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:54:34 2008 +0000

    Add full set of stock gobject type macros.
    
    svn path=/trunk/; revision=1675

 gucharmap/gucharmap-block-chapters-model.h      |   17 ++++++-----------
 gucharmap/gucharmap-chapters-model.h            |   17 ++++++-----------
 gucharmap/gucharmap-chapters-view.h             |   17 ++++++-----------
 gucharmap/gucharmap-charmap.h                   |   16 ++++++----------
 gucharmap/gucharmap-chartable-accessible.h      |   11 ++++++-----
 gucharmap/gucharmap-chartable-cell-accessible.h |   11 ++++++-----
 gucharmap/gucharmap-chartable.h                 |   14 ++++++--------
 gucharmap/gucharmap-codepoint-list.h            |   17 ++++++-----------
 gucharmap/gucharmap-mini-fontsel.h              |   16 ++++++----------
 gucharmap/gucharmap-script-chapters-model.h     |   17 ++++++-----------
 gucharmap/gucharmap-script-codepoint-list.h     |   17 ++++++-----------
 gucharmap/gucharmap-search-dialog.h             |    7 ++++++-
 gucharmap/gucharmap-window.h                    |   11 ++++++-----
 13 files changed, 78 insertions(+), 110 deletions(-)

commit 2fac805d1e619530edd520127d40c57459db4221
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:54:22 2008 +0000

    Use UTF-8.
    
    svn path=/trunk/; revision=1674

 gucharmap/Makefile.am                           |    2 +-
 gucharmap/gucharmap-block-chapters-model.c      |    4 ++--
 gucharmap/gucharmap-block-chapters-model.h      |    4 ++--
 gucharmap/gucharmap-chapters-model.c            |    4 ++--
 gucharmap/gucharmap-chapters-model.h            |    4 ++--
 gucharmap/gucharmap-chapters-view.c             |    2 +-
 gucharmap/gucharmap-chapters-view.h             |    2 +-
 gucharmap/gucharmap-charmap.c                   |    1 +
 gucharmap/gucharmap-charmap.h                   |    2 +-
 gucharmap/gucharmap-chartable-accessible.c      |    4 ++--
 gucharmap/gucharmap-chartable-accessible.h      |    4 ++--
 gucharmap/gucharmap-chartable-cell-accessible.c |    4 ++--
 gucharmap/gucharmap-chartable-cell-accessible.h |    2 +-
 gucharmap/gucharmap-chartable.c                 |    6 +++---
 gucharmap/gucharmap-chartable.h                 |    4 ++--
 gucharmap/gucharmap-codepoint-list.c            |    2 +-
 gucharmap/gucharmap-codepoint-list.h            |    2 +-
 gucharmap/gucharmap-init.c                      |    2 +-
 gucharmap/gucharmap-init.h                      |    2 +-
 gucharmap/gucharmap-mini-fontsel.c              |    2 +-
 gucharmap/gucharmap-mini-fontsel.h              |    2 +-
 gucharmap/gucharmap-private.h                   |    4 ++--
 gucharmap/gucharmap-script-chapters-model.c     |    4 ++--
 gucharmap/gucharmap-script-chapters-model.h     |    4 ++--
 gucharmap/gucharmap-script-codepoint-list.c     |    2 +-
 gucharmap/gucharmap-script-codepoint-list.h     |    2 +-
 gucharmap/gucharmap-search-dialog.c             |    2 +-
 gucharmap/gucharmap-search-dialog.h             |    2 +-
 gucharmap/gucharmap-settings.c                  |    4 ++--
 gucharmap/gucharmap-settings.h                  |    2 +-
 gucharmap/gucharmap-types.h                     |    4 ++--
 gucharmap/gucharmap-unicode-info.c              |    2 +-
 gucharmap/gucharmap-unicode-info.h              |    2 +-
 gucharmap/gucharmap-window.c                    |    2 +-
 gucharmap/gucharmap-window.h                    |    2 +-
 gucharmap/gucharmap.h                           |    2 +-
 gucharmap/main.c                                |    2 +-
 37 files changed, 52 insertions(+), 51 deletions(-)

commit 23cb5af2e29c5f394151423897cbd8243ac729d3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:54:10 2008 +0000

    Split the window, mini-fontsel, search-dialog and settings out of the library. They aren't
    generic enough, but currently only useful for gucharmap itself.
    Also gets rid of the gconf dependency on libgucharmap.
    
    svn path=/trunk/; revision=1673

 gucharmap/Makefile.am                       |   24 ++--
 gucharmap/gucharmap-block-chapters-model.c  |    1 -
 gucharmap/gucharmap-chapters-view.c         |    4 +-
 gucharmap/gucharmap-charmap.c               |  148 +++++++++++----
 gucharmap/gucharmap-charmap.h               |    9 +-
 gucharmap/gucharmap-init.c                  |    5 -
 gucharmap/gucharmap-mini-fontsel.c          |    4 +-
 gucharmap/gucharmap-mini-fontsel.h          |   33 +++-
 gucharmap/gucharmap-private.h               |   54 +-----
 gucharmap/gucharmap-script-chapters-model.c |    1 -
 gucharmap/gucharmap-search-dialog.c         |    5 +-
 gucharmap/gucharmap-search-dialog.h         |   25 ++-
 gucharmap/gucharmap-settings.c              |   42 +---
 gucharmap/gucharmap-settings.h              |    2 -
 gucharmap/gucharmap-types.h                 |    9 -
 gucharmap/gucharmap-unicode-info.c          |   39 ++++-
 gucharmap/gucharmap-unicode-info.h          |    3 +
 gucharmap/gucharmap-window.c                |  287 ++++++++++++---------------
 gucharmap/gucharmap-window.h                |   49 ++++-
 gucharmap/gucharmap.h                       |    3 -
 gucharmap/main.c                            |    4 +
 21 files changed, 408 insertions(+), 343 deletions(-)

commit dbcc3a2febbfcbaca152cadf04027752ebd1719e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:53:59 2008 +0000

    Namespace ChaptersMode.
    
    svn path=/trunk/; revision=1672

 gucharmap/gucharmap-chapters-model.h |    7 +++----
 gucharmap/gucharmap-settings.c       |   20 ++++++++++----------
 gucharmap/gucharmap-settings.h       |    4 ++--
 gucharmap/gucharmap-window.c         |   14 +++++++-------
 4 files changed, 22 insertions(+), 23 deletions(-)

commit cadd9279d5c79847d3540ef010d451553ea8754a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:53:49 2008 +0000

    Allow returning NULL for the book_codepoint_list without crashing the search
    dialogue.
    
    svn path=/trunk/; revision=1671

 gucharmap/gucharmap-search-dialog.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit b0fa11e95f22a3243607e77a323f37d8601dec01
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:53:40 2008 +0000

    Chain finaliser up to the parent class.
    Don't leak the |ranges|.
    
    svn path=/trunk/; revision=1670

 gucharmap/gucharmap-script-codepoint-list.c |   38 ++++++++++++++++++++++-----
 1 files changed, 31 insertions(+), 7 deletions(-)

commit c6cd1b6b2907c1f2bfefc5dff8c8132bc02a8cf9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:53:31 2008 +0000

    Don't leak the timer.
    
    svn path=/trunk/; revision=1669

 gucharmap/gucharmap-search-dialog.c |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

commit 5e2c1bef9a6ba42d6be96b4cced907b6dd121edb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:53:22 2008 +0000

    Define UNICHAR_MAX in gucharmap-private.h, not in configure.
    
    svn path=/trunk/; revision=1668

 configure.ac                  |    2 --
 gucharmap/gucharmap-private.h |    3 +++
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 198b4b522225442dccceae4a171a1406023721cd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:53:12 2008 +0000

    Fix last-char setting value to correctly read back U+10FFFF.
    
    svn path=/trunk/; revision=1667

 gucharmap/gucharmap-settings.c |   23 ++++++++++++++---------
 1 files changed, 14 insertions(+), 9 deletions(-)

commit 262b32fe05e2b396d21ccd375ccf6f3ed8b47d14
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:53:03 2008 +0000

    Don't allow to DND from a cell that's not a valid unicode char (e.g. U+10FFFF).
    
    svn path=/trunk/; revision=1666

 gucharmap/gucharmap-chartable.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 97b4279bdbc8fa22d85618ccbb9c07b48ad52ceb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:52:53 2008 +0000

    Fix the quit label.
    
    svn path=/trunk/; revision=1665

 gucharmap/gucharmap-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f4ef67891d157cc7cd2a2b4caa492ed882e8a567
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:52:44 2008 +0000

    No need to override show_all.
    
    svn path=/trunk/; revision=1664

 gucharmap/gucharmap-window.c |    8 +-------
 1 files changed, 1 insertions(+), 7 deletions(-)

commit 939d7ab4a31819303d49eceecd554b835cfcbe4c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:52:35 2008 +0000

    Remove unused code.
    
    svn path=/trunk/; revision=1663

 gucharmap/gucharmap-window.c |   14 --------------
 1 files changed, 0 insertions(+), 14 deletions(-)

commit 215f4635b1a625283e3bbcd54133c50774c96da4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:52:26 2008 +0000

    Don't leak the action group.
    
    svn path=/trunk/; revision=1662

 gucharmap/gucharmap-window.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 87866ccaf61d6df83443bdda35565cfac25dd737
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:52:17 2008 +0000

    Remove unused accel group.
    
    svn path=/trunk/; revision=1661

 gucharmap/gucharmap-window.c |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit f16564d99e64f63f0c56f6d16d9e180f3892282b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:52:07 2008 +0000

    Use a GtkToggleActionEntry for the toggle action instead of creating them by hand.
    
    svn path=/trunk/; revision=1660

 gucharmap/gucharmap-window.c |   23 +++++++++++++----------
 1 files changed, 13 insertions(+), 10 deletions(-)

commit a1d73b8b260366836d6726a558930ed0c40021c1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:51:58 2008 +0000

    Remove redundant code.
    
    svn path=/trunk/; revision=1659

 gucharmap/gucharmap-window.c |   29 +++--------------------------
 1 files changed, 3 insertions(+), 26 deletions(-)

commit 333aec13b68b8e228741a9a077e0928d66f1b1bb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:51:49 2008 +0000

    No need to make the actions static.
    
    svn path=/trunk/; revision=1658

 gucharmap/gucharmap-window.c |  107 +++++++++++++++++++++---------------------
 1 files changed, 53 insertions(+), 54 deletions(-)

commit 48ff4a89e86d240bcdc745011bb41280737d7541
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:51:40 2008 +0000

    Make the UI string shorter.
    
    svn path=/trunk/; revision=1657

 gucharmap/gucharmap-window.c |   64 +++++++++++++++++++++---------------------
 1 files changed, 32 insertions(+), 32 deletions(-)

commit 11c902167e7b78f1906273c4b82b815996bf6e56
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:51:30 2008 +0000

    Use a bitfield.
    
    svn path=/trunk/; revision=1656

 gucharmap/gucharmap-window.c |   24 ++++++++++--------------
 1 files changed, 10 insertions(+), 14 deletions(-)

commit 9b33487809b358a1c21ceea6482de1a3e09012e6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:51:21 2008 +0000

    Remove redundant code.
    
    svn path=/trunk/; revision=1655

 gucharmap/gucharmap-private.h       |    2 +-
 gucharmap/gucharmap-search-dialog.c |    2 --
 gucharmap/gucharmap-window.c        |   29 +++++------------------------
 3 files changed, 6 insertions(+), 27 deletions(-)

commit d9f8d657cdc3ae203966ecb61d1326466adbdbac
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:51:12 2008 +0000

    Remove unused static variables.
    
    svn path=/trunk/; revision=1654

 gucharmap/gucharmap-search-dialog.c |   15 +++++++--------
 gucharmap/gucharmap-window.c        |   13 +++++++------
 2 files changed, 14 insertions(+), 14 deletions(-)

commit d67577954dce8820fea7597adeb85688f0ba105a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:51:01 2008 +0000

    Remove useless RCS markers.
    
    svn path=/trunk/; revision=1653

 gucharmap/gucharmap-block-chapters-model.c  |    1 -
 gucharmap/gucharmap-block-chapters-model.h  |    1 -
 gucharmap/gucharmap-chapters-model.c        |    1 -
 gucharmap/gucharmap-codepoint-list.c        |    1 -
 gucharmap/gucharmap-codepoint-list.h        |    1 -
 gucharmap/gucharmap-mini-fontsel.c          |    1 -
 gucharmap/gucharmap-mini-fontsel.h          |    1 -
 gucharmap/gucharmap-script-chapters-model.c |    1 -
 gucharmap/gucharmap-script-chapters-model.h |    1 -
 gucharmap/gucharmap-script-codepoint-list.c |    1 -
 gucharmap/gucharmap-script-codepoint-list.h |    1 -
 gucharmap/gucharmap-search-dialog.c         |    1 -
 gucharmap/gucharmap-search-dialog.h         |    1 -
 gucharmap/gucharmap-unicode-info.c          |    1 -
 gucharmap/gucharmap-unicode-info.h          |    1 -
 gucharmap/main.c                            |    1 -
 16 files changed, 0 insertions(+), 16 deletions(-)

commit a1b894589d0fd5ce6046c4f0150251814863afc7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:50:50 2008 +0000

    Use g_unichar_validate, it's identical.
    
    svn path=/trunk/; revision=1652

 gucharmap/gucharmap-unicode-info.c |   10 ++--------
 1 files changed, 2 insertions(+), 8 deletions(-)

commit cb1d9161de3b9946ba6aea5527344c5a74fd65b4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:50:41 2008 +0000

    Remove gucharmap_unicode_canonical_decomposition; the glib bug that it worked
    around has been fixed since 2.3.1 ! (Bug #100456)
    
    svn path=/trunk/; revision=1651

 gucharmap/gucharmap-charmap.c      |    2 +-
 gucharmap/gucharmap-unicode-info.c |   62 ------------------------------------
 gucharmap/gucharmap-unicode-info.h |    7 ----
 3 files changed, 1 insertions(+), 70 deletions(-)

commit 23d91eb6453297e14dc832654b068b389b37f807
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:50:31 2008 +0000

    Move unicode block names to rodata.
    We're now at 82 relocations, down from over 8700 before the last few patches.
    
    svn path=/trunk/; revision=1650

 gucharmap/gen-guch-unicode-tables.pl       |   35 ++-
 gucharmap/gucharmap-block-chapters-model.c |    8 +-
 gucharmap/unicode-blocks.h                 |  625 +++++++++++++++++++++-------
 3 files changed, 507 insertions(+), 161 deletions(-)

commit 4d944e508a921e7853b49146012f55e7bc8104ce
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:50:22 2008 +0000

    Move scripts strings to ro data.
    
    svn path=/trunk/; revision=1649

 gucharmap/gen-guch-unicode-tables.pl        |   30 +++++-
 gucharmap/gucharmap-script-chapters-model.c |    4 +-
 gucharmap/gucharmap-script-codepoint-list.c |   32 ++++--
 gucharmap/unicode-scripts.h                 |  146 ++++++++++++++++++++++++++-
 4 files changed, 193 insertions(+), 19 deletions(-)

commit a39f0be288efa45afbc7161fc2f75bbd11b9686c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:50:12 2008 +0000

    Validate unichar before copying.
    
    svn path=/trunk/; revision=1648

 gucharmap/gucharmap-window.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 0cd0b153d58fb799a91ebf6ea2f9ad6f4e84e84d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:50:00 2008 +0000

    Move unicode-nameslist.h data to ro. This saves over 8000 relocations (down to ~600).
    Bug #503599.
    
    svn path=/trunk/; revision=1647

 gucharmap/gen-guch-unicode-tables.pl |  106 +-
 gucharmap/gucharmap-unicode-info.c   |   22 +-
 gucharmap/unicode-nameslist.h        |22994 ++++++++++++++++++++++------------
 3 files changed, 14895 insertions(+), 8227 deletions(-)

commit 671931507c782e3508870c7161d69f302e71d18e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:49:47 2008 +0000

    Don't leak the codepoint list.
    
    svn path=/trunk/; revision=1646

 gucharmap/gucharmap-chartable.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit f935a1dba1886bb6214d8cdd5f92be561afaabd4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:49:37 2008 +0000

    Shrink the NamesList struct to almost only half the size by changing
    the ints to gint16.
    
    svn path=/trunk/; revision=1645

 gucharmap/gen-guch-unicode-tables.pl |   10 +++++-----
 gucharmap/gucharmap-unicode-info.c   |    2 +-
 gucharmap/unicode-nameslist.h        |   10 +++++-----
 3 files changed, 11 insertions(+), 11 deletions(-)

commit 1d72445655e4e83ee903b97df5c29ad8651796e7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:49:24 2008 +0000

    Intern the signal names.
    
    svn path=/trunk/; revision=1644

 gucharmap/gucharmap-chartable.c     |    8 ++++----
 gucharmap/gucharmap-mini-fontsel.c  |    2 +-
 gucharmap/gucharmap-search-dialog.c |    4 ++--
 3 files changed, 7 insertions(+), 7 deletions(-)

commit f90c03e6703f17484a1e4d4ac363a2385593dc82
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:49:13 2008 +0000

    Include <config.h>.
    
    svn path=/trunk/; revision=1643

 gucharmap/gucharmap-chapters-view.c         |    2 +-
 gucharmap/gucharmap-charmap.c               |    2 +-
 gucharmap/gucharmap-chartable.c             |    2 +-
 gucharmap/gucharmap-codepoint-list.c        |    2 +-
 gucharmap/gucharmap-mini-fontsel.c          |    2 +-
 gucharmap/gucharmap-script-chapters-model.c |    2 +-
 gucharmap/gucharmap-script-codepoint-list.c |    2 +-
 gucharmap/gucharmap-search-dialog.c         |    2 +-
 gucharmap/gucharmap-settings.c              |    2 +-
 gucharmap/gucharmap-unicode-info.c          |    2 +-
 gucharmap/gucharmap-window.c                |    2 +-
 gucharmap/main.c                            |    2 +-
 12 files changed, 12 insertions(+), 12 deletions(-)

commit 5356b904b955a00a54f37d52e8c553d34c9f05f9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:49:00 2008 +0000

    Put all types into gucharmap-types, and the real struct definitions into gucharmap-private.h.
    
    svn path=/trunk/; revision=1642

 gucharmap/Makefile.am                           |    3 +-
 gucharmap/gen-guch-unicode-tables.pl            |    5 +-
 gucharmap/gucharmap-block-chapters-model.c      |    5 +-
 gucharmap/gucharmap-block-chapters-model.h      |   14 +-
 gucharmap/gucharmap-chapters-model.c            |    7 +-
 gucharmap/gucharmap-chapters-model.h            |   25 +--
 gucharmap/gucharmap-chapters-view.c             |    2 +-
 gucharmap/gucharmap-chapters-view.h             |   19 +--
 gucharmap/gucharmap-charmap.c                   |   34 +---
 gucharmap/gucharmap-charmap.h                   |    4 +-
 gucharmap/gucharmap-chartable-accessible.c      |    5 +-
 gucharmap/gucharmap-chartable-accessible.h      |    2 +-
 gucharmap/gucharmap-chartable-cell-accessible.c |    2 +-
 gucharmap/gucharmap-chartable-cell-accessible.h |   17 +--
 gucharmap/gucharmap-chartable-private.h         |  105 --------
 gucharmap/gucharmap-chartable.c                 |    4 +-
 gucharmap/gucharmap-chartable.h                 |    4 +-
 gucharmap/gucharmap-codepoint-list.c            |    1 +
 gucharmap/gucharmap-codepoint-list.h            |   21 +--
 gucharmap/gucharmap-intl.h                      |   14 -
 gucharmap/gucharmap-mini-fontsel.c              |    3 +-
 gucharmap/gucharmap-mini-fontsel.h              |   28 +--
 gucharmap/gucharmap-private.h                   |  296 +++++++++++++++++++++++
 gucharmap/gucharmap-script-chapters-model.c     |    4 +-
 gucharmap/gucharmap-script-chapters-model.h     |   14 +-
 gucharmap/gucharmap-script-codepoint-list.c     |    2 +-
 gucharmap/gucharmap-script-codepoint-list.h     |   14 +-
 gucharmap/gucharmap-search-dialog.c             |    3 +-
 gucharmap/gucharmap-search-dialog.h             |   18 +--
 gucharmap/gucharmap-settings.c                  |    3 +-
 gucharmap/gucharmap-types.h                     |   60 +++++
 gucharmap/gucharmap-unicode-info.c              |    1 +
 gucharmap/gucharmap-window.c                    |    5 +-
 gucharmap/gucharmap-window.h                    |   16 +--
 gucharmap/gucharmap.h                           |    2 +
 gucharmap/main.c                                |    4 -
 gucharmap/unicode-blocks.h                      |    2 +
 gucharmap/unicode-names.h                       |    2 +-
 gucharmap/unicode-scripts.h                     |    2 +-
 39 files changed, 414 insertions(+), 358 deletions(-)

commit c40304fb703e472a5cb1a3afa64e1426af81ff2a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:48:42 2008 +0000

    Add explicit init/shutdown functions, and remove the internal gettext init function.
    
    svn path=/trunk/; revision=1641

 gucharmap/Makefile.am                       |    6 ++-
 gucharmap/gucharmap-block-chapters-model.c  |    2 -
 gucharmap/gucharmap-charmap.c               |    2 -
 gucharmap/gucharmap-init.c                  |   53 +++++++++++++++++++++++++++
 gucharmap/gucharmap-init.h                  |   33 +++++++++++++++++
 gucharmap/gucharmap-intl.c                  |   23 ------------
 gucharmap/gucharmap-mini-fontsel.c          |    2 -
 gucharmap/gucharmap-script-chapters-model.c |    2 -
 gucharmap/gucharmap-script-codepoint-list.c |    2 -
 gucharmap/gucharmap-search-dialog.c         |    2 -
 gucharmap/gucharmap-unicode-info.c          |    7 +---
 gucharmap/gucharmap-window.c                |    2 -
 gucharmap/gucharmap.h                       |    2 +-
 gucharmap/main.c                            |    4 +-
 14 files changed, 94 insertions(+), 48 deletions(-)

commit 1cabd4d9d7d6f9eae5bd21708c26bb0d3718f72b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:48:31 2008 +0000

    Fix include path.
    
    svn path=/trunk/; revision=1640

 gucharmap-2.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit be2e1dadc5648020ce9017a931a2c9a0172c2e65
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:48:21 2008 +0000

    Add a way to select the chapter by locale.
    
    svn path=/trunk/; revision=1639

 gucharmap/Makefile.am                |    7 ++-----
 gucharmap/gucharmap-chapters-model.c |    4 ++--
 gucharmap/gucharmap-chapters-view.c  |    7 +++++++
 gucharmap/gucharmap-chapters-view.h  |    3 +++
 gucharmap/gucharmap-settings.c       |   12 ++++++------
 gucharmap/gucharmap-settings.h       |    2 ++
 gucharmap/gucharmap.h                |   14 +++++++-------
 7 files changed, 29 insertions(+), 20 deletions(-)

commit 747835f39cfe6e8ac81ecc67b0b8e95218af2011
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:48:12 2008 +0000

    Don't do font fallback for the details page's big character.
    
    svn path=/trunk/; revision=1638

 gucharmap/gucharmap-charmap.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit ca8122c02867af6554f66d2548946d6dc6191fe5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:48:02 2008 +0000

    Make only gucharmap/gucharmap.h includable from outside gucharmap.
    
    svn path=/trunk/; revision=1637

 gucharmap/Makefile.am                       |    9 +++++++--
 gucharmap/gucharmap-block-chapters-model.h  |    4 ++++
 gucharmap/gucharmap-chapters-model.h        |    4 ++++
 gucharmap/gucharmap-chapters-view.h         |    4 ++++
 gucharmap/gucharmap-charmap.h               |    4 ++++
 gucharmap/gucharmap-chartable.h             |    4 ++++
 gucharmap/gucharmap-codepoint-list.h        |    4 ++++
 gucharmap/gucharmap-mini-fontsel.h          |    4 ++++
 gucharmap/gucharmap-script-chapters-model.h |    4 ++++
 gucharmap/gucharmap-script-codepoint-list.h |    4 ++++
 gucharmap/gucharmap-search-dialog.h         |    4 ++++
 gucharmap/gucharmap-settings.h              |    2 +-
 gucharmap/gucharmap-unicode-info.h          |    4 ++++
 gucharmap/gucharmap-window.h                |    4 ++++
 gucharmap/gucharmap.h                       |    4 ++++
 gucharmap/main.c                            |    9 +++++----
 16 files changed, 65 insertions(+), 7 deletions(-)

commit cbf12da90ff766e9b13786aaa407871729e5044a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:47:52 2008 +0000

    Move to gucharmap-2.pc, and bump the soversion.
    
    svn path=/trunk/; revision=1636

 Makefile.am       |    2 +-
 configure.ac      |    4 ++--
 gucharmap-2.pc.in |   12 ++++++++++++
 gucharmap.pc.in   |   12 ------------
 4 files changed, 15 insertions(+), 15 deletions(-)

commit 5f823089a7230bb851a507ff5277c8aeccefb98c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:47:43 2008 +0000

    Show the character on the details page using the selected font. Bug #412062.
    
    svn path=/trunk/; revision=1635

 gucharmap/gucharmap-charmap.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 4cdc0e23572ce3c8525703eef4cd049b87407f4c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:47:34 2008 +0000

    Update the text tags on style-set on the textview.
    
    svn path=/trunk/; revision=1634

 gucharmap/gucharmap-charmap.c |   71 +++++++++++++++++++++++++---------------
 1 files changed, 44 insertions(+), 27 deletions(-)

commit e68f565ed6e6eca989b441dad569612e72cde90c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:47:24 2008 +0000

    Set the new font in the charmap widget, and make that set the font of
    the chartable instead of going directly to the chartable.
    
    svn path=/trunk/; revision=1633

 gucharmap/gucharmap-charmap.c   |   62 ++++++++++++++++++++++++++++++++++++++-
 gucharmap/gucharmap-charmap.h   |   10 ++++--
 gucharmap/gucharmap-chartable.c |   27 +++++++++++++++-
 gucharmap/gucharmap-chartable.h |    2 +
 gucharmap/gucharmap-window.c    |    3 +-
 5 files changed, 96 insertions(+), 8 deletions(-)

commit 20dc5db5ebf6187234907f262a958c9d75dffb6e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:47:14 2008 +0000

    Use a bitfield.
    
    svn path=/trunk/; revision=1632

 gucharmap/gucharmap-charmap.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 9efd3e7b36244659adb46d41d894058acff93491
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:47:04 2008 +0000

    Remove GucharmapTable, and use GucharmapChartable directly.
    
    svn path=/trunk/; revision=1631

 gucharmap/Makefile.am               |    2 -
 gucharmap/gucharmap-charmap.c       |  199 ++++++++++++++++++-----------------
 gucharmap/gucharmap-charmap.h       |    7 +-
 gucharmap/gucharmap-search-dialog.c |    4 +-
 gucharmap/gucharmap-table.c         |  181 -------------------------------
 gucharmap/gucharmap-table.h         |  106 -------------------
 gucharmap/gucharmap-window.c        |   28 +++---
 gucharmap/gucharmap.h               |    2 +-
 gucharmap/main.c                    |    4 +-
 9 files changed, 123 insertions(+), 410 deletions(-)

commit da7feb3b0dc9dfd3c70f77640c303edaa0947345
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:46:53 2008 +0000

    Remove Gucharmap*Chapters, and just use the model directly.
    
    svn path=/trunk/; revision=1630

 gucharmap/Makefile.am                       |    6 -
 gucharmap/gucharmap-block-chapters-model.h  |    2 +-
 gucharmap/gucharmap-block-chapters.c        |   53 -----
 gucharmap/gucharmap-block-chapters.h        |   60 ------
 gucharmap/gucharmap-chapters-model.c        |    2 +-
 gucharmap/gucharmap-chapters-model.h        |    1 -
 gucharmap/gucharmap-chapters-view.c         |    7 +-
 gucharmap/gucharmap-chapters-view.h         |    1 -
 gucharmap/gucharmap-chapters.c              |  299 ---------------------------
 gucharmap/gucharmap-chapters.h              |   85 --------
 gucharmap/gucharmap-charmap.c               |  172 +++++++++++-----
 gucharmap/gucharmap-charmap.h               |   17 +-
 gucharmap/gucharmap-script-chapters-model.c |    1 -
 gucharmap/gucharmap-script-chapters-model.h |    2 +-
 gucharmap/gucharmap-script-chapters.c       |   53 -----
 gucharmap/gucharmap-script-chapters.h       |   59 ------
 gucharmap/gucharmap-search-dialog.c         |    4 +-
 gucharmap/gucharmap-settings.c              |    2 +-
 gucharmap/gucharmap-window.c                |   59 +++---
 gucharmap/gucharmap-window.h                |    2 -
 gucharmap/gucharmap.h                       |    6 +-
 21 files changed, 186 insertions(+), 707 deletions(-)

commit e45ed2a663f20105ac374100e08aff872d70149c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:46:42 2008 +0000

    Add I_ define.
    
    svn path=/trunk/; revision=1629

 gucharmap/gucharmap-intl.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 43675847ada3ef2d9e3f83e5a74ed6171daee884
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:46:33 2008 +0000

    Make GucharmapCharmap struct private, to force all calls to go through the API.
    
    svn path=/trunk/; revision=1628

 gucharmap/gucharmap-charmap.c       |   33 +++++++++++++++++++++++++++++++++
 gucharmap/gucharmap-charmap.h       |   32 ++++----------------------------
 gucharmap/gucharmap-search-dialog.c |    4 ++--
 gucharmap/gucharmap-window.c        |   25 ++++++++++++++++---------
 gucharmap/main.c                    |    4 +++-
 5 files changed, 58 insertions(+), 40 deletions(-)

commit ef4828c57e3b4b2097f5294643a0f42e49ca3648
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 21 10:46:21 2008 +0000

    s/IS_GUCHARMAP/GUCHARMAP_IS/g
    
    svn path=/trunk/; revision=1627

 gucharmap/gucharmap-block-chapters-model.h      |    2 +-
 gucharmap/gucharmap-block-chapters.h            |    2 +-
 gucharmap/gucharmap-chapters-model.c            |   10 +++++-----
 gucharmap/gucharmap-chapters-model.h            |    2 +-
 gucharmap/gucharmap-chapters-view.c             |    6 +++---
 gucharmap/gucharmap-chapters-view.h             |    2 +-
 gucharmap/gucharmap-chapters.c                  |    6 +++---
 gucharmap/gucharmap-chapters.h                  |    2 +-
 gucharmap/gucharmap-charmap.h                   |    2 +-
 gucharmap/gucharmap-chartable-accessible.h      |    4 ++--
 gucharmap/gucharmap-chartable-cell-accessible.h |    4 ++--
 gucharmap/gucharmap-chartable.c                 |    2 +-
 gucharmap/gucharmap-chartable.h                 |    2 +-
 gucharmap/gucharmap-codepoint-list.c            |    6 +++---
 gucharmap/gucharmap-codepoint-list.h            |    2 +-
 gucharmap/gucharmap-mini-fontsel.h              |    2 +-
 gucharmap/gucharmap-script-chapters-model.h     |    2 +-
 gucharmap/gucharmap-script-chapters.h           |    2 +-
 gucharmap/gucharmap-script-codepoint-list.h     |    2 +-
 gucharmap/gucharmap-table.h                     |    2 +-
 gucharmap/gucharmap-window.c                    |    4 ++--
 gucharmap/gucharmap-window.h                    |    2 +-
 22 files changed, 35 insertions(+), 35 deletions(-)

commit ddc75ec0f55dd97712c335678a99c5af37b3b98f
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Mar 15 09:02:04 2008 +0000

    Translation updated
    
    2008-03-15  Gabor Kelemen  <kelemeng@gnome.hu>
    
    	* hu.po: Translation updated
    
    
    svn path=/trunk/; revision=1625

 po/ChangeLog |    4 ++++
 po/hu.po     |   17 ++++++++++-------
 2 files changed, 14 insertions(+), 7 deletions(-)

commit d15fdaabe63b36cb847ec002a0f52faeccb85744
Author: Marcel Telka <marcel@telka.sk>
Date:   Fri Mar 14 07:44:07 2008 +0000

    Updated Slovak translation.
    
    2008-03-14  Marcel Telka  <marcel@telka.sk>
    
    	* sk.po: Updated Slovak translation.
    
    svn path=/trunk/; revision=1622

 po/ChangeLog |    4 +
 po/sk.po     |  749 ++++++++++++++++++++++++++++++++++------------------------
 2 files changed, 443 insertions(+), 310 deletions(-)

commit 5659a7b5286f5ba6546ce8f91e37b308606e874a
Author: Priit Laes <plaes at svn dot gnome dot org>
Date:   Wed Mar 12 07:24:19 2008 +0000

    Translation updated by Ivar Smolin
    
    2008-03-12  Priit Laes  <plaes at svn dot gnome dot org>
    
    	* et.po: Translation updated by Ivar Smolin
    
    svn path=/trunk/; revision=1620

 po/ChangeLog |    4 ++++
 po/et.po     |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 11cbfeba57405d45467463c1b0372c49e7ad2144
Author: Baris Cicek <bcicek@src.gnome.org>
Date:   Tue Mar 11 16:29:02 2008 +0000

    Updated Turkish Translation
    
    svn path=/trunk/; revision=1618

 po/ChangeLog |    4 +
 po/tr.po     |  798 ++++++++++++++++++++++++++++++++++++----------------------
 2 files changed, 507 insertions(+), 295 deletions(-)

commit 6aa92cf504b77cacf4e47db39ed65e5f456ce0f5
Author: Kenneth Nielsen <kennethn@src.gnome.org>
Date:   Sun Mar 9 22:17:49 2008 +0000

    Updated Danish translation
    
    svn path=/trunk/; revision=1616

 po/ChangeLog |    4 +
 po/da.po     |  262 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 149 insertions(+), 117 deletions(-)

commit 7c38e50c19540b7cd64f345d7093f6559f667600
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sun Mar 9 18:00:49 2008 +0000

    Translation updated
    
    2008-03-09  Gabor Kelemen  <kelemeng@gnome.hu>
    
    	* hu.po: Translation updated
    
    
    svn path=/trunk/; revision=1611

 po/ChangeLog |    4 +
 po/hu.po     |  231 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 131 insertions(+), 104 deletions(-)

commit 6b6eb2d66616750804b7519fbda2c9ee566a1c38
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Sun Mar 9 15:39:47 2008 +0000

    Updated spanish screenshots
    
    svn path=/trunk/; revision=1609

 help/ChangeLog                             |    4 ++++
 help/es/figures/gucharmap_start_window.png |  Bin 54730 -> 63982 bytes
 help/es/figures/gucharmap_window.png       |  Bin 47977 -> 69963 bytes
 3 files changed, 4 insertions(+), 0 deletions(-)

commit f3a20edda2798536fafbc1cbeff2687aa4f2ac45
Author: Ihar Hrachyshka <iharh@src.gnome.org>
Date:   Sun Mar 9 15:38:01 2008 +0000

    Added Belarusian Latin translation (merged from gnome-2-22 branch).
    
    svn path=/trunk/; revision=1608

 po/ChangeLog   |    5 +
 po/LINGUAS     |    1 +
 po/be@latin.po | 1196 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 1202 insertions(+), 0 deletions(-)

commit dd74c8aa041a7b9b1d19b81cab94edcf807777f0
Author: Leonardo Ferreira Fontenelle <leonardof@svn.gnome.org>
Date:   Sun Mar 9 04:32:05 2008 +0000

    Fixes in Brazilian Portuguese translation.
    
    2008-03-09  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>
    
    	* pt_BR/pt_BR.po: Fixes in Brazilian Portuguese translation.
    
    svn path=/trunk/; revision=1605

 help/ChangeLog      |    4 ++++
 help/pt_BR/pt_BR.po |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit d97bdb3fa3fc44acfbe7c9dc292a2d3ce4193037
Author: Leonardo Ferreira Fontenelle <leonardof@svn.gnome.org>
Date:   Sun Mar 9 04:26:14 2008 +0000

    Merged fixes from branch gnome-2-22.
    
    2008-03-09  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>
    
    	* pt_BR.po: Merged fixes from branch gnome-2-22.
    
    svn path=/trunk/; revision=1604

 po/ChangeLog |    4 ++++
 po/pt_BR.po  |   17 ++++++++---------
 2 files changed, 12 insertions(+), 9 deletions(-)

commit 22cc1423dcbdffcea047cc4ec4d396af85347a04
Author: Leonardo Ferreira Fontenelle <leonardof@svn.gnome.org>
Date:   Sun Mar 9 04:19:18 2008 +0000

    Added pt_BR to DOC_LINGUAS. Merged Brazilian Portuguese translation from
    
    2008-03-09  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>
    
    	* Makefile.am: Added pt_BR to DOC_LINGUAS.
    	* pt_BR/*: Merged Brazilian Portuguese translation from gnome-2-22.
    
    svn path=/trunk/; revision=1603

 help/ChangeLog                          |    5 +
 help/Makefile.am                        |    2 +-
 help/pt_BR/figures/gucharmap_window.png |  Bin 0 -> 35560 bytes
 help/pt_BR/pt_BR.po                     |  877 +++++++++++++++++++++++++++++++
 4 files changed, 883 insertions(+), 1 deletions(-)

commit 001eadb439aded06cbf033b318de92d69ebf9c6d
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:   Sat Mar 8 10:05:14 2008 +0000

    Updated Occitan translation
    
    svn path=/trunk/; revision=1600

 po/oc.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6a3cd59f80f530e6d5143977b1b143a041eb3c30
Author: Petr Kovář <pmkovar@src.gnome.org>
Date:   Sat Mar 8 01:35:11 2008 +0000

    cs.po: Updated Czech translation.
    
    svn path=/trunk/; revision=1599

 po/ChangeLog |    4 +
 po/cs.po     |  427 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 225 insertions(+), 206 deletions(-)

commit 3df19407431480a3678dec0335c4883df575fdf5
Author: Maxim Dziumanenko <dziumanenko@gmail.com>
Date:   Fri Mar 7 14:06:09 2008 +0000

    Update Ukrainian translation.
    
    2008-03-07 Maxim Dziumanenko <dziumanenko@gmail.com>
    
    	* Update Ukrainian translation.
    
    svn path=/trunk/; revision=1594

 po/ChangeLog |    4 +
 po/uk.po     |  234 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 125 insertions(+), 113 deletions(-)

commit 0b6236fa53dcc0ab0f1748c1395970ab278a53cd
Author: Jonh Wendell S. Santana <jwendell@src.gnome.org>
Date:   Fri Mar 7 14:05:08 2008 +0000

    Tribute to Raphael
    
    svn path=/trunk/; revision=1593

 po/pt_BR.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 80bbb83bd83b8c0df2ed5162e61e9480d9d94ec1
Author: Luca Ferretti <elle.uca@libero.it>
Date:   Wed Mar 5 08:24:37 2008 +0000

    Updated Italian translation.
    
    2008-03-05  Luca Ferretti  <elle.uca@libero.it>
    
    	* it.po: Updated Italian translation.
    
    svn path=/trunk/; revision=1591

 po/ChangeLog |    4 ++++
 po/it.po     |   14 +++++++++++---
 2 files changed, 15 insertions(+), 3 deletions(-)

commit baac708c36a5aaefcd9a2d39b7520076a8e68cbb
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Mon Mar 3 20:50:32 2008 +0000

    Updated Russian translation.
    
    2008-03-03  Alexandre Prokoudine  <alexandre.prokoudine@gmail.com>
    
    	* ru.po: Updated Russian translation.
    
    
    svn path=/trunk/; revision=1588

 po/ChangeLog |    4 +
 po/ru.po     |  236 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 126 insertions(+), 114 deletions(-)

commit 5364c9c626b104ff9cb0bbdbd5fd738566d25d92
Author: Rahul Bhalerao <rahulb@src.gnome.org>
Date:   Mon Mar 3 15:52:43 2008 +0000

    Updated Marathi Translations
    
    svn path=/trunk/; revision=1586

 po/ChangeLog |    4 +
 po/mr.po     |  177 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 92 insertions(+), 89 deletions(-)

commit 9e7b46f2e6737cd7385c97ed017641c54812c9fe
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Sun Mar 2 14:45:22 2008 +0000

    Updated Spanish translation
    
    svn path=/trunk/; revision=1583

 po/ChangeLog |    4 ++++
 po/es.po     |   18 +++++++++---------
 2 files changed, 13 insertions(+), 9 deletions(-)

commit a279d70eb0d4ef3e18793ec7deb5d33866c0d83d
Author: Luca Ferretti <elle.uca@libero.it>
Date:   Wed Feb 27 13:30:36 2008 +0000

    Updated Italian translation.
    
    2008-02-27  Luca Ferretti  <elle.uca@libero.it>
    
    	* it.po: Updated Italian translation.
    
    svn path=/trunk/; revision=1580

 po/ChangeLog |    4 +
 po/it.po     |  198 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 110 insertions(+), 92 deletions(-)

commit ea28a80d1df5a9589d46a35b91e98e38474c2718
Author: Arangel Angov <arangela@src.gnome.org>
Date:   Wed Feb 27 00:18:42 2008 +0000

    Arangel Angov <arangel@linux.net.mk> * mk.po: Updated Macedonian translation
    
    svn path=/trunk/; revision=1579

 po/ChangeLog |    4 ++++
 po/mk.po     |    6 +++---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit fef79fdac846e90090f2c4c64be53686809c1324
Author: Changwoo Ryu <cwryu@src.gnome.org>
Date:   Tue Feb 26 09:48:23 2008 +0000

    Updated Korean translation
    
    svn path=/trunk/; revision=1576

 po/ChangeLog |    4 +
 po/ko.po     |  242 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 129 insertions(+), 117 deletions(-)

commit 122f705985bb578dcb2cfedd2e77c22d688ea113
Author: Yang Zhang <zyang@src.gnome.org>
Date:   Mon Feb 25 06:54:35 2008 +0000

    Updated zh_CN translation from gnome-2-22
    
    svn path=/trunk/; revision=1574

 po/zh_CN.po |  411 ++++++++++++++++++++++++++++-------------------------------
 1 files changed, 194 insertions(+), 217 deletions(-)

commit 8363ef7ec38cc82dee91b426fc59dd3ec823a13c
Author: Arangel Angov <arangela@src.gnome.org>
Date:   Sat Feb 23 18:41:06 2008 +0000

    Arangel Angov <arangel@linux.net.mk> * mk.po: Updated Macedonian translation
    
    svn path=/trunk/; revision=1572

 po/ChangeLog |    4 +
 po/mk.po     |  206 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 111 insertions(+), 99 deletions(-)

commit 19d47f9a79f2753834e0d909d4983e2ab6d2ab17
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Feb 22 15:46:40 2008 +0000

    Updated French translation (sync with gnome-2-22).
    
    2008-02-22  Claude Paroz  <claude@2xlibre.net>
    
    	* fr.po: Updated French translation (sync with gnome-2-22).
    
    svn path=/trunk/; revision=1571

 po/ChangeLog |    4 +
 po/fr.po     |  232 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 124 insertions(+), 112 deletions(-)

commit 344d847bccfa5483aa990fc37e755a7c5e1a59e4
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:   Tue Feb 19 21:46:10 2008 +0000

    Updated Occitan translation
    
    svn path=/trunk/; revision=1568

 po/oc.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cce7c3cd2b664111ad72ff4198391fc9f254277e
Author: Wouter Bolsterlee <wbolster@svn.gnome.org>
Date:   Sun Feb 17 21:58:58 2008 +0000

    Dutch translation updated by Wouter Bolsterlee.
    
    2008-02-17  Wouter Bolsterlee  <wbolster@svn.gnome.org>
    
    	* nl.po: Dutch translation updated by Wouter Bolsterlee.
    
    svn path=/trunk/; revision=1567

 po/nl.po |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d300cb672b1890996b00c81f43d33f699db2f143
Author: Wouter Bolsterlee <wbolster@svn.gnome.org>
Date:   Sun Feb 17 21:22:14 2008 +0000

    Dutch translation updated by Wouter Bolsterlee.
    
    2008-02-17  Wouter Bolsterlee  <wbolster@svn.gnome.org>
    
    	* nl.po: Dutch translation updated by Wouter Bolsterlee.
    
    svn path=/trunk/; revision=1565

 po/ChangeLog |   34 +++++----
 po/nl.po     |  251 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 150 insertions(+), 135 deletions(-)

commit 502a5d60dc993a1cb96600f7faec24d691e11b7d
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Feb 17 02:20:22 2008 +0000

    Updated Vietnamese translation
    
    2008-02-17  Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
    
    	* vi.po: Updated Vietnamese translation
    
    
    svn path=/trunk/; revision=1563

 po/ChangeLog |    4 ++++
 po/vi.po     |    8 ++++----
 2 files changed, 8 insertions(+), 4 deletions(-)

commit a37b43189b27a31200ea5bb45fa5c64bd113823b
Author: Gil Forcada Codinachs <gforcada@src.gnome.org>
Date:   Fri Feb 15 23:15:14 2008 +0000

    Updated Catalan translation
    
    svn path=/trunk/; revision=1561

 po/ChangeLog |    4 +
 po/ca.po     |  230 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 123 insertions(+), 111 deletions(-)

commit 77ebda5af26285893715a66fee47108f28703695
Author: Pawan Chitrakar <pachimho@src.gnome.org>
Date:   Thu Feb 14 09:08:49 2008 +0000

    Updated Nepali Translation
    
    svn path=/trunk/; revision=1560

 po/ChangeLog |    4 +
 po/ne.po     |  728 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 403 insertions(+), 329 deletions(-)

commit 08dba351adbe6e067e0f524911e867a5f8f332a5
Author: Ilkka Tuohela <ituohela@src.gnome.org>
Date:   Thu Feb 14 04:17:45 2008 +0000

    Updated Finnish translation
    
    svn path=/trunk/; revision=1558

 po/ChangeLog |    4 ++++
 po/fi.po     |   14 +++++++-------
 2 files changed, 11 insertions(+), 7 deletions(-)

commit 6215a9702180da6dfdfb56f0c9474366e9f2dc79
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Wed Feb 13 13:12:24 2008 +0000

    Updated Traditional Chinese translation(Hong Kong). Updated Traditional
    
    2008-02-13  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>
    
            * zh_HK.po: Updated Traditional Chinese translation(Hong Kong).
            * zh_TW.po: Updated Traditional Chinese translation(Taiwan).
    
    
    
    svn path=/trunk/; revision=1557

 po/ChangeLog |    5 +
 po/zh_HK.po  |  313 ++++++++++++++++++++++++++++------------------------------
 po/zh_TW.po  |  236 +++++++++++++++++++++++---------------------
 3 files changed, 280 insertions(+), 274 deletions(-)

commit 59235a50b1664bd6d08d490344b000d9aa9d4c7a
Author: Ilkka Tuohela <ituohela@src.gnome.org>
Date:   Wed Feb 13 09:44:26 2008 +0000

    Updated Finnish translation
    
    svn path=/trunk/; revision=1556

 po/ChangeLog |    4 +
 po/fi.po     |  224 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 120 insertions(+), 108 deletions(-)

commit c819fcb0ee25b954e7ea74bad14648b3cbf4f5ca
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:   Sun Feb 10 14:26:32 2008 +0000

    Updated Japanese translation.
    
    2008-02-10  Takeshi AIHANA <takeshi.aihana@gmail.com>
    
            * ja.po: Updated Japanese translation.
    
    svn path=/trunk/; revision=1553

 po/ChangeLog |    4 +
 po/ja.po     |  268 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 141 insertions(+), 131 deletions(-)

commit de62d67a9469baa687fc16cfdd3068b8c11dd242
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Feb 9 23:43:18 2008 +0000

    Updated Portuguese translation.
    
    2008-02-09  Duarte Loreto <happyguy_pt@hotmail.com>
    
    	* pt.po: Updated Portuguese translation.
    
    svn path=/trunk/; revision=1551

 po/ChangeLog |    4 +
 po/pt.po     |  234 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 125 insertions(+), 113 deletions(-)

commit d4dcb1762b11de318680de960ad2541988d50081
Author: Ignacio Casal Quinteiro <icq@src.gnome.org>
Date:   Fri Feb 8 20:56:53 2008 +0000

    Updated Galician Translation.
    
    svn path=/trunk/; revision=1549

 po/ChangeLog |    4 ++++
 po/gl.po     |    3 +--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit fe1055cea1b33f7c28414f319d2ce233cf908266
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:   Mon Feb 4 12:32:45 2008 +0000

    Updated Occitan translation
    
    svn path=/trunk/; revision=1545

 po/oc.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit f41573afa3f13468e3d0b25607d3ebb2ec40d45c
Author: Leonardo Ferreira Fontenelle <leonardof@svn.gnome.org>
Date:   Sat Feb 2 20:14:34 2008 +0000

    Updated Brazilian Portuguese translation.
    
    2008-02-02  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>
    
    	* pt_BR.po: Updated Brazilian Portuguese translation.
    
    svn path=/trunk/; revision=1544

 po/ChangeLog |    4 +
 po/pt_BR.po  |  224 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 120 insertions(+), 108 deletions(-)

commit b71aaf52325c545421c195082986e6fc582d283e
Author: Priit Laes <plaes at svn dot gnome dot org>
Date:   Fri Feb 1 09:01:08 2008 +0000

    Translation updated by Ivar Smolin
    
    2008-02-01  Priit Laes  <plaes at svn dot gnome dot org>
    
    	* et.po: Translation updated by Ivar Smolin
    
    svn path=/trunk/; revision=1543

 po/ChangeLog |    4 +
 po/et.po     |  178 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 93 insertions(+), 89 deletions(-)

commit d38c9cd3e8c3ad0ee763a725714b0c57270a6035
Author: Djihed Afifi <djihed@src.gnome.org>
Date:   Thu Jan 31 08:21:30 2008 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    svn path=/trunk/; revision=1542

 po/ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 2b4bcd72f6911abfa1a763270fb85408b3a786d8
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jan 29 21:53:51 2008 +0000

    Merge from 2-22 branch.
    
    2008-01-29  Christian Persch  <chpe@gnome.org>
    
    	* gucharmap.pc.in:
    	* gucharmap/gucharmap-chapters.c: (gucharmap_chapters_constructor):
    	Merge from 2-22 branch.
    
    svn path=/trunk/; revision=1538

 ChangeLog                      |    6 ++++++
 configure.ac                   |    2 +-
 gucharmap.pc.in                |    3 ++-
 gucharmap/gucharmap-chapters.c |    2 ++
 4 files changed, 11 insertions(+), 2 deletions(-)

commit a8656b72e1ce5d5e86cbc208a6dddf82699f76d0
Author: Ignacio Casal Quinteiro <icq@src.gnome.org>
Date:   Tue Jan 22 23:31:12 2008 +0000

    Updated Galician Translation.
    
    svn path=/trunk/; revision=1535

 po/ChangeLog |    4 +
 po/gl.po     |  286 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 155 insertions(+), 135 deletions(-)

commit 84b2a0d29b500f7912a3981ca3a0e84cee9cc5eb
Author: Rahul Bhalerao <rahulb@src.gnome.org>
Date:   Wed Jan 16 14:38:21 2008 +0000

    Updated Marathi translations
    
    svn path=/trunk/; revision=1533

 po/ChangeLog |    4 +
 po/mr.po     |  201 ++++++++++++++++++++++++++-------------------------------
 2 files changed, 96 insertions(+), 109 deletions(-)

commit 78b489945018d2a434104c07653bfde3100dba7f
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jan 15 18:34:27 2008 +0000

    Use icon name without png extension.
    
    2008-01-15  Christian Persch  <chpe@gnome.org>
    
    	* gucharmap.desktop.in: Use icon name without png extension.
    
    svn path=/trunk/; revision=1532

 gucharmap.desktop.in.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8f8d375706f9647ee05ca5074702f9975b8186ff
Author: Gintautas Miliauskas <gintas@akl.lt>
Date:   Mon Jan 14 15:37:51 2008 +0000

    Updated Lithuanian translation.
    
    2008-01-14  Gintautas Miliauskas  <gintas@akl.lt>
    
    	* lt.po: Updated Lithuanian translation.
    
    
    svn path=/trunk/; revision=1526

 po/ChangeLog |    4 +
 po/lt.po     |  240 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 128 insertions(+), 116 deletions(-)

commit 26cb17472ef8b29996e59295ea426789ecf52c50
Author: Inaki Larranaga Murgoitio <dooteo@euskalgnu.org>
Date:   Mon Jan 14 15:29:02 2008 +0000

    Updated Basque translation.
    
    2008-01-14  Inaki Larranaga Murgoitio  <dooteo@euskalgnu.org>
    
    	* eu.po: Updated Basque translation.
    
    
    svn path=/trunk/; revision=1525

 po/ChangeLog |   13 ++-
 po/eu.po     |  309 +++++++++++++++++++++++++++++----------------------------
 2 files changed, 166 insertions(+), 156 deletions(-)

commit b117e287e94c941a78e0a986575ad3f9d453297c
Author: Djihed Afifi <djihed@src.gnome.org>
Date:   Sat Jan 12 01:06:53 2008 +0000

    Updated Arabic Translation by Khaled Hosny. . Also QA'ed by Khaled.
    
    svn path=/trunk/; revision=1521

 po/ChangeLog |    4 +
 po/ar.po     |  244 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 127 insertions(+), 121 deletions(-)

commit bbb28f27261c69ab0d58feec825615abc6cae632
Author: Changwoo Ryu <cwryu@src.gnome.org>
Date:   Tue Jan 8 07:26:38 2008 +0000

    Added screenshot.
    
    svn path=/trunk/; revision=1518

 help/ChangeLog                       |   14 ++++++++++----
 help/ko/figures/gucharmap_window.png |  Bin 0 -> 42566 bytes
 help/ko/ko.po                        |    8 ++++----
 3 files changed, 14 insertions(+), 8 deletions(-)

commit 7bd68354185e4b43a08b61b24e062234fcc0f7d1
Author: Yair Hershkovitz <yairhr@src.gnome.org>
Date:   Sun Jan 6 16:09:17 2008 +0000

    added hebrew translation
    
    svn path=/trunk/; revision=1515

 po/ChangeLog |    4 +
 po/LINGUAS   |    1 +
 po/he.po     | 1209 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 1214 insertions(+), 0 deletions(-)

commit a2677097542340c6d280902b9e12e531910524f6
Author: Clytie Siddall <clyties@src.gnome.org>
Date:   Sat Jan 5 10:23:42 2008 +0000

    Updated Vietnamese translation
    
    svn path=/trunk/; revision=1514

 po/ChangeLog |    4 +
 po/vi.po     |  320 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 168 insertions(+), 156 deletions(-)

commit 062fa970b919f32a94e09cb5a0bd0b0512292159
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:   Mon Dec 31 21:07:01 2007 +0000

    Updated Occitan translation
    
    svn path=/trunk/; revision=1513

 help/ChangeLog |    5 +-
 help/oc/oc.po  |    8 +-
 po/ChangeLog   |    5 +-
 po/oc.po       |  229 ++++++++++++++++++++++++++++---------------------------
 4 files changed, 129 insertions(+), 118 deletions(-)

commit 0e6ad849f5b66e1e3c4d20820dbd36b9e9487075
Author: Rahul Bhalerao <rahulb@src.gnome.org>
Date:   Fri Dec 28 11:44:18 2007 +0000

    Updated Marathi Translations
    
    svn path=/trunk/; revision=1512

 po/ChangeLog |    4 +
 po/mr.po     |  784 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 414 insertions(+), 374 deletions(-)

commit dda34c58cfdbed73c46ef37976dcba836c0029d6
Author: Seán de Búrca <sdeburca@svn.gnome.org>
Date:   Fri Dec 28 07:34:56 2007 +0000

    Updated Irish translation. Updated .desktop location.
    
    2007-12-28  Seán de Búrca  <sdeburca@svn.gnome.org>
    
        * ga.po: Updated Irish translation.
        * POTFILES.in: Updated .desktop location.
    
    svn path=/trunk/; revision=1511

 po/ChangeLog   |    5 +++++
 po/POTFILES.in |    2 +-
 po/ga.po       |   16 ++++++++--------
 3 files changed, 14 insertions(+), 9 deletions(-)

commit ec148110f7b9866b5d131859bc64c0955c6e26e7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 26 13:25:17 2007 +0000

    Add the gucharmap version to the desktop file.
    Clean up EXTRA_DISTS in the toplevel Makefile.am; there's no need to dist
    anything that's already disted as a dependency of AC_CONFIG_FILES.
    
    svn path=/trunk/; revision=1510

 ChangeLog               |    6 ++++++
 Makefile.am             |   25 +++++++++++++++----------
 configure.ac            |    1 +
 gucharmap.desktop.in    |   13 -------------
 gucharmap.desktop.in.in |   14 ++++++++++++++
 5 files changed, 36 insertions(+), 23 deletions(-)

commit 0664b5c84f92238c1f3381d52c924f963259300b
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Dec 25 08:53:35 2007 +0000

    Check for NULL before unref'ing.
    
    2007-12-25  Christian Persch  <chpe@gnome.org>
    
    	* gucharmap/gucharmap-table.c:
    	(gucharmap_table_set_codepoint_list): Check for NULL before unref'ing.
    
    svn path=/trunk/; revision=1509

 ChangeLog                   |    5 +++++
 gucharmap/gucharmap-table.c |    3 ++-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 2797565b9196f03a2bb5f0ead6325bb60b62a452
Author: Djihed Afifi <djihed@src.gnome.org>
Date:   Sun Dec 23 12:00:31 2007 +0000

    Updated Arabic Translation by Djihed Afifi.
    
    svn path=/trunk/; revision=1508

 po/ChangeLog |    4 +
 po/ar.po     |  245 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 130 insertions(+), 119 deletions(-)

commit dcd80ba3ea6058901ab2898ee992f4147ba2f364
Author: Seán de Búrca <sdeburca@svn.gnome.org>
Date:   Thu Dec 20 19:18:32 2007 +0000

    Updated Irish translation.
    
    2007-12-20  Seán de Búrca  <sdeburca@svn.gnome.org>
    
        * ga.po: Updated Irish translation.
    
    svn path=/trunk/; revision=1507

 po/ChangeLog |    4 +
 po/ga.po     | 1170 +++++++++++++++++++++++++++++++++++-----------------------
 2 files changed, 704 insertions(+), 470 deletions(-)

commit a52f50915790722fbf05a831b8303fc0bf7e5d25
Author: Matej Urbančič <mateju@src.gnome.org>
Date:   Thu Dec 20 13:17:40 2007 +0000

    Updated Slovenian translation
    
    svn path=/trunk/; revision=1506

 po/sl.po |   24 +++++++++++++++++++-----
 1 files changed, 19 insertions(+), 5 deletions(-)

commit 0ef686a2c88ff7dc2a3f71a4d0dedab392ac3d1b
Author: Kostas Papadimas <pkst@src.gnome.org>
Date:   Thu Dec 20 11:27:25 2007 +0000

    Updated Greek translation
    
    svn path=/trunk/; revision=1505

 po/ChangeLog |    4 +
 po/el.po     |  242 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 129 insertions(+), 117 deletions(-)

commit d7243f420f73888e64f4a2ee8ac422bfdcd17835
Author: Priit Laes <plaes@svn.gnome.org>
Date:   Tue Dec 18 09:30:05 2007 +0000

    Translation updated by Ivar Smolin.
    
    2007-12-18  Priit Laes  <plaes@svn.gnome.org>
    
    	* et.po: Translation updated by Ivar Smolin.
    
    svn path=/trunk/; revision=1504

 po/ChangeLog |    4 +
 po/et.po     |  234 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 125 insertions(+), 113 deletions(-)

commit 7ae0ba9039f3c6ac2989dd397aad2f3948b5a0f3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Dec 17 18:42:03 2007 +0000

    Post release version bump
    
    svn path=/trunk/; revision=1502

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fc0aca8e84930a736bd019700652f51b7c69b9cf
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Dec 17 18:41:28 2007 +0000

    === Release 2.21.4 ===
    
    2007-12-17  Christian Persch  <chpe@gnome.org>
    
    	=== Release 2.21.4 ===
    
    svn path=/trunk/; revision=1500

 ChangeLog |    4 ++++
 NEWS      |    9 +++++++++
 2 files changed, 13 insertions(+), 0 deletions(-)

commit 732bf0d7b979005f4870a2a47ce89d9630556191
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Sun Dec 16 14:47:06 2007 +0000

    sv.po: Swedish translation updated
    
    svn path=/trunk/; revision=1499

 po/ChangeLog |    4 +
 po/sv.po     |  228 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 122 insertions(+), 110 deletions(-)

commit e8f62c319ab1237129f47bb001c04d1f6db88d93
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Sat Dec 15 20:58:31 2007 +0000

    Updated Spanish translation
    
    svn path=/trunk/; revision=1498

 po/ChangeLog |    4 ++++
 po/es.po     |   31 ++++++++++++++++++++++---------
 2 files changed, 26 insertions(+), 9 deletions(-)

commit 930332c0a51c59ada5a441be4f78a8c007542b34
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Dec 15 11:34:40 2007 +0000

    Add missing files. Updated Norwegian bokmål translation.
    
    2007-12-15  Kjartan Maraas  <kmaraas@gnome.org>
    
    	* POTFILES.in: Add missing files.
    	* nb.po: Updated Norwegian bokmål translation.
    
    svn path=/trunk/; revision=1497

 po/ChangeLog   |    5 ++
 po/POTFILES.in |    2 +
 po/nb.po       |  167 +++++++++++++++++++++++++++----------------------------
 3 files changed, 89 insertions(+), 85 deletions(-)

commit b5b6bfe2f0cdd8fe2742d911176721307303c304
Author: Matej Urbančič <mateju@src.gnome.org>
Date:   Thu Dec 13 16:09:56 2007 +0000

    Updated Slovenian translation
    
    svn path=/trunk/; revision=1496

 po/sl.po |  158 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 72 insertions(+), 86 deletions(-)

commit da266020edb57bfcfc947f42de5aaf1eb18c9520
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Thu Dec 13 14:03:04 2007 +0000

    Updated Spanish translation
    
    svn path=/trunk/; revision=1495

 po/ChangeLog |    4 ++
 po/es.po     |  159 ++++++++++++++++++++++++++-------------------------------
 2 files changed, 77 insertions(+), 86 deletions(-)

commit 8b6b17a65d8720eafc49365f1ed2620dc3db6e82
Author: Behdad Esfahbod <behdad@gnome.org>
Date:   Thu Dec 13 07:37:58 2007 +0000

    Remove Noah, add chpe.
    
    2007-12-13  Behdad Esfahbod  <behdad@gnome.org>
    
            * MAINTAINERS: Remove Noah, add chpe.
    
    
    svn path=/trunk/; revision=1494

 ChangeLog   |    4 ++++
 MAINTAINERS |    8 ++++----
 2 files changed, 8 insertions(+), 4 deletions(-)

commit f89972a12410d503dc31f99f9f6ad1a914418d6b
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Dec 12 19:33:26 2007 +0000

    Update FSF address. Bug #407323.
    
    2007-12-12  Christian Persch  <chpe@gnome.org>
    
    	* *: Update FSF address. Bug #407323.
    
    svn path=/trunk/; revision=1493

 COPYING                                         |    4 ++--
 COPYING.LIB                                     |    4 ++--
 ChangeLog                                       |    4 ++++
 Makefile.am                                     |    2 +-
 configure.ac                                    |    2 +-
 gucharmap.nsi.in                                |    4 ++--
 gucharmap/Makefile.am                           |    2 +-
 gucharmap/gucharmap-block-chapters-model.c      |    2 +-
 gucharmap/gucharmap-block-chapters-model.h      |    2 +-
 gucharmap/gucharmap-block-chapters.c            |    2 +-
 gucharmap/gucharmap-block-chapters.h            |    2 +-
 gucharmap/gucharmap-chapters-model.c            |    2 +-
 gucharmap/gucharmap-chapters-model.h            |    2 +-
 gucharmap/gucharmap-chapters-view.c             |    2 +-
 gucharmap/gucharmap-chapters-view.h             |    2 +-
 gucharmap/gucharmap-chapters.c                  |    2 +-
 gucharmap/gucharmap-chapters.h                  |    2 +-
 gucharmap/gucharmap-charmap.c                   |    2 +-
 gucharmap/gucharmap-charmap.h                   |    2 +-
 gucharmap/gucharmap-chartable-accessible.c      |    4 ++--
 gucharmap/gucharmap-chartable-accessible.h      |    4 ++--
 gucharmap/gucharmap-chartable-cell-accessible.c |    4 ++--
 gucharmap/gucharmap-chartable-cell-accessible.h |    4 ++--
 gucharmap/gucharmap-chartable-private.h         |    2 +-
 gucharmap/gucharmap-chartable.c                 |    2 +-
 gucharmap/gucharmap-chartable.h                 |    2 +-
 gucharmap/gucharmap-codepoint-list.c            |    2 +-
 gucharmap/gucharmap-codepoint-list.h            |    2 +-
 gucharmap/gucharmap-mini-fontsel.c              |    2 +-
 gucharmap/gucharmap-mini-fontsel.h              |    2 +-
 gucharmap/gucharmap-script-chapters-model.c     |    2 +-
 gucharmap/gucharmap-script-chapters-model.h     |    2 +-
 gucharmap/gucharmap-script-chapters.c           |    2 +-
 gucharmap/gucharmap-script-chapters.h           |    2 +-
 gucharmap/gucharmap-script-codepoint-list.c     |    2 +-
 gucharmap/gucharmap-script-codepoint-list.h     |    2 +-
 gucharmap/gucharmap-search-dialog.c             |    2 +-
 gucharmap/gucharmap-search-dialog.h             |    2 +-
 gucharmap/gucharmap-settings.c                  |    2 +-
 gucharmap/gucharmap-settings.h                  |    2 +-
 gucharmap/gucharmap-table.c                     |    2 +-
 gucharmap/gucharmap-table.h                     |    2 +-
 gucharmap/gucharmap-unicode-info.c              |    2 +-
 gucharmap/gucharmap-unicode-info.h              |    2 +-
 gucharmap/gucharmap-window.c                    |    4 ++--
 gucharmap/gucharmap-window.h                    |    2 +-
 gucharmap/gucharmap.h                           |    2 +-
 gucharmap/main.c                                |    2 +-
 pixmaps/Makefile.am                             |    2 +-
 49 files changed, 60 insertions(+), 56 deletions(-)

commit 3f3b170f0eee36fd7de8be2abe69b5307019894b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:16:28 2007 +0000

    Make snap-pow2 a gobject property.
    
    svn path=/trunk/; revision=1492

 gucharmap/gucharmap-chartable.c |   21 ++++++++++++++++++++-
 1 files changed, 20 insertions(+), 1 deletions(-)

commit 4c24be7fab40dade4be515f1dd486bcf9b1ff3f0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:16:21 2007 +0000

    Add a bit of ChangeLog for the previous dcommits.
    
    svn path=/trunk/; revision=1491

 ChangeLog |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 7962179dd58f6695cfe9c0dc8aecc8682466b690
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:16:13 2007 +0000

    Ensure the page_first_cell is never < 0.
    
    svn path=/trunk/; revision=1490

 gucharmap/gucharmap-chartable.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit c96d5706c3f89cc8404cabf417fd05a23c2cb27c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:16:05 2007 +0000

    Remove unused vars.
    
    svn path=/trunk/; revision=1489

 gucharmap/gucharmap-chartable.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 17641f3597a5cf27b68c8cf2481dd5f8fe8585de
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:15:58 2007 +0000

    Document table geometry.
    
    svn path=/trunk/; revision=1488

 gucharmap/gucharmap-chartable.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 04c7d5689cb3a6470c680c329ba690871b212ec7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:15:51 2007 +0000

    Compute the number of padded rows/columns on size-allocate.
    
    svn path=/trunk/; revision=1487

 gucharmap/gucharmap-chartable-private.h |    2 ++
 gucharmap/gucharmap-chartable.c         |   15 +++++----------
 2 files changed, 7 insertions(+), 10 deletions(-)

commit 0d210425770171a23675887bfce144f9a83dbc23
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:15:43 2007 +0000

    Compute the minimum row height and column width on size-allocate.
    
    svn path=/trunk/; revision=1486

 gucharmap/gucharmap-chartable-private.h |   10 ++++---
 gucharmap/gucharmap-chartable.c         |   41 +++++++++----------------------
 2 files changed, 18 insertions(+), 33 deletions(-)

commit a2f36a7415f653ea0e2f4a9587f220a8be65f1d1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:15:24 2007 +0000

    Remove unneeded prototype.
    
    svn path=/trunk/; revision=1485

 gucharmap/gucharmap-chartable.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 793bad71ccb671e02682df3f911c70d8cc5c167a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:15:16 2007 +0000

    Code reformatting for better readability.
    
    svn path=/trunk/; revision=1484

 gucharmap/gucharmap-chartable.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 920697e98011ffbb0dc3b94a61ecd09d3966e38e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:15:08 2007 +0000

    No need to cast to int, these are already ints.
    
    svn path=/trunk/; revision=1483

 gucharmap/gucharmap-chartable.c |   13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

commit 717f2076f0c71d776a622aa18ad23f18885b3e3a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:15:01 2007 +0000

    Add some comments.
    
    svn path=/trunk/; revision=1482

 gucharmap/gucharmap-chartable-private.h |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 686de8f15495c24041ac1841d6482ffaa6b963d5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:14:54 2007 +0000

    Rename function.
    
    svn path=/trunk/; revision=1481

 gucharmap/gucharmap-chartable.c |   22 ++++++++++++----------
 1 files changed, 12 insertions(+), 10 deletions(-)

commit 73843a89b452f10e64fafbecd23f589ca6b4361d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:14:46 2007 +0000

    Store rows * cols as page_size.
    
    svn path=/trunk/; revision=1480

 gucharmap/gucharmap-chartable-private.h |    4 +++-
 gucharmap/gucharmap-chartable.c         |    8 +++++---
 2 files changed, 8 insertions(+), 4 deletions(-)

commit e9b97dbac2ef3a2c0de2730a2b7aef006540de55
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:14:35 2007 +0000

    Make the codepoint list a gobject property, and make gucharmap_chartable_set_codepoint_list
    not adopt the refcount but add its own.
    
    svn path=/trunk/; revision=1479

 gucharmap/gucharmap-chartable.c |   50 ++++++++++++++++++++++++++++-----------
 gucharmap/gucharmap-chartable.h |    1 +
 gucharmap/gucharmap-table.c     |    1 +
 3 files changed, 38 insertions(+), 14 deletions(-)

commit aeb469b8390428c79bed6c91def2cc91b4f71e5e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:14:27 2007 +0000

    Shorten signal slot name.
    
    svn path=/trunk/; revision=1478

 gucharmap/gucharmap-chartable-private.h |    2 +-
 gucharmap/gucharmap-chartable.c         |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit f6800b96c3f4cfaa09d1b8457bf1866c33447046
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:14:20 2007 +0000

    Remove useless asserts. The conditions cannot be false because of how these functions
    are called.
    
    svn path=/trunk/; revision=1477

 gucharmap/gucharmap-chartable-accessible.c      |    8 --------
 gucharmap/gucharmap-chartable-cell-accessible.c |   17 +++--------------
 2 files changed, 3 insertions(+), 22 deletions(-)

commit ff79328d4bd2e2797cf521a627d9e76166ddcbe9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:14:12 2007 +0000

    Clarify comment about not using g_param_spec_unichar on purpose.
    
    svn path=/trunk/; revision=1476

 gucharmap/gucharmap-chartable.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 1cc35579fb5a1394c809077d06a9a5d97b88cf04
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:13:59 2007 +0000

    Extra parens.
    
    svn path=/trunk/; revision=1475

 gucharmap/gucharmap-chartable.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 45e60bd2a13e014b35626b8b99ecc9c0393447ef
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:13:49 2007 +0000

    Set the drawing pixmap to NULL on realize.
    
    svn path=/trunk/; revision=1474

 gucharmap/gucharmap-chartable.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit e56f0bf1812c60b46fbdb5e3667374c133554d78
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:13:41 2007 +0000

    Add debug menu item to move the window to the next screen (#if 0'd).
    
    svn path=/trunk/; revision=1473

 gucharmap/gucharmap-window.c |   34 +++++++++++++++++++++++++++++++++-
 1 files changed, 33 insertions(+), 1 deletions(-)

commit 2fa317bbbd80d59f18da3becf88d025fa6aa06d3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:13:34 2007 +0000

    Add myself to ©.
    
    svn path=/trunk/; revision=1472

 gucharmap/gucharmap-chartable-accessible.c      |    2 ++
 gucharmap/gucharmap-chartable-accessible.h      |    1 +
 gucharmap/gucharmap-chartable-cell-accessible.c |    1 +
 3 files changed, 4 insertions(+), 0 deletions(-)

commit ee25ad129f4620b995d59f6c0ffe345ebd4bbf71
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:13:27 2007 +0000

    Rewrite the get_type function using ATK_DEFINE_TYPE_WITH_CODE (#if 0'd until
    the patch gets committed to atk).
    
    svn path=/trunk/; revision=1471

 gucharmap/gucharmap-chartable-accessible.c |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)

commit 6c955756cbd59ee83779c2a193dd412e9ae7893d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:13:20 2007 +0000

    Can't put the data in the GucharmapChartableAccessible struct, because the size of the
    parent instance is unknown at compile time. Use gobject instance private data
    instead.
    
    svn path=/trunk/; revision=1470

 gucharmap/gucharmap-chartable-accessible.c |  123 ++++++++++++++++------------
 gucharmap/gucharmap-chartable-accessible.h |   14 ---
 2 files changed, 70 insertions(+), 67 deletions(-)

commit d3c0772dfa5af184222581cf9ca52052b7b3691d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:13:13 2007 +0000

    Fix about dialogue to use "program-name" property.
    
    svn path=/trunk/; revision=1469

 gucharmap/gucharmap-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7cc66239bc3b6724bcca8b1102f3ee30fcd9a1e3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:13:02 2007 +0000

    g_free is NULL-safe.
    
    svn path=/trunk/; revision=1468

 gucharmap/gucharmap-chartable-cell-accessible.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 8a6942139c067033559ddc6f327cea91e7a733f5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:12:53 2007 +0000

    Remove explicit redraw, since set_active_character does it already.
    
    svn path=/trunk/; revision=1467

 gucharmap/gucharmap-chartable-cell-accessible.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 872ad17a20f5e44c0ae781967cab4890a8c965d0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:12:45 2007 +0000

    set_active_character already redraws the table, don't do it twice.
    The "activate" signal param was removed, fix it.
    
    svn path=/trunk/; revision=1466

 gucharmap/gucharmap-chartable-cell-accessible.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit e9d8676fe26e8b640b6f3fd0c5b04b6c359eb0b2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:12:33 2007 +0000

    Make some g_return_if_fail into assertions.
    
    svn path=/trunk/; revision=1465

 gucharmap/gucharmap-chartable-cell-accessible.c |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)

commit fb7a30792de58818ed5358e02cfee89b362dcf69
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:12:23 2007 +0000

    The cell accessible stores the index already, so just store the cell accessible
    itself in the cache, and make the cache a GPtrArray.
    
    svn path=/trunk/; revision=1464

 gucharmap/gucharmap-chartable-accessible.c |   64 +++++++++++++--------------
 gucharmap/gucharmap-chartable-accessible.h |    2 +-
 2 files changed, 32 insertions(+), 34 deletions(-)

commit 82167ddadda87073508e0c5d59d83ad438c025ba
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:12:14 2007 +0000

    Store the focus object in the accessible, not as gobject data!
    
    svn path=/trunk/; revision=1463

 gucharmap/gucharmap-chartable-accessible.c |   58 ++++++++++++----------------
 gucharmap/gucharmap-chartable-accessible.h |    1 +
 2 files changed, 26 insertions(+), 33 deletions(-)

commit 9c5c0b896d3693bfdd7cd2b9e40cdc64360453a1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:12:03 2007 +0000

    Use an array for the cell accessibles cache, not a GList!
    
    svn path=/trunk/; revision=1462

 gucharmap/gucharmap-chartable-accessible.c |  228 ++++++++++------------------
 gucharmap/gucharmap-chartable-accessible.h |    2 +-
 2 files changed, 78 insertions(+), 152 deletions(-)

commit 20f754df8f5ad967710110605a0375d4af6b667b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:11:53 2007 +0000

    Store the cell list in the accessible, not as gobject data.
    
    svn path=/trunk/; revision=1461

 gucharmap/gucharmap-chartable-accessible.c |   11 ++++-------
 gucharmap/gucharmap-chartable-accessible.h |    1 +
 2 files changed, 5 insertions(+), 7 deletions(-)

commit 0e2542b501cfa8b1681500253cfc39c89becfcc8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:11:46 2007 +0000

    Set the back pixmap to NULL on realize, not on every expose event.
    
    svn path=/trunk/; revision=1460

 gucharmap/gucharmap-chartable.c |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

commit fc0963aa6f3d4b7a4df9b7ee0e096670203226b3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:11:38 2007 +0000

    Don't crash in expose when we haven't got a codepoint list.
    
    svn path=/trunk/; revision=1459

 gucharmap/gucharmap-chartable.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 4877e41203cbf749b915a8ea8058ed66a9d89ea2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:11:31 2007 +0000

    Fix the .pc file.
    
    svn path=/trunk/; revision=1458

 configure.ac |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 984655399cb95e33aee2b59eacb8f460208ef74e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:11:24 2007 +0000

    Add comment.
    
    svn path=/trunk/; revision=1457

 gucharmap/gucharmap-chartable.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e9898f2e80f23473987e26ed1d737dfaa0e0a896
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:11:16 2007 +0000

    The chartable is the widget itself, not its parent.
    
    svn path=/trunk/; revision=1456

 gucharmap/gucharmap-chartable-accessible.c |   64 +++++++---------------------
 1 files changed, 15 insertions(+), 49 deletions(-)

commit 711a2e0b3427e77a6af2d032d15a320a01d45563
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:11:09 2007 +0000

    Set up the accessible with the adjustments.
    Clean up the accessible on destroy.
    
    svn path=/trunk/; revision=1455

 gucharmap/gucharmap-chartable-accessible.c |  107 ++++++++++++++++++++++++----
 gucharmap/gucharmap-chartable-accessible.h |    2 +
 gucharmap/gucharmap-chartable.c            |    3 -
 3 files changed, 96 insertions(+), 16 deletions(-)

commit 4db881f6b25fd77e106cce3e5601b6e91f8de4b2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:11:02 2007 +0000

    More API compat.
    
    svn path=/trunk/; revision=1454

 gucharmap/gucharmap-table.c |   32 ++++++++++++++++----------------
 gucharmap/gucharmap-table.h |    2 +-
 2 files changed, 17 insertions(+), 17 deletions(-)

commit 5781402ed490c63100f9aaab502febb31b809472
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:10:55 2007 +0000

    Remove GNOMEPKGS.
    
    svn path=/trunk/; revision=1453

 gucharmap.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d1ac96e51842749c62274deccf30400dacda4f1f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:10:48 2007 +0000

    No need to reposition the popup in the expose handler!!!
    
    svn path=/trunk/; revision=1452

 gucharmap/gucharmap-chartable.c |   13 -------------
 1 files changed, 0 insertions(+), 13 deletions(-)

commit 83bfb661509f5da2fe7824bca427aae130490545
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:10:40 2007 +0000

    Comment out the expose event debugging code.
    
    svn path=/trunk/; revision=1451

 gucharmap/gucharmap-chartable.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 443065cc1edc411014756fc34290f873b5f7e142
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:10:33 2007 +0000

    Fix comment.
    
    svn path=/trunk/; revision=1450

 gucharmap/gucharmap-chartable.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3cb5765c0399d47915f908c42e566b8f3c07532f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:10:25 2007 +0000

    Don't always create the accessible; override get_accessible in the widget class instead,
    and register our factory there before chaining up.
    
    svn path=/trunk/; revision=1449

 gucharmap/gucharmap-chartable-accessible.c |    2 +
 gucharmap/gucharmap-chartable.c            |   57 +++++++++++++++++++--------
 gucharmap/gucharmap-intl.h                 |    2 -
 3 files changed, 42 insertions(+), 19 deletions(-)

commit dcf79e601c2d720296ce0d7a8c3ff6d9b01f4c3f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:10:16 2007 +0000

    Update the adjustment after setting it.
    
    svn path=/trunk/; revision=1448

 gucharmap/gucharmap-chartable.c |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

commit c3f9092e1e43c4afb7517f227fe1f3cf47d2383d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:10:08 2007 +0000

    Use G_DEFINE_TYPE.
    
    svn path=/trunk/; revision=1447

 gucharmap/gucharmap-codepoint-list.c        |   31 +++++---------------------
 gucharmap/gucharmap-mini-fontsel.c          |   30 +-------------------------
 gucharmap/gucharmap-script-codepoint-list.c |   28 +-----------------------
 gucharmap/gucharmap-search-dialog.c         |   27 +----------------------
 gucharmap/gucharmap-window.c                |   31 +-------------------------
 5 files changed, 11 insertions(+), 136 deletions(-)

commit 93809d4cab13ba5809b9fb9ef23200b6a41440b6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:09:59 2007 +0000

    Make the zoom popup a GTK_WINDOW_POPUP type window. This goes a long way to fix the
    slow zoom popup updating problem (the exposes themselves are still slow though).
    
    svn path=/trunk/; revision=1446

 gucharmap/gucharmap-chartable.c |   14 +++++---------
 1 files changed, 5 insertions(+), 9 deletions(-)

commit 27ae61bac71e35076869f96acadbb61c999a141b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:09:52 2007 +0000

    Add comment.
    
    svn path=/trunk/; revision=1445

 gucharmap/gucharmap-chartable.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 4a993155f50c42b713c0dcf562bdb38ee5373e47
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:09:44 2007 +0000

    Don't leak the rectangles.
    
    svn path=/trunk/; revision=1444

 gucharmap/gucharmap-chartable.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 3f2c0eddea176de3ea38c1bdc8f08533028faeee
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:09:37 2007 +0000

    Try drawing each region separately instead of copying the whole bounding rectangle
    in the expose handler. Doesn't fix the popup drawing slowness though...
    
    svn path=/trunk/; revision=1443

 gucharmap/gucharmap-chartable.c |   26 +++++++++++++-------------
 1 files changed, 13 insertions(+), 13 deletions(-)

commit b7547d5784e4ef5cb229a8ee527b6752944e9e0c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:09:28 2007 +0000

    Add expose event debug output.
    
    svn path=/trunk/; revision=1442

 gucharmap/gucharmap-chartable.c |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit 911a2d357ef4916f8b2f5a20deb4955579f86000
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:09:20 2007 +0000

    Add FIXME comment.
    
    svn path=/trunk/; revision=1441

 gucharmap/gucharmap-chartable-accessible.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 85d64f9587f22fe065f504237c664f0c510dd3ca
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:09:12 2007 +0000

    Fix accessible type implementations.
    
    svn path=/trunk/; revision=1440

 gucharmap/gucharmap-chartable-accessible.c      |  135 +++++++--------
 gucharmap/gucharmap-chartable-accessible.h      |    4 +-
 gucharmap/gucharmap-chartable-cell-accessible.c |  213 +++++++++--------------
 gucharmap/gucharmap-chartable-cell-accessible.h |    8 +-
 gucharmap/gucharmap-chartable.c                 |  118 +++++--------
 5 files changed, 201 insertions(+), 277 deletions(-)

commit 73d808936c0b0a0da76a4bc0b1edf666a9a75707
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:09:03 2007 +0000

    Fix the build of the atk object.
    
    svn path=/trunk/; revision=1439

 gucharmap/Makefile.am                           |   89 ++--
 gucharmap/charcell_accessible.c                 |  432 -------------
 gucharmap/charcell_accessible.h                 |   80 ---
 gucharmap/chartable_accessible.c                |  776 -----------------------
 gucharmap/chartable_accessible.h                |   62 --
 gucharmap/gucharmap-charmap.c                   |    2 -
 gucharmap/gucharmap-charmap.h                   |    1 -
 gucharmap/gucharmap-chartable-accessible.c      |  773 ++++++++++++++++++++++
 gucharmap/gucharmap-chartable-accessible.h      |   52 ++
 gucharmap/gucharmap-chartable-cell-accessible.c |  430 +++++++++++++
 gucharmap/gucharmap-chartable-cell-accessible.h |   71 ++
 gucharmap/gucharmap-chartable-private.h         |   60 ++
 gucharmap/gucharmap-chartable.c                 |   71 +--
 gucharmap/gucharmap-chartable.h                 |    1 -
 gucharmap/gucharmap-table.h                     |    1 -
 gucharmap/gucharmap-window.c                    |    1 -
 16 files changed, 1436 insertions(+), 1466 deletions(-)

commit 24d24a017b5f48eb0c0815488528a8661a17666d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:08:55 2007 +0000

    Move code around.
    
    svn path=/trunk/; revision=1438

 gucharmap/gucharmap-chartable.c |  172 ++++++++++++++++++++-------------------
 1 files changed, 87 insertions(+), 85 deletions(-)

commit 78b7a3c391983b86d1bcd06b3557c3a2f5851b0c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:08:48 2007 +0000

    Add API docs.
    
    svn path=/trunk/; revision=1437

 gucharmap/gucharmap-chartable.c |   61 ++++++++++++++++++++++++++++++++++++--
 1 files changed, 57 insertions(+), 4 deletions(-)

commit ee704f6b5f0cf8d53911aa69f73b167f2d512d4d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:08:41 2007 +0000

    Make the active char an object property, and remove the set-active-char signal.
    
    svn path=/trunk/; revision=1436

 gucharmap/gucharmap-chartable.c |   74 +++++++++++++++++++++++++++++++-------
 gucharmap/gucharmap-table.c     |    9 +++--
 2 files changed, 65 insertions(+), 18 deletions(-)

commit b347e0e838d59196ed455553074fe216aa79b244
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:08:33 2007 +0000

    Remove comment about drag-begin; we connect to it so we can override the drag icon.
    
    svn path=/trunk/; revision=1435

 gucharmap/gucharmap-chartable.c |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit cd262c82e9acc7cdf555ee40fa7a0c461ca396d9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:08:25 2007 +0000

    Remove commented code.
    
    svn path=/trunk/; revision=1434

 gucharmap/gucharmap-chartable.c |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit afd328be419bdaabfda0077ec9e8967b41a07e93
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:08:18 2007 +0000

    Remove font_name.
    
    svn path=/trunk/; revision=1433

 gucharmap/gucharmap-chartable.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit ea39a22194270fd5c6d417c6c9f8d7336fb4512a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:08:11 2007 +0000

    Code formatting.
    
    svn path=/trunk/; revision=1432

 gucharmap/gucharmap-chartable.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit d7a183ce2556e6fae0025b0bd054fb6e6425043b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:08:03 2007 +0000

    Use a bitfield.
    
    svn path=/trunk/; revision=1431

 gucharmap/gucharmap-chartable.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1487f20fc77eaab40a908f30396706a8c0c52aa5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:07:55 2007 +0000

    Rename function.
    
    svn path=/trunk/; revision=1430

 gucharmap/gucharmap-chartable.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit 68dd8bb47dd4b95e7ac497cc9bf304d05b2fd773
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:07:48 2007 +0000

    Compute drag font size when setting the font desc.
    
    svn path=/trunk/; revision=1429

 gucharmap/gucharmap-chartable.c |   16 +++++-----------
 1 files changed, 5 insertions(+), 11 deletions(-)

commit 204bcb7cb570a852ebe598833c7186f475ae91d7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:07:39 2007 +0000

    Unify set_zoom_enabled/disabled.
    
    svn path=/trunk/; revision=1428

 gucharmap/gucharmap-chartable.c |   46 +++++++++++++++++++++++++-------------
 gucharmap/gucharmap-chartable.h |    4 +-
 gucharmap/gucharmap-table.c     |    4 +-
 3 files changed, 34 insertions(+), 20 deletions(-)

commit df8ad714fd31d3e527aaed8af9e30d30c6ddbabf
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:07:31 2007 +0000

    Add doc.
    
    svn path=/trunk/; revision=1427

 gucharmap/gucharmap-chartable.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit cfb4e0bd7f6828d6fac22f5734946a22ca86c669
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:07:24 2007 +0000

    Remove comment.
    
    svn path=/trunk/; revision=1426

 gucharmap/gucharmap-chartable.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit e75a629dea5e8e6ec12bd15fb9a608fa7da019b3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:07:16 2007 +0000

    Move drag-data-get/received and drag-begin handlers to class closures.
    
    svn path=/trunk/; revision=1425

 gucharmap/gucharmap-chartable.c |  192 +++++++++++++++++++-------------------
 1 files changed, 96 insertions(+), 96 deletions(-)

commit e66e92b79e9c2e6a6490ba7bc0a5a14edb75f2d8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:07:09 2007 +0000

    Move code around.
    
    svn path=/trunk/; revision=1424

 gucharmap/gucharmap-chartable.c |   59 ++++++++++++++++++--------------------
 1 files changed, 28 insertions(+), 31 deletions(-)

commit a8890eeb44bd710dfd65ec9ff1899b0ca6ff0028
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:07:02 2007 +0000

    Fix double click activation.
    
    svn path=/trunk/; revision=1423

 gucharmap/gucharmap-chartable.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8b6fc06baead464f7d4f457d8f919ca832ab3fea
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:06:55 2007 +0000

    Make button-press/release and motion-notify class closures.
    
    svn path=/trunk/; revision=1422

 gucharmap/gucharmap-chartable.c |  209 ++++++++++++++++++++-------------------
 1 files changed, 109 insertions(+), 100 deletions(-)

commit 0ba16e33c1a4c7d4883309a8715a1791faea91ae
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:06:47 2007 +0000

    Use the bindings set to emit the activate signal.
    
    svn path=/trunk/; revision=1421

 gucharmap/gucharmap-chartable.c |   31 ++++++++++++++++++++-----------
 gucharmap/gucharmap-table.c     |    5 +++--
 2 files changed, 23 insertions(+), 13 deletions(-)

commit 0bb48e1a4b3571f30e8e797b02ef614b702f2f95
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:06:40 2007 +0000

    Make key-press/release class closures.
    
    svn path=/trunk/; revision=1420

 gucharmap/gucharmap-chartable.c |  100 +++++++++++++++++++--------------------
 1 files changed, 49 insertions(+), 51 deletions(-)

commit 23f0ab4304183342a7a4b40e3c926ee900c88075
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:06:33 2007 +0000

    Remove the mouse wheel code; the scrolled window is handling that already perfectly.
    
    svn path=/trunk/; revision=1419

 gucharmap/gucharmap-chartable.c |   57 +--------------------------------------
 1 files changed, 1 insertions(+), 56 deletions(-)

commit 722f4661c988638551cd625481b6ea908db3fb5c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:06:26 2007 +0000

    Make focus-in/out class closures.
    
    svn path=/trunk/; revision=1418

 gucharmap/gucharmap-chartable.c |   77 ++++++++++++++++-----------------------
 1 files changed, 31 insertions(+), 46 deletions(-)

commit 8659826938094d96c4fb736ab64b40bbbbc10e34
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:06:19 2007 +0000

    Done.
    
    svn path=/trunk/; revision=1417

 TODO |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ae95096474b3067eb35fbcadb661c6a403505b95
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:06:11 2007 +0000

    Make keybindings use the bindings set.
    
    svn path=/trunk/; revision=1416

 gucharmap/gucharmap-chartable.c  |  394 +++++++++++++++++++++++++-------------
 gucharmap/gucharmap-marshal.list |    1 +
 2 files changed, 264 insertions(+), 131 deletions(-)

commit 32e4c3335fd287c3d0fc9e16ee2b84da74aac126
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:06:01 2007 +0000

    Request the minimal size of one cell.
    
    svn path=/trunk/; revision=1415

 gucharmap/gucharmap-chartable.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 52b9dfd9a7c11bbe95454beb83a0df6f001fc99d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:05:54 2007 +0000

    Only update the details page when it's shown.
    
    svn path=/trunk/; revision=1414

 gucharmap/gucharmap-charmap.c |   28 +++++++++++++++++++++++++---
 gucharmap/gucharmap-charmap.h |    4 ++--
 2 files changed, 27 insertions(+), 5 deletions(-)

commit 8e471ddf384c1baafd6abbeea543bf78bdf55eb6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:05:47 2007 +0000

    Store the last_cell when setting the codepoint list instead of getting it
    from the codepoint list every time.
    
    svn path=/trunk/; revision=1413

 gucharmap/gucharmap-chartable.c |   55 +++++++++++++++++++--------------------
 1 files changed, 27 insertions(+), 28 deletions(-)

commit 0986a07acf1a53ccd7df34ebb97f493ec3380519
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:05:39 2007 +0000

    Compute the minimum col width and row height when setting the font description,
    and store the result.
    
    svn path=/trunk/; revision=1412

 gucharmap/gucharmap-chartable.c |   35 +++++++++++++++--------------------
 1 files changed, 15 insertions(+), 20 deletions(-)

commit 0393801b67b5247234678486bebcc01ba03c91c5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:05:32 2007 +0000

    Move updating the font_desc into its own utility function since it needs to be done
    from two places: style-set handler, and when setting a new font.
    
    svn path=/trunk/; revision=1411

 gucharmap/gucharmap-chartable.c |   50 ++++++++++++++++++++++----------------
 1 files changed, 29 insertions(+), 21 deletions(-)

commit 87e56a6baa580b06a9e716d3fbb25600d0829777
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:05:24 2007 +0000

    Make expose event handler a class closure.
    
    svn path=/trunk/; revision=1410

 gucharmap/gucharmap-chartable.c |   20 +++++++++++---------
 1 files changed, 11 insertions(+), 9 deletions(-)

commit 97bda3bc4f40b8e94d4c44d5b9fb9ce46665e72d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:05:13 2007 +0000

    Don't modify the widget's style's font; use our own font descriptor instead.
    Fixes zoom and drag popup font names being zoomed as well as the glyph itself.
    
    svn path=/trunk/; revision=1409

 gucharmap/gucharmap-chartable.c |   67 +++++++++++++++++++--------------------
 1 files changed, 33 insertions(+), 34 deletions(-)

commit a2127c4aefc2cf4319fb6a8931f5bced54e3a769
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:05:02 2007 +0000

    Make the style-set handler re-create the pango layout.
    
    svn path=/trunk/; revision=1408

 gucharmap/gucharmap-chartable.c |   64 ++++++++++++++++++--------------------
 1 files changed, 30 insertions(+), 34 deletions(-)

commit 6e7cedd99889b9e2a8e6a4725386221a26b8f001
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:04:52 2007 +0000

    Remove DONEs.
    
    svn path=/trunk/; revision=1407

 TODO |   66 ++++--------------------------------------------------------------
 1 files changed, 4 insertions(+), 62 deletions(-)

commit e26fd5443b85cc5075e2d1a95efadbce1c0674e3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:04:42 2007 +0000

    Forward signals from the real chartable.
    
    svn path=/trunk/; revision=1406

 gucharmap/gucharmap-table.c |   18 +++++++++++++++++-
 1 files changed, 17 insertions(+), 1 deletions(-)

commit c75f07e84309f156dab4d07b28dc970ab4469009
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:04:32 2007 +0000

    Make style-set a class closure.
    
    svn path=/trunk/; revision=1405

 gucharmap/gucharmap-chartable.c |   35 +++++++++++++++++++++--------------
 1 files changed, 21 insertions(+), 14 deletions(-)

commit a44fa0bbb91fe79cf448764d525eee85e985dcc9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:04:19 2007 +0000

    Add AM_PROG_CC_C_O.
    
    svn path=/trunk/; revision=1404

 configure.ac |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 852226bdba262ba6fa29659aad5629330d5aa978
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:04:08 2007 +0000

    Move the bulk of the chartable from GucharmapTable to GucharmapChartable,
    removing the hbox wrapper and just making it a GtkDrawingArea directly.
    Make it a native scrollable widget by implementing a set_scroll_adjustements
    signal in the class.
    Make GucharmapTable a thin wrapper containing just a scrolled window and in it
    the real chartable; forward all methods to the real chartable.
    
    svn path=/trunk/; revision=1403

 gucharmap/chartable_accessible.c        |    2 +-
 gucharmap/gucharmap-chartable-private.h |   39 +
 gucharmap/gucharmap-chartable.c         | 1905 +++++++++++++++++++++++++++++++
 gucharmap/gucharmap-chartable.h         |   58 +
 gucharmap/gucharmap-table-private.h     |   40 -
 gucharmap/gucharmap-table.c             | 1706 +---------------------------
 gucharmap/gucharmap-table.h             |   43 +-
 gucharmap/gucharmap-window.c            |   23 +-
 8 files changed, 2088 insertions(+), 1728 deletions(-)

commit fbce57e203c37f14a257edbed82d9954f9d57652
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:03:55 2007 +0000

    Replace some marshals with stock gcclosure_marshal_*__*s.
    
    svn path=/trunk/; revision=1402

 gucharmap/Makefile.am               |   18 ++++++++++++------
 gucharmap/gucharmap-charmap.c       |    2 +-
 gucharmap/gucharmap-marshal.list    |    6 ++----
 gucharmap/gucharmap-mini-fontsel.c  |    2 +-
 gucharmap/gucharmap-search-dialog.c |    4 ++--
 5 files changed, 18 insertions(+), 14 deletions(-)

commit 51e17d4258c4d158ed4dd99cde4ee2ac92b5772a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:03:44 2007 +0000

    Make size-allocate use a class closure.
    
    svn path=/trunk/; revision=1401

 gucharmap/gucharmap-table.c |  111 ++++++++++++++++++++++--------------------
 1 files changed, 58 insertions(+), 53 deletions(-)

commit 2586ad8dd7d05636c39faf377671b54e723a897b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 12 19:03:31 2007 +0000

    Remove the high_bit function, and just use g_bit_nth_msf.
    
    svn path=/trunk/; revision=1400

 gucharmap/gucharmap-table.c |   12 ++----------
 1 files changed, 2 insertions(+), 10 deletions(-)

commit fad0e7659610241783cb231bce5381cc611bd5b9
Author: Christian Persch <chpe@src.gnome.org>
